jQuery(document).ready(function( $ ) {

	/* Tab 1: General Settings */

	$('#autoresponder').change(function(e) {
  		e.preventDefault();
  		// submit form
  		type = $(this).val();
		survsnt_update_autoresponder_type(type);
	});

	$('#webinar').change(function(e) {
  		e.preventDefault();
  		// submit form
  		type = $(this).val();
		survsnt_update_webinar_type(type);
	});

	// $('#webinar').trigger('change');

	/* Tab 2: Display Options */
	if (jQuery('#show_everywhere').attr('checked'))
		jQuery('#where_to_show_rest_options').hide();
	
	$('#show_everywhere').click(function(e) {
  		activate = $(this).attr('checked');
  		if (activate)
			jQuery('#where_to_show_rest_options').hide();
		else
			jQuery('#where_to_show_rest_options').show();
	});

	$('#display_option').trigger('change');

	if (!jQuery('#use_cookie').attr('checked'))
		// jQuery('.where_to_show_el').attr('disabled', 'disabled');
		jQuery('#cookie-value').attr('disabled', 'disabled');

	$('#use_cookie').click(function(e) {
  		activate = $(this).attr('checked');
  		if (!activate)
			jQuery('#cookie-value').attr('disabled', 'disabled');
		else
			jQuery('#cookie-value').removeAttr('disabled');
	});

	$('#survey_type').change(function(e) {
  		// e.preventDefault();
  		// submit form
  		type = $(this).val();
		survsnt_update_survey_type(type);
	});
	$('#survey_type').trigger('change')

	$('#display_option').change(function(e) {
  		// submit form
  		type = $(this).val();
		survsnt_display_method_options(type);
	});

	type = $('#display_option').val();
	survsnt_display_method_options(type);

	$('#scroll-trigger').change(function(e) {
		type = $('#display_option').val();
		survsnt_display_method_options(type);
	});

	$('#sidebar_image').change(function(e) {
		num = $(this).val();
		survsnt_sidebar_img_change(num);
	});

	survsnt_sidebar_img_change($('#sidebar_image').val());

	$('#_sidebar_custom_img_bg').change(function(e) {
		$('#sidebar_custom_img').attr( 'src', $( '#_sidebar_custom_img_bg').val() );
	});

	$('#splash-background').change(function(e) {
		num = $(this).val();
		survsnt_splash_img_change(num);
	});

	$('#splash_bg_color').change(function(e) {
		num = $(this).val();
		survsnt_splash_img_change(-1);
	});

	survsnt_splash_img_change($('#splash-background').val());

	/* Tab 3: Stats */

	$('.export-search-summary-inner').click(function(e) {
  		e.preventDefault();
  		// submit form
  		survey_id = jQuery(this).attr('data-survey-id');
  		// console.log(survey_id);
		survsnt_export_survey(survey_id, 1)  		
	});

	$('.export-search-detailed-inner').click(function(e) {
  		e.preventDefault();
  		// submit form
  		survey_id = jQuery(this).attr('data-survey-id');
		survsnt_export_survey(survey_id, 2);
	});

	$('.clear-survey-stats').click(function(e) {
  		e.preventDefault();
  		// submit form
  		survey_id = jQuery(this).attr('data-survey-id');
		survsnt_clear_survey_stats(survey_id);
	});

	
	/* Tab 4: Questions */

	$('.save-survey').click(function(e) {
  		e.preventDefault();
		survsnt_save_survey();
	});

	$('.survsnt_add_question').click(function(e) {
  		e.preventDefault();
		survsnt_add_question();
	});

	$('.survsnt_add_question_open').click(function(e) {
  		e.preventDefault();
		survsnt_add_question_open();
	});

	// $('#survsnt_add_html').click(function(e) {
 //  		e.preventDefault();
	// 	survsnt_add_html();
	// });

	$('#survsnt_add_optin').click(function(e) {
  		e.preventDefault();
		survsnt_add_optin_form();
	});



	$(document).on('click', '#survsnt_questions .survsnt_add_answer', function(e) {
  		e.preventDefault();
  		// console.log('a')
  		question_id = $(this).attr('data-question-id');
		if((typeof question_id == 'undefined') || (question_id=='')) {
		 	// hasn't been saved, anyway
			survsnt_add_answer($(this).parent().parent());	
			// alert('a')
			return;
		}
			// alert('b'+question_id)

		survsnt_add_answer(question_id);
		// survsnt_add_answer_preview();
	});

	$(document).on('click', '#survsnt_questions .survsnt_delete_question', function(e) {
		// alert('aaa')
  		e.preventDefault();
  		question_id = $(this).attr('data-question-id');
  		question_index = $(this).parent().find('.question_number').html();
		 // alert(question_id)
		if((typeof question_id == 'undefined') || (question_id=='') || (question_id==0)) {
		 	// hasn't been saved, anyway
		 	// alert('a')
			jQuery(this).parent().parent().parent().hide();
		}  		
		else {
			survsnt_delete_question(question_id);
			jQuery(this).parent().parent().parent().hide();
			
		}
		survsnt_update_after_delete(question_index);
	});

	$(document).on('click', '#survsnt_questions .survsnt_delete_answer', function(e) {
  		e.preventDefault();
  		answer_id = $(this).attr('data-answer-id');
		if((typeof answer_id == 'undefined') || (answer_id=='')) {
		 	// hasn't been saved, anyway
			jQuery(this).parent().parent().parent().hide();
			return;
		}  		
		survsnt_delete_answer(answer_id);
	});


	$(document).on('change', '#survsnt_questions .ar_list', function(e) {
  		e.preventDefault();
  		sel_el = jQuery(this);
  		survsnt_update_tags(sel_el.val(), sel_el.parent().next().find('.ar_tag'));
	});


	$('#survsnt_questions').sortable({ handle: '.handle', 
		start: function(event, ui) {
	        ui.item.startPos = ui.item.index();
	    },		
		update: function( event, ui ) {
			survsnt_update_after_sort(ui.item);
		}
	 });


	$('.answers').sortable({ handle: '.handle', 
		start: function(event, ui) {
	        ui.item.startPos = ui.item.index();
	    },		
		update: function( event, ui ) {
			survsnt_update_answers_after_sort(ui.item);
		}		
		// start: function(event, ui) {
	 //        ui.item.startPos = ui.item.index();
	 //    },		
		// update: function( event, ui ) {
		// 	 console.log(ui.item)
		// 	 // console.log(event)
		// 	survsnt_update_after_sort(ui.item);
		// }
	 });


	/* HTML Editor */

	// General

	// Body
	$(document).on('click', '.box_height_auto', function(e) {
		// parent_el = jQuery(this).closest('.question_content');
		// preview_box = parent_el.find('.survey_design_preview')
		// settings_div = parent_el.find('.settings_div')
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_check_preview_height(question_els[0], question_els[1]);
	});

	$(document).on('click', '.box_width_auto', function(e) {
		// parent_el = jQuery(this).closest('.question_content');
		// preview_box = parent_el.find('.survey_design_preview')
		// settings_div = parent_el.find('.settings_div')
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_check_preview_width(question_els[0], question_els[1]);
	});

	$(document).on('change', '.questions_preview_bg', function(e) {
		// canvas =  jQuery(this).parents('.survsnt_html_editor_layer').find('.survey_design_preview');
		// console.log('a')
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_background_preview(question_els[0], question_els[1]);
	});

	$(document).on('click', '.box_repeat_bg', function(e) {
		// settings_div = survsnt_question_find_settings_div(jQuery(this))
		// canvas =  jQuery(this).parents('.survsnt_html_editor_layer').find('.survey_design_preview');
		// this_el =  settings_div.find('.questions_preview_bg');
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_background_preview(question_els[0], question_els[1]);		
		// survsnt_update_background_preview(this_el.val(), canvas, this_el);
	});

	$(document).on('change', '.predefined_bg_select', function(e) {
		this_el = jQuery(this)
		img_num = this_el.val();
		settings_div = survsnt_question_find_settings_div(this_el)
		preview_bg_el =  settings_div.find('.questions_preview_bg');
		if (img_num != 0) 
			if (img_num > 30) {
				img_num = img_num - 30
				preview_bg_el.val(survsnt_vars.plugin_url+'/img/front/splash/img'+img_num+'.png')
			}
			else
				preview_bg_el.val(survsnt_vars.plugin_url+'/img/backgrounds/'+img_num+'.jpg')
		else
			preview_bg_el.val('');
		preview_bg_el.trigger('change')
	});

	$(document).on('change', '.box_bg_color', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_background_preview(question_els[0], question_els[1]);

		// survsnt_update_background_color_preview(jQuery(this));
	});


	$(document).on('click', '.question_preview_bg_remove', function(e) {
		this_el = jQuery(this)
		settings_div = survsnt_question_find_settings_div(this_el)

		preview_el = this_el.closest('.survsnt_html_editor_layer').find('.survey_design_preview');
		preview_el.css({'background-image':'none'});
		settings_div.find('.questions_preview_bg').val('');
		settings_div.find('.predefined_bg_select').val(0);
	});

	$(document).on('spin', '.general_design_spinner', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_general_preview(question_els[0], question_els[1]);

		// survsnt_update_general_preview(jQuery(this));
	});

	$(document).on('change', '.general_design_spinner', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_general_preview(question_els[0], question_els[1]);
	});

	// Submit button

	$(document).on('change', '.submit_btn_bg', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_submit_btn_bg(question_els[0], question_els[1]);
	});

	$(document).on('click', '.question_submit_bg_remove', function(e) {
	// $('.question_submit_bg_remove').click(function(e) {
		// rmi353
		jQuery(this).prev().prev().val('');
		// survsnt_update_submit_btn_bg(jQuery(this).prev().prev());
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		question_els[1].find('.predefined_next_select').val(0);
		survsnt_update_submit_btn_bg(question_els[0], question_els[1]);		
	});

	/* Submit Button */
	$(document).on('spin', '.submit_btn_spinner', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_submit_btn_preview(question_els[0], question_els[1]);
	});

	$(document).on('change', '.submit_btn_preview_el', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_submit_btn_preview(question_els[0], question_els[1]);
	});

	$(document).on('change', '.predefined_next_select', function(e) {
		this_el = jQuery(this)
		settings_div = survsnt_question_find_settings_div(this_el)
		preview_bg_el =  settings_div.find('.submit_btn_bg');
		if (this_el.val() != 0) 
			preview_bg_el.val(survsnt_vars.plugin_url+'/img/arrows/'+this_el.val())
		else
			preview_bg_el.val('');
		preview_bg_el.trigger('change')
	});

	///////////////

	/* Title */

	$(document).on('spin', '.title_spinner', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_title_preview(question_els[0], question_els[1]);		
	});

	$(document).on('change', '.title_preview_el', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_title_preview(question_els[0], question_els[1]);	
	});


// HTML Content

	$(document).on('change', '.html_content_preview_el', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_html_question_update_content_preview(question_els[0], question_els[1]);
	});

	$(document).on('spin', '.html_content_spinner', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_html_question_update_content_preview(question_els[0], question_els[1]);
	});


	// Multiple Choice

	/* Answer, rmi353 */
	$(document).on('spin', '.answer_spinner', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_answer_preview(question_els[0], question_els[1]);
	});

	$(document).on('change', '.answer_spinner', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_answer_preview(question_els[0], question_els[1]);
	});

	$(document).on('change', '.answer_preview_el', function(e) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_update_answer_preview(question_els[0], question_els[1]);
	});


/* Optin Form */
// rmi353
	$(document).on('change', '.email_needs_update', function(e) {
		check_updates_optin_box(jQuery(this));
	});

	$(document).on('click', '.stay_on_page', function(e) {
		survsnt_check_stay_on_page(jQuery(this));
	});

	$(document).on('change', '.html_optin_label_preview_el', function(e) {
		check_updates_optin_box(jQuery(this));
	});

	$(document).on('spin', '.html_optin_label_spinner', function(e) {
		check_updates_optin_box(jQuery(this));
	});
	
	$(document).on('change', '.html_optin_label_spinner', function(e) {
		check_updates_optin_box(jQuery(this));
	});

	$(document).on('click', '.autoresp_get_url', function(e) {
		survsnt_generate_ar_magic_url(jQuery(this));
	});

	$(document).on('change', '.move_or_copy', function(e) {
		survsnt_check_updates_armagic(jQuery(this));
		// this_el = jQuery(this);
	});


	/* Real Time update of the html editor */

	$(document).on('keyup', '.question_text_input', function(e) {
		// survsnt_html_question_update_content_preview(jQuery(this));
		this_el = jQuery(this);
		text_el = this_el.parents('.question_content').find('.question_title_preview');
		// console.log(text_el)
		if (text_el)
			text_el.html(this_el.val());
	});


	$(document).on('change', '.question_title', function(e) {
		this_el = jQuery(this);
		text_el = this_el.parents('.question_content').find('.question_text_input');
		 // console.log(text_el.val())
		
		if (text_el.val() == '')
			text_el.val(this_el.val());
	});


	// Init things
	survsnt_init_question_items();

	// rmi353, para cada una de todas!!!
	jQuery( ".general_design_top_margin" ).each(function( index ) {
		question_els = survsnt_find_preview_and_settings(jQuery(this))
		survsnt_question_type_open_global_update(question_els[0], question_els[1])
	});

	$( ".stay_on_page" ).each(function( index ) {
		survsnt_check_stay_on_page(jQuery(this));
  	});

	$( ".name_placeholder" ).each(function( index ) {
		check_updates_optin_box(jQuery(this));
  	});


});


/* Functions  */


// 0. Save Survey

function survsnt_suvey_data_json() {
	questions = jQuery ('.survsnt_question_el');
	var survsnt_json_array = new Array();

	// loop each results table
	pos = 1;
	questions.each(function( index ) {
  		// keyword: 
  		this_question = jQuery(this);
  		
  		if (this_question.hasClass('new')) {
  			is_new = 1;
  			question_id = 0;
  		}
  		else {
  			is_new = 0;
  			// text = this_question.find('.question_text_input').val(); 
  		}

		question_id = this_question.find('.question_id').val();

  		delete_question = this_question.find('.delete_question').val();
  		if (!delete_question) delete_question = 0;

  		question_type = this_question.find('.question_type').val(); 
  		question_title = this_question.find('.question_title').val(); 
  		if (!question_title) question_title = ''
  		position = pos;
		if (delete_question != '1')
			pos++;
  		// position = this_question.find('.question_number').html();

		var question_item = new Object();
		question_item.is_new = is_new;
		question_item.question_type = question_type;
		question_item.question_id = question_id;
		question_item.title = question_title;
		question_item.delete_question = delete_question;
		question_item.position = position;
		question_item.answers = new Array();  		
		text = this_question.find('.question_text_input').val();
		if (!text) text = '';
		question_item.text = text;
		question_item.redirect_url = '';
	  		

		/* Design settings */
		design_item = new Array()
		// if (!is_new) {
			new_design_item = survsnt_get_design_elements(question_id, question_type, this_question);
			question_item.question_design = new_design_item;
		// }
		// else
		// 	question_item.question_design = 0;


		/* End design */

  		if (question_type == 1) {
	  		// Multiple choice
	  		answers = this_question.find(".survsnt_answer_el");
			question_item.content = ''

			question_item.next_q = this_question.find('.next_question_select').val();
			if (!question_item.next_q)
				question_item.next_q = 0;

  			question_el_id = this_question.find('.survsnt_html_content').attr('id')
  			try {
				tinyMCE.get(question_el_id).save();
			}
			catch(err)
			{
				//Handle errors here
			}
			if (jQuery("#wp-"+question_el_id+"-wrap").hasClass("tmce-active")){
				try {
		        html_content =  tinyMCE.get(question_el_id).getContent();
		        			}
				catch(err)
				{
					//Handle errors here
					html_content = ''
				}
		    }
		    else {
		        html_content =  this_question.find('.survsnt_html_content').val();
		    }
		    // console.log(html_content);
			if (!html_content) html_content = '';

			question_item.content = html_content; 

			answer_pos = 1;
			answers.each(function( index2 ) {
				var answer_element = new Object();

				this_answer = jQuery(this);
		  		if (this_answer.hasClass('new')) {
		  			is_new_a = 1;
		  			text_a = this_answer.find('.answer_text_input').val();
			  		answer_id = 0;
		  		}
		  		else {
		  			is_new_a = 0;
		  			// text_a = '';
		  			text_a = this_answer.find('.answer_text_input').val();
			  		answer_id = this_answer.find('.answer_id').val();
		  		}
		  		next_q = this_answer.find('.next_question_select').val();
		  		// feedback_text = this_answer.find('.feedback_text').val();
		  		feedback_text = '';

		  		if (this_answer.find('.ar_list').is(":visible")) {
		  			ar_list = this_answer.find('.ar_list').val();
		  			ar_tag = this_answer.find('.ar_tag').val();
		  			tag_value = this_answer.find('.tag_value').val();
		  		}
		  		else {
		  			ar_list = 0;//this_answer.find('.ar_html_code').val();
		  			ar_tag = '';
		  			tag_value = '';
		  		}
		  		if (!tag_value) tag_value = '';

		  		webinar = this_answer.find('.webinar_list').val();

		  		delete_answer = this_answer.find('.delete_answer').val();

				answer_element.answer_id = answer_id;
		  		answer_element.is_new = is_new_a;
		  		answer_element.delete_answer = delete_answer;

		  		answer_element.text = text_a;
		  		answer_element.next_question = next_q;
		  		answer_element.feedback_text = feedback_text;
		  		answer_element.ar_list = ar_list;
		  		answer_element.ar_tag = ar_tag;
		  		answer_element.tag_value = tag_value;
		  		answer_element.webinar = webinar;
		  		answer_element.position = answer_pos;
		  		if (delete_answer != '1')
		  			answer_pos++;

				question_item.answers.push(answer_element);
			});
		}
  		else if (question_type == 2 || question_type == 3) {
  			// Open // HTML Node
  			question_el_id = this_question.find('.survsnt_html_content').attr('id')
  			try {
				tinyMCE.get(question_el_id).save();
			}
			catch(err)
			{
				//Handle errors here
			}
			if (jQuery("#wp-"+question_el_id+"-wrap").hasClass("tmce-active")){
		        html_content =  tinyMCE.get(question_el_id).getContent();
		    }
		    else {
		        html_content =  this_question.find('.survsnt_html_content').val();
		    }
			if (!html_content) html_content = '';

			question_item.content = html_content; 
			question_item.next_q = this_question.find('.next_question_select').val();
			if (!question_item.next_q)
				question_item.next_q = 0;
  		}
  		else if (question_type == 4) {
  			// Optin form
  			question_el_id = this_question.find('.survsnt_html_content').attr('id')
			/*tinyMCE.get(question_el_id).save();

			if (jQuery("#wp-"+question_el_id+"-wrap").hasClass("tmce-active")){
		        html_content =  tinyMCE.get(question_el_id).getContent();
		    }else{

		        html_content =  this_question.find('.survsnt_html_content').val();
		    }
			 question_item.content = html_content; 
			 */
  			question_el_id = this_question.find('.survsnt_html_content').attr('id')
  			try {
				tinyMCE.get(question_el_id).save();
			}
			catch(err)
			{
				//Handle errors here
			}

			if (jQuery("#wp-"+question_el_id+"-wrap").hasClass("tmce-active")){
				try {
		        	html_content =  tinyMCE.get(question_el_id).getContent();
		        }
				catch(err)
				{
					//Handle errors here
					html_content = ''
				}		        
		    }
		    else {
		        html_content =  this_question.find('.survsnt_html_content').val();
		    }
			if (!html_content) html_content = '';

			question_item.content = html_content; 
			//question_item.redirect_url = this_question.find('.redirect_url').val();
			if (this_question.find('.stay_on_page').is(':checked'))
				redirect_url = '';
			else {
				redirect_url = this_question.find('.redirect_url').val();
			}
			if (!redirect_url)
				redirect_url = ''
			
			// console.log(redirect_url);
			
			question_item.redirect_url = redirect_url
			question_item.next_q = 0;
  		}

		survsnt_json_array.push(question_item);
	});

	var survsnt_json_object = new Object();
	survsnt_json_object.items = survsnt_json_array;
	// console.log (survsnt_json_object)
	return survsnt_json_object;
}

function survsnt_get_design_elements(question_id, question_type, this_question) {
	new_design_item = {};
	if ((question_type == '1') || (question_type == 1)) {
		// multiple choice
		questions_design = {};

		general_design  = {};
		general_design['width'] = this_question.find('.box_width_auto').is(':checked') ? 'auto' : this_question.find('.input-box-width').val();
		general_design['height'] = this_question.find('.box_height_auto').is(':checked') ? 'auto' : this_question.find('.input-box-height').val();
		general_design['bg_image'] = this_question.find('.questions_preview_bg').val();
		general_design['bg_image_pre'] = this_question.find('.predefined_bg_select').val();
		general_design['bg_repeat'] = this_question.find('.box_repeat_bg').is(':checked')
		general_design['bg_color'] = this_question.find('.box_bg_color').val();

		general_design['margin_top'] = this_question.find('.general_design_top_margin').val();
		general_design['margin_bottom'] = this_question.find('.general_design_bottom_margin').val();
		general_design['margin_left'] = this_question.find('.general_design_left_margin').val();
		general_design['margin_right'] = this_question.find('.general_design_right_margin').val();

		question_design  = {};
		question_design['font_family'] = this_question.find('.question_font_family_select').val();
		question_design['font_size'] = this_question.find('.question_size_select').val();
		question_design['font_color'] = this_question.find('.question_color_select').val();
		question_design['text_align'] = this_question.find('.question_text_align').val();
		question_design['margin_top'] = this_question.find('.question_design_top_margin').val();
		question_design['margin_bottom'] = this_question.find('.question_design_bottom_margin').val();
		question_design['margin_left'] = this_question.find('.question_design_left_margin').val();
		question_design['margin_right'] = this_question.find('.question_design_right_margin').val();

		answer_design  = {};
		answer_design['font_family'] = this_question.find('.answer_font_family_select').val();
		answer_design['font_size'] = this_question.find('.answer_size_select').val();
		answer_design['font_color'] = this_question.find('.answer_color_select').val();
		answer_design['margin_top'] = this_question.find('.answer_design_top_margin').val();
		answer_design['margin_bottom'] = this_question.find('.answer_design_bottom_margin').val();
		answer_design['margin_left'] = this_question.find('.answer_design_left_margin').val();
		answer_design['margin_right'] = this_question.find('.answer_design_right_margin').val();

		submit_btn_design  = {};
		submit_btn_design['font_family'] = this_question.find('.submit_btn_font_family_select').val();
		submit_btn_design['font_size'] = this_question.find('.submit_btn_size_select').val();
		// submit_btn_design['font_color'] = this_question.find('.submit_btn_color_select').val();
		submit_btn_design['align'] = this_question.find('.submit_btn_align_select').val();
		submit_btn_design['text'] = this_question.find('.submit_btn_txt_select').val();
		submit_btn_design['margin_top'] = this_question.find('.submit_btn_top_margin').val();
		submit_btn_design['margin_bottom'] = this_question.find('.submit_btn_bottom_margin').val();
		submit_btn_design['margin_left'] = this_question.find('.submit_btn_left_margin').val();
		submit_btn_design['margin_right'] = this_question.find('.submit_btn_right_margin').val();
		submit_btn_design['bg_image'] = this_question.find('.submit_btn_bg').val();
		submit_btn_design['bg_image_pre'] = this_question.find('.predefined_next_select').val();

		questions_design['general_design'] = general_design;
		questions_design['question_design'] = question_design;
		questions_design['answer_design'] = answer_design;
		questions_design['submit_btn_design'] = submit_btn_design;

		new_design_item['questions_design'] = questions_design;
		// console.log(new_design_item);
	}

	else if ((question_type == '2') || (question_type == 2)) {
		// open question
		questions_design = {};

		general_design  = {};
		general_design['width'] = this_question.find('.box_width_auto').is(':checked') ? 'auto' : this_question.find('.input-box-width').val();
		general_design['height'] = this_question.find('.box_height_auto').is(':checked') ? 'auto' : this_question.find('.input-box-height').val();
		general_design['bg_image'] = this_question.find('.questions_preview_bg').val();
		general_design['bg_image_pre'] = this_question.find('.predefined_bg_select').val();

		// general_design['bg_repeat'] = this_question.find('.box_repeat_bg').val();
		general_design['bg_repeat'] = this_question.find('.box_repeat_bg').is(':checked')

		general_design['bg_color'] = this_question.find('.box_bg_color').val();

		general_design['margin_top'] = this_question.find('.general_design_top_margin').val();
		general_design['margin_bottom'] = this_question.find('.general_design_bottom_margin').val();
		general_design['margin_left'] = this_question.find('.general_design_left_margin').val();
		general_design['margin_right'] = this_question.find('.general_design_right_margin').val();

		question_design  = {};
		question_design['font_family'] = this_question.find('.question_font_family_select').val();
		question_design['font_size'] = this_question.find('.question_size_select').val();
		question_design['font_color'] = this_question.find('.question_color_select').val();
		question_design['text_align'] = this_question.find('.question_text_align').val();
		question_design['margin_top'] = this_question.find('.question_design_top_margin').val();
		question_design['margin_bottom'] = this_question.find('.question_design_bottom_margin').val();
		question_design['margin_left'] = this_question.find('.question_design_left_margin').val();
		question_design['margin_right'] = this_question.find('.question_design_right_margin').val();

		reply_box  = {};
		reply_box['width'] = this_question.find('.reply-box-width').val();
		reply_box['height'] = this_question.find('.reply-box-height').val();

		content_design  = {};
		content_design['font_family'] = this_question.find('.content_font_family_select').val();
		content_design['font_size'] = this_question.find('.content_size_select').val();
		content_design['font_color'] = this_question.find('.content_color_select').val();
		content_design['margin_top'] = this_question.find('.content_design_top_margin').val();
		content_design['margin_bottom'] = this_question.find('.content_design_bottom_margin').val();
		content_design['margin_left'] = this_question.find('.content_design_left_margin').val();
		content_design['margin_right'] = this_question.find('.content_design_right_margin').val();

		submit_btn_design  = {};
		submit_btn_design['font_family'] = this_question.find('.submit_btn_font_family_select').val();
		submit_btn_design['font_size'] = this_question.find('.submit_btn_size_select').val();
		// submit_btn_design['font_color'] = this_question.find('.submit_btn_color_select').val();
		submit_btn_design['align'] = this_question.find('.submit_btn_align_select').val();
		submit_btn_design['text'] = this_question.find('.submit_btn_txt_select').val();
		submit_btn_design['margin_top'] = this_question.find('.submit_btn_top_margin').val();
		submit_btn_design['margin_bottom'] = this_question.find('.submit_btn_bottom_margin').val();
		submit_btn_design['margin_left'] = this_question.find('.submit_btn_left_margin').val();
		submit_btn_design['margin_right'] = this_question.find('.submit_btn_right_margin').val();
		submit_btn_design['bg_image'] = this_question.find('.submit_btn_bg').val();
		submit_btn_design['bg_image_pre'] = this_question.find('.predefined_next_select').val();

		questions_design['general_design'] = general_design;
		questions_design['reply_box'] = reply_box;
		questions_design['question_design'] = question_design;
		questions_design['content_design'] = content_design;
		questions_design['submit_btn_design'] = submit_btn_design;

		new_design_item['open_q_design'] = questions_design;
		// console.log(new_design_item);
	}

/*	else if ((question_type == '3') || (question_type == 3)) {
		// html block
		questions_design = {};

		general_design  = {};
		general_design['width'] = this_question.find('.box_width_auto').is(':checked') ? 'auto' : this_question.find('.input-box-width').val();
		general_design['height'] = this_question.find('.box_height_auto').is(':checked') ? 'auto' : this_question.find('.input-box-height').val();
		general_design['bg_image'] = this_question.find('.questions_preview_bg').val();
		general_design['bg_color'] = this_question.find('.box_bg_color').val();
		general_design['bg_image_pre'] = this_question.find('.predefined_bg_select').val();

		general_design['bg_repeat'] = this_question.find('.box_repeat_bg').val();
		general_design['margin_top'] = this_question.find('.general_design_top_margin').val();
		general_design['margin_bottom'] = this_question.find('.general_design_bottom_margin').val();
		general_design['margin_left'] = this_question.find('.general_design_left_margin').val();
		general_design['margin_right'] = this_question.find('.general_design_right_margin').val();

		question_design  = {};
		question_design['font_family'] = this_question.find('.question_font_family_select').val();
		question_design['font_size'] = this_question.find('.question_size_select').val();
		question_design['font_color'] = this_question.find('.question_color_select').val();
		question_design['margin_top'] = this_question.find('.question_design_top_margin').val();
		question_design['margin_bottom'] = this_question.find('.question_design_bottom_margin').val();
		question_design['margin_left'] = this_question.find('.question_design_left_margin').val();
		question_design['margin_right'] = this_question.find('.question_design_right_margin').val();

		content_design  = {};
		content_design['font_family'] = this_question.find('.content_font_family_select').val();
		content_design['font_size'] = this_question.find('.content_size_select').val();
		content_design['font_color'] = this_question.find('.content_color_select').val();
		content_design['margin_top'] = this_question.find('.content_design_top_margin').val();
		content_design['margin_bottom'] = this_question.find('.content_design_bottom_margin').val();
		content_design['margin_left'] = this_question.find('.content_design_left_margin').val();
		content_design['margin_right'] = this_question.find('.content_design_right_margin').val();


		submit_btn_design  = {};
		submit_btn_design['font_family'] = this_question.find('.submit_btn_font_family_select').val();
		submit_btn_design['font_size'] = this_question.find('.submit_btn_size_select').val();
		// submit_btn_design['font_color'] = this_question.find('.submit_btn_color_select').val();
		submit_btn_design['align'] = this_question.find('.submit_btn_align_select').val();
		submit_btn_design['text'] = this_question.find('.submit_btn_txt_select').val();
		submit_btn_design['margin_top'] = this_question.find('.submit_btn_top_margin').val();
		submit_btn_design['margin_bottom'] = this_question.find('.submit_btn_bottom_margin').val();
		submit_btn_design['margin_left'] = this_question.find('.submit_btn_left_margin').val();
		submit_btn_design['margin_right'] = this_question.find('.submit_btn_right_margin').val();
		submit_btn_design['bg_image'] = this_question.find('.submit_btn_bg').val();

		questions_design['general_design'] = general_design;
		questions_design['question_design'] = question_design;
		questions_design['content_design'] = content_design;
		questions_design['submit_btn_design'] = submit_btn_design;

		new_design_item['html_design'] = questions_design;
		// console.log(new_design_item);
	}*/

	else if ((question_type == '4') || (question_type == 4)) {
		// OPTIN
		optin_design = {};

		general_design  = {};
		general_design['width'] = this_question.find('.box_width_auto').is(':checked') ? 'auto' : this_question.find('.input-box-width').val();
		general_design['height'] = this_question.find('.box_height_auto').is(':checked') ? 'auto' : this_question.find('.input-box-height').val();
		general_design['bg_image'] = this_question.find('.questions_preview_bg').val();
		general_design['bg_image_pre'] = this_question.find('.predefined_bg_select').val();

		general_design['bg_color'] = this_question.find('.box_bg_color').val();
		// general_design['bg_repeat'] = this_question.find('.box_repeat_bg').val();
		general_design['bg_repeat'] = this_question.find('.box_repeat_bg').is(':checked')

		general_design['margin_top'] = this_question.find('.general_design_top_margin').val();
		general_design['margin_bottom'] = this_question.find('.general_design_bottom_margin').val();
		general_design['margin_left'] = this_question.find('.general_design_left_margin').val();
		general_design['margin_right'] = this_question.find('.general_design_right_margin').val();

		optin_form_design  = {};
		optin_form_design['font_family'] = this_question.find('.optin_label_font_family_select').val();
		optin_form_design['font_size'] = this_question.find('.optin_label_size_select').val();
		optin_form_design['font_color'] = this_question.find('.optin_label_color_select').val();
		
		optin_form_design_box  = {};
		optin_form_design_box['margin_top'] = this_question.find('.optin_label_design_top_margin').val();
		optin_form_design_box['margin_bottom'] = this_question.find('.optin_label_design_bottom_margin').val();
		optin_form_design_box['margin_left'] = this_question.find('.optin_label_design_left_margin').val();
		optin_form_design_box['margin_right'] = this_question.find('.optin_label_design_right_margin').val();


		optin_form_content  = {};
		optin_form_content['email_placeholder'] = this_question.find('.email_placeholder').val();
		optin_form_content['name_placeholder'] = this_question.find('.name_placeholder').val();
		optin_form_content['spam_notice'] = this_question.find('.spam_notice').val();
		optin_form_content['use_name'] = this_question.find('.use_name_in_form').is(':checked');
		optin_form_content['use_spamnotice'] = this_question.find('.use_spamnotice_in_form').is(':checked');
		optin_form_content['use_own_autoresponder'] = this_question.find('.use_own_autoresponder').is(':checked');

		optin_form_settings  = {};
		optin_form_settings['ar_list'] = this_question.find('.ar_list').val();
		optin_form_settings['ar_tag'] = this_question.find('.ar_tag').val();
		optin_form_settings['tag_value'] = this_question.find('.tag_value').val();
		optin_form_settings['webinar'] = this_question.find('.webinar_list').val();
		optin_form_settings['fb_connect'] = this_question.find('.fb_connect').is(':checked') ? 1 : 0;
		optin_form_settings['social_share'] = this_question.find('.social_share').is(':checked') ? 1 : 0;

		optin_form_settings['action'] = this_question.find('.move_or_copy').val();
		optin_form_settings['list_from'] = this_question.find('.ar_list_from').val();

		optin_form_settings['fb_share_txt'] = this_question.find('.fb_share_txt').val();
		optin_form_settings['fb_share_title'] = this_question.find('.fb_share_title').val();
		optin_form_settings['twitter_share_txt'] = this_question.find('.twitter_share_txt').val();
		optin_form_settings['gplus_share_txt'] = this_question.find('.gplus_share_txt').val();


		thankyou_el = 'thankyou_txt_'+question_id;
		try {
			tinyMCE.get(thankyou_el).save();
		}
		catch(err)
		{
			//Handle errors here
		}
		if (jQuery("#wp-thankyou_txt_"+question_id+"-wrap").hasClass("tmce-active")){
			try {
	        html_content =  tinyMCE.get(thankyou_el).getContent();
	        			}
			catch(err)
			{
				//Handle errors here
				html_content = ''
			}
	    }
	    else {
	        html_content =  this_question.find('.survsnt_html_content').val();
	    }

		optin_form_settings['thankyou_page'] = html_content;

		content_design  = {};
		content_design['font_family'] = this_question.find('.content_font_family_select').val();
		content_design['font_size'] = this_question.find('.content_size_select').val();
		content_design['font_color'] = this_question.find('.content_color_select').val();
		content_design['margin_top'] = this_question.find('.content_design_top_margin').val();
		content_design['margin_bottom'] = this_question.find('.content_design_bottom_margin').val();
		content_design['margin_left'] = this_question.find('.content_design_left_margin').val();
		content_design['margin_right'] = this_question.find('.content_design_right_margin').val();

		submit_btn_design  = {};
		submit_btn_design['font_family'] = this_question.find('.submit_btn_font_family_select').val();
		submit_btn_design['font_size'] = this_question.find('.submit_btn_size_select').val();
		// submit_btn_design['font_color'] = this_question.find('.submit_btn_color_select').val();
		submit_btn_design['align'] = this_question.find('.submit_btn_align_select').val();
		submit_btn_design['text'] = this_question.find('.submit_btn_txt_select').val();
		submit_btn_design['margin_top'] = this_question.find('.submit_btn_top_margin').val();
		submit_btn_design['margin_bottom'] = this_question.find('.submit_btn_bottom_margin').val();
		submit_btn_design['margin_left'] = this_question.find('.submit_btn_left_margin').val();
		submit_btn_design['margin_right'] = this_question.find('.submit_btn_right_margin').val();
		submit_btn_design['bg_image'] = this_question.find('.submit_btn_bg').val();
		submit_btn_design['bg_image_pre'] = this_question.find('.predefined_next_select').val();

		optin_design['general_design'] = general_design;
		optin_design['content_design'] = content_design;
		optin_design['optin_form_design'] = optin_form_design;
		optin_design['optin_form_design_box'] = optin_form_design_box;
		optin_design['optin_form_content'] = optin_form_content;
		optin_design['optin_form_settings'] = optin_form_settings;
		optin_design['submit_btn_design'] = submit_btn_design;

		new_design_item['optin_design'] = optin_design;
		// console.log(new_design_item);
	}
	return new_design_item;
}

function survsnt_save_survey() {
	data1 = survsnt_suvey_data_json();
	var input1 = document.createElement('input');
	input1.type = 'hidden';
	input1.name = 'survsnt_survey_data';	
	input1.value =JSON.stringify(data1);  // Your POST data
	jQuery('#survey_form').append(input1);
	jQuery('#survey_form').submit();
}



// 1. Tab 1: General Settings

function survsnt_update_survey_type(type) {
	if (type == 1) {
		// Survey, one by one
		jQuery('survsnt_answer_el .next_q').show();
		// jQuery('.feedback_t').show();
		jQuery('.display_option_replace').remove();
		jQuery('#display_option').removeAttr('disabled');
		jQuery('.survsnt_advanced').show();

	}
	else {
		// Quiz, all in a row
		jQuery('survsnt_answer_el .next_q').hide();
		// jQuery('.feedback_t').hide();
		jQuery('#display_option').val(8)
		jQuery('#display_option').trigger('change')
		jQuery('#display_option').append('<input type="hidden" name="display_option" value="8" class="display_option_replace" />');

		 jQuery('#display_option').attr('disabled', 'disabled');
		jQuery('.survsnt_advanced').hide();

	}
}

function survsnt_update_autoresponder_type(type) {
	// alert(type)
	switch (type) {
		case '1':
			// Aweber
			jQuery('.ar_label').show();
			jQuery('.artag_label').show();
			update_ar_list_by_type(type, 1);
			break;
		case '2':
		case '3':
		case '4':
		case '5':
			jQuery('.ar_label').show();
			jQuery('.artag_label').show();
			update_ar_list_by_type(type, 1);
			break;

		case '6': 
			// generic
			jQuery('.ar_label').hide();
			jQuery('.artag_label').hide();
			// generic
			break;
		default:
			break;
	}
}


function update_ar_list_by_type(type, update) {
	switch (type) {
		case '1': 
			lists = survsnt_vars.aweber_lists;
			break;
		case '2': 
			lists = survsnt_vars.getresponse_lists;
			break;
		case '3': 
			lists = survsnt_vars.mailchimp_lists;
			break;
		case '4': 
			lists = survsnt_vars.icontact_lists;
			break;
		case '5': 
			lists = survsnt_vars.ccontact_lists;
			break;
		case '6': 
		default:
			lists = new Array();
			break;

	}
// console.log(lists);
	str_ret = '<option value="0">-</option>';
	if (lists)
		n_lists = lists.length;
	else
		n_lists = 0;
	if (n_lists) {
		for (i=0;i<n_lists;i++) {
			str_ret += '<option value="'+lists[i].id+'">'+lists[i].name+'</option>';
		}
	}	
	if (update)
		jQuery('.ar_list').html(str_ret);
	else
		return str_ret;
	return;
	// return str_ret;
}


function survsnt_update_webinar_type(type) {
	// alert(type)
	switch (type) {
		case '1':
			// Gotowebinar
			lists = survsnt_vars.gotowebinar_webinars;
			str_ret = '<option value="0">-</option>';
			if (lists)
				n_lists = survsnt_vars.gotowebinar_webinars.length;
			else
				n_lists = 0;
			if (n_lists) {
				for (i=0;i<n_lists;i++) {
					// console.log(lists[i])
					str_ret += '<option value="'+lists[i].id+'">'+lists[i].name+'</option>';
				}
			}
			jQuery('.webinar_list').html(str_ret);
			// alert(str_ret)

			break;
		case '2':
			// Hangouts plugin
			lists = survsnt_vars.hangout_webinars;
			str_ret = '<option value="0">-</option>';
			if (lists)
				n_lists = survsnt_vars.hangout_webinars.length;
			else
				n_lists = 0;
			if (n_lists) {
				for (i=0;i<n_lists;i++) {
					// console.log(lists[i])

					str_ret += '<option value="'+lists[i].id+'">'+lists[i].name+'</option>';
				}
			}
			jQuery('.webinar_list').html(str_ret);
			// alert(str_ret)
			// getresponse
			break;
		case '3':
			// Webinar express
			lists = survsnt_vars.webinarexpress_webinars;
			str_ret = '<option value="0">-</option>';
			if (lists)
				n_lists = survsnt_vars.webinarexpress_webinars.length;
			else
				n_lists = 0;
			if (n_lists) {
				for (i=0;i<n_lists;i++) {
					// console.log(lists[i])

					str_ret += '<option value="'+lists[i].id+'">'+lists[i].name+'</option>';
				}
			}
			jQuery('.webinar_list').html(str_ret);
			// alert(str_ret)
			// getresponse
			break;
		default:
			break;
	}
}


// 2. Tab 2: Display Options

function survsnt_display_method_options(method) {
	// method = jQuery('#display_option').val();
	// console.log(method)
	
	jQuery('#embed-help-block').hide();
	// jQuery('#survey_method_settings_trigger').hide();

	if (jQuery('#scroll-trigger').is(':checked'))
		jQuery('#scroll-amount').show();
	else 
		jQuery('#scroll-amount').hide();

	jQuery('#where_to_show_global').show();

	switch (method) {
		case '1':
			// Popup
			jQuery('#survey_method_settings_popup').show();
			jQuery('#survey_method_settings_topbar').hide();
			jQuery('#survey_method_settings_sidebar').hide();
			jQuery('#survey_method_settings_scroll').hide();
			jQuery('#survey_method_settings_splash').hide();
			jQuery('#survey_method_settings_chat').hide();
			jQuery('#survey_method_settings_trigger').show();
			break;
		case '2':
			// Top Bar
			jQuery('#survey_method_settings_popup').hide();
			jQuery('#survey_method_settings_topbar').show();
			jQuery('#survey_method_settings_sidebar').hide();
			jQuery('#survey_method_settings_scroll').hide();
			jQuery('#survey_method_settings_splash').hide();
			jQuery('#survey_method_settings_chat').hide();
			jQuery('#survey_method_settings_trigger').show();
			break;
		case '3':
			// Side
			jQuery('#survey_method_settings_popup').hide();
			jQuery('#survey_method_settings_topbar').hide();
			jQuery('#survey_method_settings_sidebar').show();
			jQuery('#survey_method_settings_scroll').hide();
			jQuery('#survey_method_settings_splash').hide();
			jQuery('#survey_method_settings_chat').hide();
			jQuery('#survey_method_settings_trigger').show();
			break;
		case '4':
			// Exit Popup
			jQuery('#survey_method_settings_popup').hide();
			jQuery('#survey_method_settings_topbar').hide();
			jQuery('#survey_method_settings_sidebar').hide();
			jQuery('#survey_method_settings_scroll').hide();
			jQuery('#survey_method_settings_splash').hide();
			jQuery('#survey_method_settings_chat').hide();
			jQuery('#survey_method_settings_trigger').hide();
			break;
		case '5':
			// Chat
			jQuery('#survey_method_settings_popup').hide();
			jQuery('#survey_method_settings_topbar').hide();
			jQuery('#survey_method_settings_sidebar').hide();
			jQuery('#survey_method_settings_scroll').hide();
			jQuery('#survey_method_settings_splash').hide();
			jQuery('#survey_method_settings_chat').show();
			jQuery('#survey_method_settings_trigger').show();
			break;			
		case '6':
			// Splash
			jQuery('#survey_method_settings_popup').hide();
			jQuery('#survey_method_settings_topbar').hide();
			jQuery('#survey_method_settings_sidebar').hide();
			jQuery('#survey_method_settings_scroll').hide();
			jQuery('#survey_method_settings_chat').hide();
			jQuery('#survey_method_settings_splash').show();
			jQuery('#survey_method_settings_trigger').show();
			break;
		case '8':
			// Embed
			jQuery('#survey_method_settings_popup').hide();
			jQuery('#survey_method_settings_topbar').hide();
			jQuery('#survey_method_settings_sidebar').hide();
			jQuery('#survey_method_settings_scroll').hide();
			jQuery('#embed-help-block').show();
			jQuery('#survey_method_settings_trigger').hide();
			jQuery('#survey_method_settings_splash').hide();
			jQuery('#where_to_show_global').hide();
			jQuery('#survey_method_settings_chat').hide();

			break;	
		case '9':
			// Viral Rating
			jQuery('#survey_method_settings_popup').hide();
			jQuery('#survey_method_settings_topbar').hide();
			jQuery('#survey_method_settings_sidebar').hide();
			jQuery('#survey_method_settings_scroll').hide();
			jQuery('#survey_method_settings_splash').hide();
			jQuery('#survey_method_settings_chat').hide();
			jQuery('#survey_method_settings_trigger').hide();
			break;	
		default:
			jQuery('#survey_method_settings_popup').hide();
			jQuery('#survey_method_settings_topbar').hide();
			jQuery('#survey_method_settings_sidebar').hide();
			jQuery('#survey_method_settings_scroll').hide();
			jQuery('#survey_method_settings_splash').hide();
			jQuery('#survey_method_settings_trigger').hide();
			jQuery('#survey_method_settings_chat').hide();

			break;

	}
	// #survey_method_settings_popup, #survey_method_settings_topbar, #survey_method_settings_sidebar
}


function survsnt_sidebar_img_change(current_val) {
		if (current_val == '19') {
			jQuery('#sidebar_custom_img').attr('src', jQuery('#_sidebar_custom_img_bg').val());
			jQuery( '#_sidebar_custom_img_bg').show();
			jQuery( '#_sidebar_custom_img_bg_button').show();
		}
		else {
			jQuery('#sidebar_custom_img').attr('src', survsnt_vars.plugin_url+'/img/front/sidebar/left/'+'img'+current_val+'.png');
			jQuery( '#_sidebar_custom_img_bg').hide();
			jQuery( '#_sidebar_custom_img_bg_button').hide();
		}
}

function survsnt_splash_img_change(current_val) {
		jQuery('#splash-image-wrapper').css('background-color', jQuery('#splash_bg_color').val());
		if (current_val == -1) return;
		if (current_val == '0') {
			jQuery('#splash-image-background').hide();
		}
		else {
			jQuery('#splash-image-background').attr('src', survsnt_vars.plugin_url+'/img/front/splash/'+'img'+current_val+'.png');
			jQuery('#splash-image-background').show();
		}
}

// 3. Tab 3: Default Styles


// 4. Tab 4: Questions

function survsnt_delete_question(question_id) {
	// console.log('#question_'+question_id+ ' .delete_question')
	jQuery('#question_'+question_id+ ' .delete_question').val(1);
	jQuery('#question_'+question_id).hide();
}

function survsnt_add_question() {
  	return survsnt_add_generic_question(1);
}

function survsnt_add_question_open() {
  	return survsnt_add_generic_question(2);
}

function survsnt_add_optin_form() {
  	return survsnt_add_generic_question(4);

    tinyMCE.init({
        mode : "exact",
        elements : 'survsnt_editor_'+num_question, //putting extra tetarea id seperated by comma to show WYSIWYG
        //theme : "simple",
        theme : "advanced",
        skin : "wp_theme",
           height:"150",
            //width:"600",

        // Theme options
        theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,cut,copy,paste,pastetext,pasteword,|, formatselect,fontselect,fontsizeselect,|,codeeditor, html, mcecodeeditor",
        theme_advanced_buttons2 : "",
        theme_advanced_buttons3 : "",
        theme_advanced_toolbar_location : "top",
        theme_advanced_toolbar_align : "left",
        theme_advanced_statusbar_location : "bottom",
        theme_advanced_resizing : true,

    });

	survsnt_update_next_question();	
	// jQuery('#editor123').wysiwyg();
		return;
}

function survsnt_add_generic_question(type) {
	jQuery('#survsnt_adding_gif').show();

	num_question = jQuery('.survsnt_question_el:visible').length + 1;
	total_questions = jQuery('.survsnt_question_el').length + 1;

	loading_gif = '<div style="width:100%" class="backend_loading"><img style="width:128px;margin-top:12px;margin-left:40%" src="'+survsnt_vars.plugin_url+'/img/ajax-loader-2.gif" /></div>';
	jQuery('#survsnt_questions').append(loading_gif);
	// return;
	ar_type = jQuery('#autoresponder').val();
	if (!ar_type) ar_type = 0;
	webinar_type = jQuery('#webinar').val();
	if (!webinar_type) webinar_type = 0;


	var data = {
		action: 'survsnt_get_new_question',
		survey_id : jQuery('#survsnt_survey_id').val(),
		question_type : type,
		num_question : num_question,
		total_questions : total_questions,
		autoresponder_type : ar_type,
		webinar_type : webinar_type
	};

  	jQuery.post(ajaxurl, data, function(response) {
		jQuery('#survsnt_questions').append(response);
		jQuery('#survsnt_adding_gif').hide();
		survsnt_update_next_question();
		survsnt_init_question_items();
		survsnt_update_html_preview(num_question+'_n');
		survsnt_init_tinymce();
		if (type==4) {
			check_updates_optin_box_by_id(num_question+'_n');
		}
	  	jQuery('.backend_loading').remove();
  	});	
} 

function check_updates_optin_box_by_id(question_id) {
	this_el = jQuery('#question_content_'+question_id).find('.stay_on_page')
	check_updates_optin_box(this_el);
}

function survsnt_add_answer(question_id) {
	num_answers = jQuery('#answers_'+question_id+' .survsnt_answer_el:visible').length + 1;
	total_answers = jQuery('#answers_'+question_id+' .survsnt_answer_el').length + 1;
	ar_type = jQuery('#autoresponder').val();
	if (!ar_type) ar_type = 0;
	webinar_type = jQuery('#webinar').val();
	if (!webinar_type) webinar_type = 0;
// console.log(num_answers);

	loading_gif = '<div style="width:100%" class="backend_loading"><img style="width:128px;margin-top:12px;margin-left:40%" src="'+survsnt_vars.plugin_url+'/img/ajax-loader-2.gif" /></div>';
	jQuery('#answers_'+question_id).append(loading_gif);
	// return;
	var data = {
		action: 'survsnt_get_new_answer',
		survey_id : jQuery('#survsnt_survey_id').val(),
		question_id : question_id,
		num_answer : num_answers,
		total_answers : total_answers,
		autoresponder_type : ar_type,
		webinar_type : webinar_type
	};

  	jQuery.post(ajaxurl, data, function(response) {
		jQuery('#answers_'+question_id).append(response);
		// survsnt_update_next_question();
		// survsnt_init_question_items();
	  	jQuery('.backend_loading').remove();

  	});	

  	return;	
	num_answers = jQuery('#answers_'+question_id+' .survsnt_answer_el:visible').length + 1;

		// jQuery('#answers_'+question_id+' .btn.survsnt_add_answer').before(html_str);
		jQuery('#answers_'+question_id).append(html_str);
	// era una pregunta ya guardada previamente
	if (jQuery.isNumeric(question_id))
		// jQuery('#answers_'+question_id+' .survsnt_answer_el :last').after(html_str);
		jQuery('#answers_'+question_id+' .btn.survsnt_add_answer').before(html_str);

	else {
		// console.log(question_id);
		jQuery('#answers_'+question_id+' .btn.survsnt_add_answer').before(html_str);
		// jQuery('#answers_'+question_id).append(html_str);
	}
}

function survsnt_delete_answer(answer_id) {
	jQuery('#answer_'+answer_id+ ' .delete_answer').val(1);
	jQuery('#answer_'+answer_id).hide();
	survsnt_update_answers_after_delete(jQuery('#answer_'+answer_id));
}

function survsnt_add_html() {
	num_question = jQuery('.survsnt_question_el:visible').length + 1;

/*	html_str = '<div class="accordion-group survsnt_question_el new" id="question_'+num_question+'">'+
	'	<input type="hidden" class="question_type" value="3" />'+
	'	<input type="hidden" class="question_id" value="0" />'+
	'	<input type="hidden" class="delete_question" value="0" />'+
	'	<div class="accordion-heading survsnt_question">'+
	'		<a class="accordion-toggle" data-toggle="collapse" href="#question_content_'+num_question+'"><span class="question_number"><i class="icon-font icon-blue"></i>  '+num_question+'</span>.</a>'+
	'		<div class="dropdown edit">'+
	'				<a data-toggle="collapse" href="#question_content_'+num_question+'" href="#"><i class=" icon-chevron-down"></i></a>'+
	'			<a href="#" class="handle"><i class="icon-resize-vertical"></i></a>'+
	'			<a href="#" class="survsnt_delete_question" data-question-id=""><i class="icon-remove icon-red"></i></a>'+
	'		</div>'+
	'	</div>'+
	'		<!-- /Question -->'+
	'	<div id="question_content_'+num_question+'" class="accordion-body in collapse">'+
	'		<div class="accordion-inner">'+
	'			<div class="accordion" id="answer_list_'+num_question+'">'+

	'			Save Survey to Edit'+
	'			</div>	'+
	'		</div>	'+
	'	</div>	'+
	'</div>	';
	jQuery('#survsnt_questions').append(html_str);
*/
    tinyMCE.init({
        mode : "exact",
        // elements : 'survsnt_editor_'+num_question, //putting extra tetarea id seperated by comma to show WYSIWYG
        //theme : "simple",
        theme : "advanced",
        body_class: "my_class",
        skin : "wp_theme",
        height:"150",
        mode : "specific_textareas",
        editor_selector : "mceEditor"  ,         
            //width:"600",

        // Theme options
        theme_advanced_buttons1 : "bold,italic,underline,blockquote,strikethrough,bullist,numlist,justifyleft,justifycenter,justifyright,justifyfull,|, formatselect,fontselect,fontsizeselect",
        theme_advanced_buttons2 : "",
        theme_advanced_buttons3 : "",
        theme_advanced_toolbar_location : "top",
        theme_advanced_toolbar_align : "left",
        theme_advanced_statusbar_location : "bottom",
        theme_advanced_resizing : true,

    });

	survsnt_update_next_question();	
	// jQuery('#editor123').wysiwyg();
		return;
}


function survsnt_update_next_question() {
	num_questions = jQuery('.survsnt_question_el').length;

	html_str = '<option value="'+num_questions+'">'+num_questions+'</option>';
	jQuery('.next_question_select').append(html_str);
}

function survsnt_next_question_select() {
	num_questions = jQuery('.survsnt_question_el').length + 1;

	str_ret = '<select class="next_question_select">';
	if (!num_questions) return '';
	//i=1;
	str_ret += '<option value="0">-</option>';
	for (i=1;i<num_questions;i++) {
		str_ret += '<option value="'+(1)+'">'+i+'</option>';
	}
	str_ret += '</select>';

	return str_ret;
}

function survsnt_update_after_sort(element) {
	start_index = element.startPos +1 // here was the element before
	end_index = element.index() +1; // here is the element now
	num = element.attr('data-question-num');
	 // console.log(num)

	/*
		A partir de min (donde estaba, donde dejo)
		Hasta max(donde estaba, donde lo suelto)

		los que apuntaban al antiguo elemento -> apuntar a la nueva posición
		el resto; 1+

	*/
	min_q = Math.min(start_index, end_index)
	max_q = Math.max(start_index, end_index)
	current_q = num
	i = 0;
	jQuery( ".survsnt_question_el" ).each(function( index ) {
	  this_el = jQuery(this)
	  this_el.find('.question_number').html((i+1));
	  this_el.attr('data-question-num', (i+1))
	  // if (i)
		this_el.find('.survsnt_answer_el').each(function( index2 ) {
			this_answer = jQuery(this);
			old_next_q_select = this_answer.find('.next_question_select');
			old_next_q_val = old_next_q_select.find('option:selected').val();
			// console.log('antes apuntaba a '+old_next_q_val)
			if (old_next_q_val == start_index) {
				// antes apuntaba a la que justo ahora he movido, apuntar al nuevo índice
				// console.log('equal :'+old_next_q_val)
				// console.log('antes el valor era '+old_next_q_select.val() +' ahora va a ser '+end_index)
				old_next_q_select.val(end_index)
			}
			else if ((old_next_q_val >= min_q) && (old_next_q_val <= max_q)) {
				if (start_index > end_index)
					old_next_q_select.val(end_index+1)
				else if (start_index < end_index)
					old_next_q_select.val(end_index-1)
			}
		})
	  i++;
	});
}


function survsnt_update_after_delete(element) {
	i = 0;
	jQuery( ".survsnt_question_el:visible" ).each(function( index ) {
	  this_el = jQuery(this)
	  this_el.find('.question_number').html((i+1));
	  // console.log(i+1)
	  this_el.attr('data-question-num', (i+1))
	  // if (i)
		this_el.find('.survsnt_answer_el').each(function( index2 ) {
			this_answer = jQuery(this);
			old_next_q_select = this_answer.find('.next_question_select');
			old_next_q_val = old_next_q_select.find('option:selected').val();
			if (old_next_q_val == num_deleted) {
				old_next_q_select.val(0)
			}
			else if (old_next_q_val >= num_deleted) {
					old_next_q_select.val(old_next_q_select.val()-1)
			}
		})
	  i++;
	});
}

function survsnt_update_answers_after_sort(element) {
	// get all answers
	answers_el = element.closest('.answers')
	answers_el.find('.survsnt_answer_el').each(function( index ) {
		this_answer = jQuery(this);
		this_answer.find('.num_answer').html(index+1)
	});

}

function survsnt_update_answers_after_delete(element) {
	answers_el = element.closest('.answers')
	answers_el.find('.survsnt_answer_el:visible').each(function( index ) {
		// console.log(index)
		this_answer = jQuery(this);
		this_answer.find('.num_answer').html(index+1)
	});
}

function survsnt_init_tinymce() {
	try {
	    tinyMCE.init({
	        mode : "exact",
	        // elements : 'survsnt_editor_'+num_question, //putting extra tetarea id seperated by comma to show WYSIWYG
	        //theme : "simple",
	        theme : "advanced",
	        body_class: "my_class",
	        skin : "wp_theme",
	        height:"170",
	        mode : "specific_textareas",
	        editor_selector : "survsnt_html_content"  ,         

	        // Theme options
	        theme_advanced_buttons1 : "bold,italic,underline,blockquote,strikethrough,bullist,numlist,justifyleft,justifycenter,justifyright,justifyfull,|, formatselect,fontselect,fontsizeselect,code",
	        theme_advanced_buttons2 : "",
	        theme_advanced_buttons3 : "",
	        theme_advanced_toolbar_location : "top",
	        theme_advanced_toolbar_align : "left",
	        theme_advanced_statusbar_location : "bottom",
	        theme_advanced_resizing : true,

	    });
	}
	catch(err)
	{
		//Handle errors here
	}	
}

// Questions: HTML Editor

function survsnt_question_find_preview_box(this_el) {
	return this_el.parents('.survsnt_html_editor_layer').find('.survey_design_preview');
}

function survsnt_question_find_settings_div(this_el) {
	return this_el.parents('.survsnt_html_editor_layer').find('.settings_div');
}

// Box design
function survsnt_update_background_preview(preview_box, settings_div) {
	url = settings_div.find('.questions_preview_bg').val()
	preview_box.css({'background-image':'url('+url+')'});

	is_checked = settings_div.find('.box_repeat_bg').attr('checked')

	if (is_checked == 'checked')
		preview_box.css({'background-repeat':'repeat'});
	else
		preview_box.css({'background-repeat':'no-repeat'});

	preview_box.css('background-color', settings_div.find('.box_bg_color').val());

}


function survsnt_check_preview_height(preview_box, settings_div) {
	this_el = settings_div.find('.box_height_auto')
	if (this_el.attr('checked')) {
		settings_div.find('.input-box-height').val('auto');
		settings_div.find('.slider-box-height').slider('value',0);
		settings_div.find('.input-box-height').attr('disabled', 'disabled');
		settings_div.find('.slider-box-height').slider('disable');
    	preview_box.css('height', 'auto');
	}
	else {
		input_val = settings_div.find('.input-box-height').val();
		settings_div.find('.input-box-height').removeAttr('disabled');
		settings_div.find('.slider-box-height').slider('enable');
		if (input_val != 'auto')
			settings_div.find('.slider-box-height').slider('value',input_val);
	}
}

function survsnt_check_preview_width(preview_box, settings_div) {
	// if (!this_el) return;

	// preview_box = survsnt_question_find_preview_box(this_el)
	// settings_div = survsnt_question_find_settings_div(this_el)
	this_el = settings_div.find('.box_width_auto')

	if (this_el.attr('checked')) {
		settings_div.find('.input-box-width').val('auto');
		settings_div.find('.slider-box-width').slider('value',0);
		settings_div.find('.input-box-width').attr('disabled', 'disabled');
		settings_div.find('.slider-box-width').slider('disable');
    	preview_box.css('width', 'auto');
	}
	else {
		input_val = settings_div.find('.input-box-width').val();
		settings_div.find('.input-box-width').removeAttr('disabled');
		settings_div.find('.slider-box-width').slider('enable');
		if (input_val != 'auto')
			settings_div.find('.slider-box-width').slider('value',input_val);
	}
}


function survsnt_update_general_preview(preview_box, settings_div) {
	survsnt_update_background_preview(preview_box, settings_div)
	top_m = settings_div.find('.general_design_top_margin').val() + 'px';
	right_m = settings_div.find('.general_design_right_margin').val() + 'px';
	bottom_m = settings_div.find('.general_design_bottom_margin').val() + 'px';
	left_m = settings_div.find('.general_design_left_margin').val() + 'px';
// console.log(right_m)

	preview_box.css('paddingTop', top_m);
	preview_box.css('paddingRight', right_m);
	preview_box.css('paddingBottom', bottom_m);
	preview_box.css('paddingLeft', left_m);
}


// Title

function survsnt_update_title_preview(preview_box, settings_div) {
	// preview_box = survsnt_question_find_preview_box(this_el)
	// settings_div = survsnt_question_find_settings_div(this_el)

	title_el = preview_box.find('.question_title_preview');

	top_m = settings_div.find('.question_design_top_margin').val() + 'px';
	right_m = settings_div.find('.question_design_right_margin').val() + 'px';
	bottom_m = settings_div.find('.question_design_bottom_margin').val() + 'px';
	left_m = settings_div.find('.question_design_left_margin').val() + 'px';

	title_el.css('marginTop', top_m);
	title_el.css('marginRight', right_m);
	title_el.css('marginBottom', bottom_m);
	title_el.css('marginLeft', left_m);

	font_title = settings_div.find('.question_font_family_select').val();
	title_el.css('font-family', font_title);

	new_font_size = settings_div.find('.question_size_select').val();
	title_el.css('font-size', new_font_size+'px');
	line_height = parseInt((Math.round(new_font_size * 0.3)) + parseInt(new_font_size));
	title_el.css('line-height', line_height+'px');

	new_font_color = settings_div.find('.question_color_select').val();
	title_el.css('color', new_font_color);

	new_text_align = settings_div.find('.question_text_align').val();
	title_el.css('text-align', new_text_align);

}

// Answer

function survsnt_update_answer_preview(preview_box, settings_div) {
	// preview_box = survsnt_question_find_preview_box(this_el)
	// settings_div = survsnt_question_find_settings_div(this_el)

	answer_el =  preview_box.find('.survsnt_question_list_preview li');

	top_m = settings_div.find('.answer_design_top_margin').val() + 'px';
	right_m = settings_div.find('.answer_design_right_margin').val() + 'px';
	bottom_m = settings_div.find('.answer_design_bottom_margin').val() + 'px';
	left_m = settings_div.find('.answer_design_left_margin').val() + 'px';

	answer_el.css('marginTop', top_m);
	answer_el.css('marginRight', right_m);
	answer_el.css('marginBottom', bottom_m);
	answer_el.css('marginLeft', left_m);

	font_answer = settings_div.find('.answer_font_family_select').val();
	answer_el.css('font-family', font_answer);

	new_font_size = settings_div.find('.answer_size_select').val();
	answer_el.css('font-size', new_font_size+'px');
	answer_el.find('label').css('font-size', new_font_size+'px');
	line_height = parseInt((Math.round(new_font_size * 0.3)) + parseInt(new_font_size));
	answer_el.css('line-height', line_height+'px');
	
	new_font_color = settings_div.find('.answer_color_select').val();
	answer_el.css('color', new_font_color);	
	answer_el.find('label').css('color', new_font_color);	
}

// Submit button
function survsnt_update_submit_btn_preview(preview_box, settings_div) {
	// preview_box = survsnt_question_find_preview_box(this_el)
	// settings_div = survsnt_question_find_settings_div(this_el)
		
	button_el = preview_box.find('.submit_button_preview');

	top_m = settings_div.find('.submit_btn_top_margin').val() + 'px';
	right_m = settings_div.find('.submit_btn_right_margin').val() + 'px';
	bottom_m = settings_div.find('.submit_btn_bottom_margin').val() + 'px';
	left_m = settings_div.find('.submit_btn_left_margin').val() + 'px';

	button_el.css('marginTop', top_m);
	button_el.css('marginRight', right_m);
	button_el.css('marginBottom', bottom_m);
	button_el.css('marginLeft', left_m);

	button_el.css('float', settings_div.find('.submit_btn_align_select').val());

	button_el.val(settings_div.find('.submit_btn_txt_select').val())

	font_title = settings_div.find('.submit_btn_font_family_select').val();
	button_el.css('font-family', font_title);

	new_font_size = settings_div.find('.submit_btn_size_select').val();
	button_el.css('font-size', new_font_size+'px');

}

function survsnt_update_submit_btn_bg(preview_box, settings_div) {
	// preview_box = survsnt_question_find_preview_box(this_el)
	// settings_div = survsnt_question_find_settings_div(this_el)

	button_el = preview_box.find('.submit_button_preview');
	button_img_el = preview_box.find('.submit_button_preview_img');
	button_el_image_div = preview_box.find('.submit_button_preview_image_el');
	
	bg_url_el = settings_div.find('.submit_btn_bg')
	if (bg_url_el.val()) {
		button_el.css('display', 'none')
		button_img_el.attr('src', bg_url_el.val())
		button_el_image_div.css('display', 'block')
	}
	else {
		button_el.css('display', 'block')
		button_el_image_div.css('display', 'none')
	}
}


/* HTML Question */

/*
function survsnt_html_question_find_parent_panel(this_el) {
	return this_el.parents('.survsnt_parent_panel');
}

function survsnt_html_question_update_visibles(this_el) {
	parent_panel = survsnt_html_question_find_parent_panel(this_el);
	subtype = parent_panel.find('.html_question_question_subtype').val();
	if (subtype == 1 || subtype == 3) {
		parent_panel.find('.custom_html_tab1_video').hide();
	}
	else
		parent_panel.find('.custom_html_tab1_video').show();

	return this_el.parents('.survsnt_parent_panel');
}
*/


function survsnt_html_question_update_content_preview(preview_box, settings_div) {
	html_el =  preview_box.find('.survsnt_html_question_inner');

	top_m = settings_div.find('.content_design_top_margin').val() + 'px';
	right_m = settings_div.find('.content_design_right_margin').val() + 'px';
	bottom_m = settings_div.find('.content_design_bottom_margin').val() + 'px';
	left_m = settings_div.find('.content_design_left_margin').val() + 'px';

	html_el.css('marginTop', top_m);
	html_el.css('marginRight', right_m);
	html_el.css('marginBottom', bottom_m);
	html_el.css('marginLeft', left_m);

	font_answer = settings_div.find('.content_font_family_select').val();
	html_el.css('font-family', font_answer);

	new_font_size = settings_div.find('.content_size_select').val();
	html_el.css('font-size', new_font_size+'px');
	html_el.find('label').css('font-size', new_font_size+'px');

	new_font_color = settings_div.find('.content_color_select').val();
	html_el.css('color', new_font_color);	
	html_el.find('label').css('color', new_font_color);
}


function survsnt_question_type_open_global_update(preview_box, settings_div) {
	survsnt_update_general_preview(preview_box, settings_div);
	survsnt_update_title_preview(preview_box, settings_div);
	survsnt_update_answer_preview(preview_box, settings_div);
	survsnt_html_question_update_content_preview(preview_box, settings_div);
	survsnt_update_submit_btn_preview(preview_box, settings_div);
	survsnt_html_question_update_content_preview(preview_box, settings_div);
	settings_el = survsnt_question_find_settings_div(preview_box, settings_div);

	survsnt_check_preview_height(preview_box, settings_div);
	survsnt_check_preview_width(preview_box, settings_div);
}

// Optin form

function survsnt_check_stay_on_page(this_el) {
	parent_el = this_el.parents('.question_content');
	// preview_box = parent_el.find('.survey_design_preview')
	input_html = parent_el.find('.redirect_url');
	// console.log(input_html.val())
	if (this_el.is(':checked'))
		input_html.prop('disabled', true);
	else
		input_html.prop('disabled', false);

}

function check_updates_optin_box(this_el) {
		parent_el = this_el.parents('.question_content');
		preview_box = parent_el.find('.survey_design_preview')
		settings_div = parent_el.find('.settings_div')

		name_placeholder_txt = parent_el.find('.name_placeholder').val()
		email_placeholder_txt = parent_el.find('.email_placeholder').val()
		spam_notice_txt = parent_el.find('.spam_notice').val()

		preview_box.find('.name_placeholder_label').html(name_placeholder_txt)
		preview_box.find('.email_placeholder_label').html(email_placeholder_txt)
		preview_box.find('.nospam').html(spam_notice_txt)
		
		fb_connect = parent_el.find('.fb_connect').is(':checked')
		social_share = parent_el.find('.social_share').is(':checked')
		if (fb_connect)
			preview_box.find('.facebook_connect').show();
		else
			preview_box.find('.facebook_connect').hide();

		if (social_share)
			preview_box.find('.survsnt_social_media').show();
		else
			preview_box.find('.survsnt_social_media').hide();


		optin_elements_preview_el = preview_box.find('.optin_elements_preview');

		top_m = settings_div.find('.optin_label_design_top_margin').val() + 'px';
		right_m = settings_div.find('.optin_label_design_right_margin').val() + 'px';
		bottom_m = settings_div.find('.optin_label_design_bottom_margin').val() + 'px';
		left_m = settings_div.find('.optin_label_design_left_margin').val() + 'px';

		optin_elements_preview_el.css('marginTop', top_m);
		optin_elements_preview_el.css('marginRight', right_m);
		optin_elements_preview_el.css('marginBottom', bottom_m);
		optin_elements_preview_el.css('marginLeft', left_m);

		placeholders = parent_el.find('.placeholder_label')

		font_title = settings_div.find('.optin_label_font_family_select').val();
		placeholders.css('font-family', font_title);

		new_font_size = settings_div.find('.optin_label_size_select').val();
		placeholders.css('font-size', new_font_size+'px');
		line_height = parseInt((Math.round(new_font_size * 0.3)) + parseInt(new_font_size));
		placeholders.css('line-height', line_height+'px');

		new_font_color = settings_div.find('.optin_label_color_select').val();
		placeholders.css('color', new_font_color);

		/* Use name / spam notice */
		if (parent_el.find('.use_name_in_form').is(':checked')) {
			preview_box.find('.optin_name_field').show();
			parent_el.find('.name_placeholder_group').show();
		}
		else {
			preview_box.find('.optin_name_field').hide();
			parent_el.find('.name_placeholder_group').hide();
		}

		if (parent_el.find('.use_spamnotice_in_form').is(':checked')) {
			preview_box.find('.nospam').show();
			parent_el.find('.spam_notice_group').show();
		}
		else {
			preview_box.find('.nospam').hide();
			parent_el.find('.spam_notice_group').hide();
		}
		// use_name_in_form

		survsnt_check_updates_armagic(parent_el.find('.move_or_copy'))

		own_ar = parent_el.find('.use_own_autoresponder').is(':checked')
		predefined_autoresponder = parent_el.find('.predefined_autoresponder');
		elements_preview = parent_el.find('.optin_elements_preview');
		
		if (own_ar) {
			predefined_autoresponder.hide();
			elements_preview.hide();
		}
		else {
			predefined_autoresponder.show();
			elements_preview.show();
		}
		
		// social texts
		if (parent_el.find('.social_share').is(':checked'))
			parent_el.find('.social_share_texts').show();
		else
			parent_el.find('.social_share_texts').hide();

	}

function survsnt_check_updates_armagic(this_el) {
	question_el = this_el.closest('.survsnt_question_el');
	action = this_el.val();

	list_from_el = question_el.find('.ar_list_from_group')
// console.log(this_el.val())
	if (this_el.val() == 1) {
		list_from_el.hide();
	}
	else
		list_from_el.show();

	// question_id = question_el.find('.question_id').val();
	// this_el.closest('.control-group').next().find('.autoresp_url').val('?sid='+question_id+'&email=test@test.com')
}

function survsnt_generate_ar_magic_url(this_el) {
	txt = "abcd"

	// this_el = jQuery(this);
	question_el = this_el.closest('.survsnt_question_el')
	question_id = question_el.find('.question_id').val();
	action = question_el.find('.move_or_copy').val();
	if (action == 1)
		action_str = ''
	else
		action_str = '&action=2'

	this_el.closest('.control-group').next().find('.autoresp_url').val('?sid='+question_id+action_str+'&e={email}')
}


function survsnt_init_question_items() {
	jQuery('.colorpicker').colorpicker();
	var spinner = jQuery( ".spinner" ).spinner();

	 jQuery( ".slider-box-width" ).slider({
	      range: false,
	      min: 0,
	      max: 580,
	      value: isNaN(jQuery(this).next().val()) ? 0 : jQuery(this).next().val(),
	      slide: function( event, ui ) {
	        jQuery(this).next().val( ui.value );
	        jQuery(this).parents('.survsnt_html_editor_layer').find('.survey_design_preview').css('width', ui.value)
	        // jQuery( ".survey_design_preview").css('width', ui.value);
	      }
	    });


	 jQuery( ".slider-box-height" ).slider({
	      range: false,
	      min: 0,
	      max: 580,
	      value: isNaN(jQuery(this).next().val()) ? 0 : jQuery(this).next().val(),
	      slide: function( event, ui ) {
	        jQuery(this).next().val( ui.value );
	        jQuery(this).parents('.survsnt_html_editor_layer').find('.survey_design_preview').css('height', ui.value)
	      }
	    });


	 jQuery( ".slider-reply-box-width" ).slider({
	      range: false,
	      min: 0,
	      max: 500,
	      value: isNaN(jQuery(this).next().val()) ? 0 : jQuery(this).next().val(),
	      slide: function( event, ui ) {
	        jQuery(this).next().val( ui.value );
	        jQuery(this).parents('.survsnt_html_editor_layer').find('.open_question_val').css('width', ui.value)
	      }
	    });

	 jQuery( ".slider-reply-box-height" ).slider({
	      range: false,
	      min: 0,
	      max: 500,
	      value: isNaN(jQuery(this).next().val()) ? 0 : jQuery(this).next().val(),
	      slide: function( event, ui ) {
	        jQuery(this).next().val( ui.value );
	        jQuery(this).parents('.survsnt_html_editor_layer').find('.open_question_val').css('height', ui.value)
	      }
	    });

}


function survsnt_update_multiple_question_preview() {

	survsnt_update_submit_btn_bg();
}

function survsnt_update_html_preview(question_id) {

	question_el = jQuery('#question_content_'+question_id)
	// console.log(question_el)

	preview_box = question_el.find('.survey_design_preview');
	settings_div = question_el.find('.settings_div');
	// console.log(preview_box)
	// console.log(settings_box)

	// General
	survsnt_update_body_settings(preview_box, settings_div)
	survsnt_update_title_settings(preview_box, settings_div)
	survsnt_update_submit_btn_settings(preview_box, settings_div)

	// Multiple choice
	survsnt_update_choices_settings(preview_box, settings_div)

	// Open question
	survsnt_update_reply_box_settings(preview_box, settings_div)

	// Optin form
	survsnt_update_html_content_settings(preview_box, settings_div)
	survsnt_update_optin_label_settings(preview_box, settings_div)
	survsnt_update_optin_general_settings(preview_box, settings_div)
}

function survsnt_update_body_settings(preview_box, settings_div) {
	// survsnt_update_background_preview(preview_box, settings_div)
	survsnt_update_general_preview(preview_box, settings_div)
	survsnt_check_preview_height(preview_box, settings_div)
	survsnt_check_preview_width(preview_box, settings_div)
}

function survsnt_update_title_settings(preview_box, settings_div) {
	survsnt_update_title_preview(preview_box, settings_div)
}

function survsnt_update_submit_btn_settings(preview_box, settings_div) {
	survsnt_update_submit_btn_preview(preview_box, settings_div)
	survsnt_update_submit_btn_bg(preview_box, settings_div)
}

function survsnt_update_choices_settings(preview_box, settings_div) {
	survsnt_update_answer_preview(preview_box, settings_div)
}

function survsnt_update_reply_box_settings(preview_box, settings_div) {
	return;
}

function survsnt_update_html_content_settings(preview_box, settings_div) {
	survsnt_html_question_update_content_preview(preview_box, settings_div);
}

function survsnt_update_optin_label_settings(preview_box, settings_div) {

}

function survsnt_update_optin_general_settings(preview_box, settings_div) {

}

// survsnt_check_stay_on_page(
// check_updates_optin_box(this_el)

function survsnt_find_preview_and_settings(this_el) {
	parent_el = this_el.closest('.question_content');
	preview_box = parent_el.find('.survey_design_preview')
	settings_div = parent_el.find('.settings_div')	
	return Array(preview_box, settings_div);
}

function survsnt_clear_survey_stats(survey_id) {
	var data = {
		action: 'survsnt_clear_survey_stats',
		survey_id : survey_id
	};
	if (confirm('Are you sure? All replies and stats for this survey will be lost.')) {
  		jQuery.post(ajaxurl, data, function(response) {
  			// document.location = document.location;
  			jQuery('#survey_stats_table').remove();
  		});		
  	}
}