<?php

/* Backend */
function survsnt_delete_survey_ajax() {
	$survey_id = isset( $_POST['survey_id'] ) ? $_POST['survey_id'] : 0;
	if ( !$survey_id ) return;
	survsnt_delete_survey( $survey_id );
	exit( 0 );
}

function survsnt_duplicate_survey_ajax() {
	$survey_id = isset( $_POST['survey_id'] ) ? $_POST['survey_id'] : 0;
	if ( !$survey_id ) return;
	$new_name = isset( $_POST['new_name'] ) ? $_POST['new_name'] : 0;

	survsnt_duplicate_survey( $survey_id, $new_name );
	exit( 0 );
}


/* Quiz, all questions in a row */
function survsnt_send_votes() {
	$survey_id = intval( $_POST['survey_id'] );
	if (!$survey_id) exit(0);

	$responses = $_POST['responses'];
	$user_ip = survsnt_get_vistor_ip();

	$survey_taken_id = survsnt_store_survey_taken( $survey_id, $user_ip );
	survsnt_set_session_var( 'survey_taken', $survey_taken_id );

	// var_dump($responses);
	if ($responses) {
		foreach ($responses as $response) {
			$question_id = $response[0];
			$question_type = $response[1];
			$reply = $response[2];
			$answer_txt = '';
			$answer_id = 0;
			if ($question_type == SURVSNT_QUESTION_TYPE_MULTIPLE)
				$answer_id = $reply;
			else
				$answer_txt = $reply;
			survsnt_store_answer( $survey_taken_id, $question_id, $answer_id, $answer_txt );
		}
	}
	// get the first optin form question
	$questions = survsnt_get_survey_questions($survey_id);
	if ($questions) {
		foreach ($questions as $question) {
			if ($question->type == SURVSNT_QUESTION_TYPE_ENDPOINT) {
				survsnt_question_html($question, 0, $survey_id, SURVSNT_QUESTION_TYPE_ENDPOINT, 0, 0, 1);
			}
		}
	}
	exit( 0 );
}

function survsnt_send_vote() {
	$survey_id = intval( $_POST['survey_id'] );
	$question_id = intval( $_POST['question_id'] );
	$is_first = intval( $_POST['is_first'] );
	$is_embed = intval( $_POST['is_embed'] );
	$answer_id = isset( $_POST['option'] ) ? intval( $_POST['option'] ) : 0;
	$type = isset( $_POST['type'] ) ? intval( $_POST['type'] ) : 0;
	$answer_txt = isset($_POST['answer_txt']) ? $_POST['answer_txt'] : '';

	$survey_taken_id = 1;

	if ( $is_first ) {
		$user_ip = survsnt_get_vistor_ip();
		$survey_taken_id = survsnt_store_survey_taken( $survey_id, $user_ip );
		survsnt_set_session_var( 'survey_taken', $survey_taken_id );
	}
	else
		$survey_taken_id = survsnt_get_session_var( 'survey_taken' );


	$answer_data = survsnt_get_answer( $answer_id );
	if ( !empty( $answer_data->ar_list ) )
		survsnt_set_session_var( 'surv_last_list', $answer_data->ar_list );

	if ( !empty( $answer_data->ar_tag ) )
		survsnt_set_session_var( 'surv_last_tag', $answer_data->ar_tag );

	if ( !empty( $answer_data->ar_tag ) )
		survsnt_set_session_var( 'surv_last_tag_value', $answer_data->tag_value );

	if ( !empty( $answer_data->ar_tag ) )
		survsnt_set_session_var( 'surv_last_webinar', $answer_data->webinar );

	// store in database
	survsnt_store_answer( $survey_taken_id, $question_id, $answer_id, $answer_txt );
// var_dump($next_question);
	// get next answer and return html
	$next_question = survsnt_get_next_question( $survey_id, $question_id, $answer_id );
	// var_dump($next_question);
	if ( $next_question ) {
		if ( $next_question->type == SURVSNT_QUESTION_TYPE_MULTIPLE ) {
			$survey_answers = survsnt_get_question_answers ( $next_question->id );
			survsnt_question_html( $next_question, $survey_answers, $survey_id, 0, 0, 0, $is_embed );
		}
		else if ( $next_question->type == SURVSNT_QUESTION_TYPE_OPEN ) {
			$survey_answers = survsnt_get_question_answers ( $next_question->id );
			survsnt_question_html( $next_question, 0, $survey_id, 0, 0, 0, $is_embed );
		}
		// else if ( $next_question->type == SURVSNT_QUESTION_TYPE_HTML ) {
		// 	$survey_answers = survsnt_get_question_answers ( $next_question->id );
		// 	survsnt_question_html( $next_question, 0, $survey_id, 0, 0, 0, $is_embed );
		// }
		else if ( $next_question->type == SURVSNT_QUESTION_TYPE_ENDPOINT ) {
			survsnt_question_html( $next_question, 0, $survey_id, 0, 0, 0, $is_embed );
			// print_survsnt_autoresponder_form( $survey_id, 1 );
		}

		// print next question on screen
/*		if ( $next_question->type == 2 ) {
			// html
			echo $next_question->content;
			echo '<input type="hidden" name="survsnt_question_id" id="survsnt_question_id" value="'.$next_question->id.'">';
			echo '<p><br/><input type="button" id="survey-next-button" value="Next" /> </p>';
			exit( 0 );
		}*/

/*		if ( $type == 2 )
			survsnt_question_html( $next_question, $survey_answers );
		else
			survsnt_question_html( $next_question, $survey_answers, $survey_id );*/
	}
	else {
		//echo 'Thanks for taking the survey!!!<br/>';
		echo 'close-survey';
	}
	exit( 0 );
}



// submit data like: email, webinar, etc. signup
function survsnt_submit_signup_details() {
	$email = $_POST['email'];
	$name = isset($_POST['name']) ? $_POST['name'] : '';
	$survey_id = $_POST['survey_id'];
	$question_id = $_POST['question_id'];
	$is_first = isset($_POST['is_first']) ? $_POST['is_first'] : 0;
	$is_embed = isset($_POST['is_embed']) ? $_POST['is_embed'] : 0;

	$user_ip = survsnt_get_vistor_ip();
	if ( $is_first ) {
		$survey_taken_id = survsnt_store_survey_taken( $survey_id, $user_ip, $email, 1 );
		survsnt_set_session_var( 'survey_taken', $survey_taken_id );
	}
	else {
		$survey_taken_id = survsnt_get_session_var( 'survey_taken' );
		survsnt_update_survey_taken($survey_taken_id, $_POST['email'], 1 );
	}

	if (survsnt_get_session_var('splittest_item_id'))
		survsnt_increment_splittest_conversions(survsnt_get_session_var('splittest_item_id'));
	// $survey_info = survsnt_get_survey($survey_id);
	$question_info = survsnt_get_question($question_id);

	survsnt_process_submit($email, $name, $question_id); //$question_info, $question_styles, $survey_info);
	/*
		2 possibilities: from this question or from a previous one
	*/

	// 'Redirect URL or not'
	if (!empty($question_info->redirect_url))
		echo $question_info->redirect_url;
	else
		echo 'close';
	exit( 0 );
}

function survsnt_activate_survey_ajax() {
	$survey_id = $_POST['survey_id'];
	$action = $_POST['value'];
	survsnt_update_survey_active ( $survey_id, $action );
	exit(0);
}

function survsnt_new_question_ajax() {
	$survey_id = isset($_POST['survey_id']) ? $_POST['survey_id'] : 0;
	if (!$survey_id) $survey_id = 0;
	$question_type = $_POST['question_type'];
	$num_question = isset($_POST['num_question']) ? $_POST['num_question'] : 0;
	$total_questions = isset($_POST['total_questions']) ? $_POST['total_questions'] : 0;

	if (!$question_type) exit(0);
	$question = 0;
	if ($survey_id)
		$survey = survsnt_get_survey($survey_id);
	else
		$survey = 0;

	switch ($question_type) {
		case SURVSNT_QUESTION_TYPE_MULTIPLE:
			survsnt_print_question( $survey_id, $question, $num_question, $survey, $total_questions );
			break;
		case SURVSNT_QUESTION_TYPE_OPEN:
			survsnt_print_open_question( $survey_id, $question, $num_question, $survey, $total_questions );
			break;
		case SURVSNT_QUESTION_TYPE_ENDPOINT:
			survsnt_print_optin_form( $survey_id, $question, $num_question, $survey, $total_questions );
			break;
		default:
			// var_dump($question_type);
			break;
	}
	exit(0);
}

function survsnt_new_answer_ajax() {
	$survey_id = isset($_POST['survey_id']) ? $_POST['survey_id'] : 0;
	if (!$survey_id) $survey_id = 0;
	$question_id = isset($_POST['question_id']) ? $_POST['question_id'] : 0;
	$num_answer = isset($_POST['num_answer']) ? $_POST['num_answer'] : 0;
	$total_answers = isset($_POST['total_answers']) ? $_POST['total_answers'] : 0;

	// if (!$survey_id) exit(0);
	if (!$question_id) $question_id = 0;
	$answer = 0;
	if ($question_id)
		$question = survsnt_get_question($question_id);
	else
		$question = 0;

	if ($survey_id)
		$survey = survsnt_get_survey($survey_id);
	else
		$survey = 0;

	survsnt_print_answer($answer, $question, $survey_id, $survey, $num_answer, $total_answers);
	exit(0);
}

/* Split-test */

function survsnt_activate_splittest_ajax() {
	$splittest_id = $_POST['splittest_id'];
	$action = $_POST['value'];
	survsnt_update_splittest_active ( $splittest_id, $action );
}

function survsnt_delete_splittest_ajax() {
	$splittest_id = isset( $_POST['splittest_id'] ) ? $_POST['splittest_id'] : 0;
	if ( !$splittest_id ) return;
	survsnt_delete_splittest( $splittest_id );
	exit( 0 );
}

function survsnt_clear_survey_stats_ajax() {
	$survey_id = $_POST['survey_id'];
	survsnt_clear_survey_stats ( $survey_id );
	exit(0);
}

function survsnt_clear_splittest_stats_ajax() {
	$splittest_id = $_POST['splittest_id'];
	survsnt_clear_splittest_stats ( $splittest_id );
}

function survsnt_reset_seo_stats_ajax() {
	survsnt_reset_seo_stats();
}

function survsnt_download_image_pack() {
	try {
		ini_set('max_execution_time', 350);
	} catch (Exception $e) { }
	// 1. Splash

	for ($i=1;$i<22;$i++) {
		survsnt_download_image_a($i);
	}

	for ($i=1;$i<31;$i++) {
		survsnt_download_image_b($i);
	}

	update_option('survsnt_img_pack_downloaded',1);
	exit(0);
}

function survsnt_download_image_a($num) {
	$content = file_get_contents('http://imtoolshq.com/wp-content/uploads/d0wn10ad/survey-snatcher/splash/img'.$num.'.png');
	file_put_contents(SURVSNT_DIR.'/img/front/splash/img'.$num.'.png', $content);	
}

function survsnt_download_image_b($num) {
	$content = file_get_contents('http://imtoolshq.com/wp-content/uploads/d0wn10ad/survey-snatcher/backgrounds/'.$num.'.jpg');
	file_put_contents(SURVSNT_DIR.'/img/backgrounds/'.$num.'.jpg', $content);	
}

?>