<?php

// echo SURVSNT_WEBINAREXPRESS_DIR.'/../webinarexpress';
// exit(0);
// define( 'SURVSNT_WEBINAREXPRESS_URL', plugins_url( SURVSNT_PLUGIN_NAME ) );

/* Gotowebinar */
function survsnt_check_authorize_gtw() { 
	if (isset($_POST['survsnt_gtw_api'])) {
		survsnt_check_authorize_gtw_api();
	}
	else if (isset($_GET['survsnt_gtw_authorize'])) {
		survsnt_check_save_gtw_creds();
	}
}
add_action('admin_init', 'survsnt_check_authorize_gtw'); 

define('REDIRECT_URL_AFTER_AUTHENTICATION', admin_url('admin.php?page=survey-snatcher-settings&survsnt_gtw_authorize=1')); 

function survsnt_check_authorize_gtw_api() {
	include_once SURVSNT_DIR.'/lib/autoresponders/gotowebinar/gotoWebinarClass.php';

	$plugin_options = survsnt_get_plugin_options();
	$plugin_options['webinars']['gotowebinar']['apikey'] = trim($_POST['survsnt_gtw_api']);
	survsnt_update_plugin_options($plugin_options);

	$obj = new OAuth_En();
	$oauth = new OAuth($obj);

	if(!isset($_GET['code'])){  
	    goForAuthorization($oauth);
	}

}

function survsnt_check_save_gtw_creds() {
	include_once SURVSNT_DIR.'/lib/autoresponders/gotowebinar/gotoWebinarClass.php';
	$obj = new OAuth_En();
	$oauth = new OAuth($obj);
    $oauth->authorizeUsingResponseKey($_GET['code']);
    if(!$oauth->hasApiError()){
        $objOAuthEn = $oauth->getOAuthEntityClone();
        $plugin_options = survsnt_get_plugin_options();
        $plugin_options['webinars']['gotowebinar']['organizer_key'] = $objOAuthEn->getOrganizerKey();
        $plugin_options['webinars']['gotowebinar']['access_token'] = $objOAuthEn->getAccessToken();
        survsnt_update_plugin_options($plugin_options);
        survsnt_get_gotowebinar_webinars(1);
        wp_redirect(admin_url('admin.php?page=survey-snatcher-settings'));
        exit(0);
	}
}

/*
	Register somebody for a webinar
$registrantInfo = array(
    "firstName"=>"ashish",
    "lastName"=>"mehta",
    "email"=>"test@test.com",
);

$oauth->setWebinarId(525120321);
$oauth->setRegistrantInfo($registrantInfo);

$res = $oauth->createRegistrant();
echo $oauth->getApiErrorCode();
if(!$oauth->hasApiError()){
    print_r($res);  
}else{
    echo 'error';
    print_r($oauth->getApiError()); 
}
*/
//this function has been used for getting the key using which we can get the access token and organizer key
function goForAuthorization($oauth){
    $oauth->setRedirectUrl(REDIRECT_URL_AFTER_AUTHENTICATION);
    $url = $oauth->getApiAuthorizationUrl();
    header('Location: '.$url);
}	


function survsnt_gtw_subscribe_user($webinar_id, $user_email, $user_name = '') {
$registrantInfo = array(
    "firstName"=>$user_name,
    "lastName"=>'',
    "email"=>$user_email,
);

$oauth->setWebinarId($webinar_id);
$oauth->setRegistrantInfo($registrantInfo);

$res = $oauth->createRegistrant();

}

/*
	$webinar_type:
		1: gotowebinar
		2: hangout
		3: webinarexpress
*/

function survsnt_webinar_gtw_webinars_select($webinar_type, $id = '', $name = '', $val=0) {
	$output = '';

	if ($webinar_type == 1)
		$webinars = survsnt_get_gotowebinar_webinars(0);
	else if ($webinar_type == 2)
		$webinars = survsnt_get_hangouts_webinars(0);
	else if ($webinar_type == 3)
		$webinars = survsnt_get_webinarexpress_webinars(0);
	else
		$webinars = 0;
// var_dump($webinars);
// var_dump($val);
	if (!empty($name) && !empty($id))
		$output .= '<select name="'.$name.'" id="'.$id.'" class="webinar_list">';
	else
		$output .= '<select class="webinar_list">';

	$output .= '<option value="0">-</option>';
	if ($webinars) {
		foreach($webinars as $offset => $webinar) {
			// var_dump($webinar);
				$output.= '<option '.selected($webinar['id'], $val, false).' name="mc_'.$webinar['id'].'" value="'.$webinar['id'].'">'.$webinar['name'].'</option>';
		}
	}
	$output.= '</select>';
	echo $output;
	return 0;	
}

function survsnt_webinars_gtw_authenticate() {
	$plugin_options = survsnt_get_plugin_options();
	if (!isset($plugin_options['webinars']['gotowebinar'])) return 0;
	$gtw_data = $plugin_options['webinars']['gotowebinar'];	
	if (isset($gtw_data['organizer_key'])  && isset($gtw_data['access_token']) ) {
		include_once SURVSNT_DIR.'/lib/autoresponders/gotowebinar/gotoWebinarClass.php';
		$obj = new OAuth_En();
		$obj->setAccessToken($gtw_data['access_token']/*get_option('survsnt_gtw_access_token')*/);
		$obj->setOrganizerKey($gtw_data['organizer_key']/*get_option('survsnt_gtw_organizer_key')*/);
		$oauth = new OAuth($obj);
		return $oauth;
	}
	return 0;
}

/*
	$use_cache:
		0 : always get new online version
		1 : if date of last check < now - 1 day, re-read
		2 : force read online, ignore date 

*/
function survsnt_get_gotowebinar_webinars($force_read = 0) {
	$plugin_options = survsnt_get_plugin_options();

	if (isset($plugin_options['webinars']['gotowebinar']['cache_expires']) && ($expiration = $plugin_options['webinars']['gotowebinar']['cache_expires'])) {
		if ($expiration >= time() && (!$force_read))
			return ($plugin_options['webinars']['gotowebinar']['webinars']);
	}

	$webinars = survsnt_query_gotowebinar_webinars();
	$plugin_options['webinars']['gotowebinar']['cache_expires'] = time() + (24 * 3600 * 3);
	$plugin_options['webinars']['gotowebinar']['webinars'] = $webinars;
	survsnt_update_plugin_options($plugin_options);
	return $webinars;
}

function survsnt_query_gotowebinar_webinars() {
	$oauth = survsnt_webinars_gtw_authenticate();
	if (!$oauth) return 0;
	$webinars = $oauth->getWebinars();
	$all_webinars = array();

	if(!$oauth->hasApiError()){
	    if ($webinars) {
	    	foreach ($webinars as $webinar) {
	    		$single_webinar = array('id' => $webinar->webinarKey, 'name' => $webinar->subject, 'date' => date('d-M-Y ',strtotime ($webinar->times[0]->startTime)));
	    		$all_webinars[] = $single_webinar;
	    	}
	    }
	    return $all_webinars;
	}else{
		return 0;
	}
}

/* Hangouts Plugin */
function survsnt_get_hangouts_webinars($use_cache=0) {
	$plugin_options = survsnt_get_plugin_options();

	if ($use_cache) {
		return ($plugin_options['webinars']['hangouts']['webinars']);
	}

	$args = array('post_type' => 'ghangout');
	$posts_array = get_posts($args);
	$arr_ret = array();
	if ($posts_array) {
		foreach ($posts_array as $post) {
			$arr_ret[] = array('id' => $post->ID, 'name' => $post->post_title, 'date' => '0000');
		}
	}
	$plugin_options['webinars']['hangouts']['webinars'] = $arr_ret;
	survsnt_update_plugin_options($plugin_options);
	return $arr_ret;	
}

function survsnt_hangouts_subscribe_user($webinar_id, $user_email, $user_name = '') {
	$_POST['g_hangout_id'] = $webinar_id;
	$_POST['event_reg_name'] = $user_name;
	$_POST['event_reg_email'] = $user_email;

	// $reg_reminder = $_POST['event_reg_reminder'];
	// $reminder_time = $_POST['reminder_time'];
	// $add_email = $_POST['event_reg_email_add'];	
	if (survsnt_is_hangouts_plugin_active())
		include(SURVSNT_DIR.'../HangoutPlugin/ajax.php');
	return 0;

}

function survsnt_is_hangouts_plugin_active() {
	return is_plugin_active( 'HangoutPlugin/google_hangout_plugin.php' );
}

/* Webinar Express */
function survsnt_get_webinarexpress_webinars($use_cache = 0) {
	if (!survsnt_is_webexpr_plugin_active()) return;
	$plugin_options = survsnt_get_plugin_options();

	if ($use_cache) {
		return ($plugin_options['webinars']['webinarexpress']['webinars']);
	}

    global $wpdb;
    $webinars = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}webinarexpress" );
    $arr_webinars = array();
    if ($webinars) {
    	foreach ($webinars as $webinar) {
    		$arr_webinars[] = array('id' => $webinar->ID, 'name' => $webinar->appname, 'date' => '0000');
    	}
    }
	
	$plugin_options['webinars']['webinarexpress']['webinars'] = $arr_webinars;
	survsnt_update_plugin_options($plugin_options);    
    return $arr_webinars;
}

function survsnt_webexpr_subscribe_user($webinar_id, $user_email, $user_name = '') {
	return survsnt_webinarexpress_add_lead_callback($webinar_id, $user_email, $user_name);
}

function survsnt_is_webexpr_plugin_active() {
	return is_plugin_active( 'webinarexpress/functions.php' );
}


function survsnt_webinarexpress_add_lead_callback($webinar_id, $email, $name ) {

		 $_POST['id'] = $webinar_id;
		 $_POST['name'] = $name;
		 $_POST['email'] = $email;
		 $_POST['phone'] = '';
		 $_POST['skype'] = '';
		 if (function_exists('webinarexpress_add_lead_callback'))
			webinarexpress_add_lead_callback();
}
?>