<?php
include 'ajax_fns.php';
// print styles for the survey
function print_survey_styles( $survey_id ) {
	return;
}

function survsnt_get_question_styles( $question = 0 ) {
	$general_design = array(
		'width' => 580,
		'height' => 'auto',
		'bg_image' => '',
		'bg_image_pre' => 0,
		'bg_color' => '',
		'bg_repeat' => 0,
		'margin_top' => 20,
		'margin_left' => 20,
		'margin_bottom' => 20,
		'margin_right' => 20		
	);

	$question_design = array(
		'font_family' => 0,
		'font_size' => 16,
		'text_align' => 'left',
		'font_color' => '#000000',
		'margin_top' => 10,
		'margin_left' => 0,
		'margin_bottom' => 20,
		'margin_right' => 0
	);

	$answer_design = array(
		'font_family' => 0,
		'font_size' => 14,
		'font_color' => '#000000',
		'margin_top' => 0,
		'margin_left' => 10,
		'margin_bottom' => 5,
		'margin_right' => 0
	);

	$submit_btn_design = array(
		'font_family' => 0,
		'font_size' => 16,		
		'color' => '#fff',
		'textcolor' => '#fff',
		'image' => 'auto',
		'text' => 'Submit',
		'align' => 'left',
		'margin_top' => 20,
		'margin_left' => 20,
		'margin_bottom' => 0,
		'margin_right' => 20,
		'bg_image' => '',
		'bg_image_pre' => 0
	);

/* Html */

	$content_design = array(
		'font_family' => 0,
		'font_size' => 14,
		'font_color' => '#000000',
		'margin_top' => 5,
		'margin_left' => 10,
		'margin_bottom' => 5,
		'margin_right' => 0
	);

	$reply_box = array(
		'width' => 400,
		'height' => 120
	);

/* Optin design */

	$optin_form_design = array(
		'font_family' => 0,
		'font_size' => 16,		
		'font_color' => '#000',
		'box_height' => 20,
		'box_width' => 206
	);

	$optin_form_design_box = array(
		'margin_top' => 0,
		'margin_left' => 0,
		'margin_bottom' => 0,
		'margin_right' => 0	
	);

	$optin_form_content = array(
		'email_placeholder' => 'Your e-mail',
		'use_name' => 1,
		'name_placeholder' => 'Your name',
		'spam_notice' => 'We will never spam your inbox',
		'use_spamnotice' => 0,
		'use_own_autoresponder' => 0
	);

	$optin_form_settings = array(
		'ar_list' => 0,
		'ar_tag' => '',
		'tag_value' => '',
		'webinar' => 0,
		'fb_connect' => 0,
		'social_share' => 0,
		'action' => 1,
		'list_from' => '',
		'thankyou_page' => '',
		'fb_share_title' => 'I just took a survey!',
		'fb_share_txt' => 'I just took a survey!',
		'twitter_share_txt' => 'I just took a survey!',
		'gplus_share_txt' => 'I just took a survey!'
	);

	$questions_design = array(
		'general_design' => $general_design,
		'question_design' => $question_design,
		'answer_design' => $answer_design,
		'submit_btn_design' => $submit_btn_design
	);

	$html_design = array(
		'general_design' => $general_design,
		'question_design' => $question_design,
		'content_design' => $content_design,
		'submit_btn_design' => $submit_btn_design
	);

	$open_q_design = array(
		'general_design' => $general_design,
		'question_design' => $question_design,
		'content_design' => $content_design,
		'reply_box' => $reply_box,
		'submit_btn_design' => $submit_btn_design
	);

	$optin_design = array(
		'general_design' => $general_design,
		'content_design' => $content_design,
		'optin_form_design' => $optin_form_design,
		'optin_form_design_box' => $optin_form_design_box,
		'optin_form_content' => $optin_form_content,
		'optin_form_settings' => $optin_form_settings,
		'submit_btn_design' => $submit_btn_design
	);

	$default_value = array(
		'questions_design' => $questions_design,
		'html_design' => $html_design,
		'open_q_design' => $open_q_design,
		'optin_design' => $optin_design
	);
// var_dump($question);
	if ($question) {
		$db_value = $question->design_style;
		if ($db_value && (!empty($db_value))) {
			$unserialized = unserialize($db_value);
			 // var_dump($unserialized);
			if (!empty($unserialized) && ($unserialized != '0')) {
				return json_decode(json_encode($unserialized),true);
			}
			else
				return $default_value;
		}
		else
			return $default_value;
	}
	else
		return $default_value;
}


function survsnt_get_question_styles_css( $question = 0 ) {
	$question_styles = survsnt_get_question_styles( $question);
	$question_type = $question->type;

	if ($question_type == SURVSNT_QUESTION_TYPE_MULTIPLE)
		$question_styles = $question_styles['questions_design'];
	else if ($question_type == SURVSNT_QUESTION_TYPE_OPEN)
		$question_styles = $question_styles['open_q_design'];
	else if ($question_type == SURVSNT_QUESTION_TYPE_HTML)
		$question_styles = $question_styles['html_design'];	
	else if ($question_type == SURVSNT_QUESTION_TYPE_ENDPOINT)
		$question_styles = $question_styles['optin_design'];	

	/* Box Style */
	$box_style_els = $question_styles['general_design'];
	$width = ($box_style_els['width'] == 'auto') ? 'auto' : $box_style_els['width'].'px';
	$height = ($box_style_els['height'] == 'auto') ? 'auto' : $box_style_els['height'].'px';
	$bg_image = !empty($box_style_els['bg_image']) ? 'url('.$box_style_els['bg_image'].') no-repeat left top' : 'none';
	$bg_color = !empty($box_style_els['bg_color']) ? $box_style_els['bg_color'] : 'none';
	$bg_repeat = ($box_style_els['bg_repeat'] == '1') ? 'repeat' : 'no-repeat';

	$box_style_css_str = 'width:'.$width.';'.
		'height:'.$height.';'.
		'background:'.$bg_image.';'.
		'background-repeat:'.$bg_repeat.';'.
		'background-color:'.$bg_color.';'.
		'padding-top:'.$box_style_els['margin_top'].'px;'.
		'padding-left:'.$box_style_els['margin_left'].'px;'.
		'padding-bottom:'.$box_style_els['margin_bottom'].'px;'.
		'padding-right:'.$box_style_els['margin_right'].'px;';

	if ($question_type != SURVSNT_QUESTION_TYPE_ENDPOINT) {
		/* Title */
		$title_els = $question_styles['question_design'];
		$title_style_css_str = 'font-family:'.$title_els['font_family'].';'.
			'font-size:'.$title_els['font_size'].'px;'.
			'line-height:'.(round($title_els['font_size']*0.3) + $title_els['font_size']).'px;'.
			'color:'.$title_els['font_color'].';'.
			'text-align:'.$title_els['text_align'].';'.
			'margin-top:'.$title_els['margin_top'].'px;'.
			'margin-left:'.$title_els['margin_left'].'px;'.
			'margin-bottom:'.$title_els['margin_bottom'].'px;'.
			'margin-right:'.$title_els['margin_right'].'px;';

	}
	else {
		$title_style_css_str = '';
	}

	$answer_style_css_str = '';
	$content_style_css_str = '';
	$reply_box_style_css_str = '';


	if ($question_type == SURVSNT_QUESTION_TYPE_MULTIPLE) {
		/* Answer */
		$answer_els = $question_styles['answer_design'];
		$answer_style_css_str = 'font-family:'.$answer_els['font_family'].';'.
			'font-size:'.$answer_els['font_size'].'px;'.
			'line-height:'.(round($answer_els['font_size']*0.3) + $answer_els['font_size']).'px;'.
			'color:'.$answer_els['font_color'].';'.
			'margin-top:'.$answer_els['margin_top'].'px;'.
			'margin-left:'.$answer_els['margin_left'].'px;'.
			'margin-bottom:'.$answer_els['margin_bottom'].'px;'.
			'margin-right:'.$answer_els['margin_right'].'px;';
	}

	// if ($question_type == SURVSNT_QUESTION_TYPE_HTML) {
		/* HTML Content */
// var_dump($question_styles['content_design']);
		if ((isset($question_styles['content_design']) && $question_styles['content_design'])) {
		$content_els = $question_styles['content_design'];
	// var_dump($content_els);
		$content_style_css_str = 'font-family:'.$content_els['font_family'].';'.
			'font-size:'.$content_els['font_size'].'px;'.
			'line-height:'.(round($content_els['font_size']*0.3) + $content_els['font_size']).'px;'.
			'color:'.$content_els['font_color'].';'.
			'margin-top:'.$content_els['margin_top'].'px;'.
			'margin-left:'.$content_els['margin_left'].'px;'.
			'margin-bottom:'.$content_els['margin_bottom'].'px;'.
			'margin-right:'.$content_els['margin_right'].'px;';
		}
	if ($question_type == SURVSNT_QUESTION_TYPE_OPEN) {
		$box_style_els = $question_styles['reply_box'];
		$reply_box_style_css_str = 'width:'.$box_style_els['width'].'px;height:'.$box_style_els['height'].'px;';
	}

	/* Submit btn */
	$submit_btn_els = $question_styles['submit_btn_design'];
	$bg_image = !empty($submit_btn_els['bg_image']) ? 'background-image:url('.$submit_btn_els['bg_image'].') no-repeat left top' : 'none';
	$submit_btn_style_css_str = 'font-family:'.$submit_btn_els['font_family'].';'.
		'font-size:'.$submit_btn_els['font_size'].'px;'.
		'background-image:'.$bg_image.';'.
//		'color:'.$submit_btn_els['font_color'].';'.
		'float:'.$submit_btn_els['align'].';'.
		'margin-top:'.$submit_btn_els['margin_top'].'px;'.
		'margin-left:'.$submit_btn_els['margin_left'].'px;'.
		'margin-bottom:'.$submit_btn_els['margin_bottom'].'px;'.
		'margin-right:'.$submit_btn_els['margin_right'].'px;';

	$optin_labels_style_css_str = '';
	$optin_els_style_css_str = '';

	if ($question_type == SURVSNT_QUESTION_TYPE_ENDPOINT) {
		$optin_els = $question_styles['optin_form_design'];

	// var_dump($content_els);
		$optin_labels_style_css_str = 'font-family:'.$optin_els['font_family'].';'.
			'font-size:'.$optin_els['font_size'].'px;'.
			'line-height:'.(round($optin_els['font_size']*0.3) + $optin_els['font_size']).'px;'.
			'color:'.$optin_els['font_color'].';'.

		$optin_box_els = $question_styles['optin_form_design_box'];
		$optin_els_style_css_str = 'margin-top:'.$optin_box_els['margin_top'].'px;'.
			'margin-left:'.$optin_box_els['margin_left'].'px;'.
			'margin-bottom:'.$optin_box_els['margin_bottom'].'px;'.
			'margin-right:'.$optin_box_els['margin_right'].'px;';
			$content_els = $question_styles['optin_form_content'];

		if($content_els['use_own_autoresponder'])
			$optin_els_style_css_str .= ';display:none;';
	}

	return array(
		'box' => $box_style_css_str,
		'title' => $title_style_css_str,
		'answer' => $answer_style_css_str,
		'reply_box' => $reply_box_style_css_str,
		'content' => $content_style_css_str,
		'optin_labels' => $optin_labels_style_css_str,
		'optin_labels_box' => $optin_els_style_css_str,
		'submit_btn' => $submit_btn_style_css_str
	 );
}


function survsnt_get_survey_styles($survey_id) {
	$topbar_settings = array(
		'color' => '#EB593C',
		'text' => '[display_survey]Click here[/display_survey] to take a short survey'
		);

	$sidebar_settings = array(
		'image' => 1,
		'custom' => ''
		);

	$chat_settings = array(
		'title' => 'Talk to us!'
		);

	$scroll_settings = array(
		'trigger' => 0
		);

	$splash_settings = array(
		'background' => 0,
		'background-color' => '#F7FCFA'
		);


	$default_value = array(
		'top_bar' => $topbar_settings,
		'sidebar' => $sidebar_settings,
		'splash' => $splash_settings,
		'scroll' => $scroll_settings,
		'chat' => $chat_settings
	);

	if ($survey_id) {
		$db_value = survsnt_get_survey_style_db($survey_id);
		if ($db_value && (!empty($db_value))) {
			$unserialized = unserialize($db_value);
			if (!empty($unserialized))
				return json_decode(json_encode($unserialized),true);
			else
				return $default_value;		
		}
		else
			return $default_value;		
	}
	else
		return $default_value;
	// return get_option('survsnt_survey_design_'.$survey_id, $default_value);
}



function print_survsnt_autoresponder_form( $survey_id, $webinar_also = 0 ) {
	//$listid = 1;
	$listname = survsnt_get_session_var( 'surv_last_list' );
	$tag = survsnt_get_session_var( 'surv_last_tag' );
	$rurl = site_url();
	$form = '';
	$content = array();
	$thankyou_txt = 'Thanks for taking our survey!';
	$name_placeholder = 'Enter your name';
	$email_placeholder = 'Enter your email';
	$button_txt = 'Send';

	$form = '<div class="survsnt_form">';
	$form.='
		<input class="text" type="text"  onfocus="if (this.value == \''.$name_placeholder.'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.$name_placeholder.'\';}"  id="survsnt_name" name="name" value="'.$name_placeholder.'"/>
		<input class="text" type="text" onfocus="if (this.value == \''.$email_placeholder.'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.$email_placeholder.'\';}" name="survsnt_email" id="email" value="'.$email_placeholder.'"/>
		';
	$form.='
		<input type="submit" name="popup_submit" value="'.$button_txt.'" class="survsnt_btnsubmit"/>';
	$form.='<input type="hidden" name="meta_adtracking" value="1" />
		<input type="hidden" name="meta_message" value="1" />
		<input type="hidden" name="meta_required" value="name,email" />';

	echo $form;


	return;
	$form.='<form name="survsnt_form" id="popup_form" class="survsnt-upform" method="post" action="http://www.aweber.com/scripts/addlead.pl">';
	$form.='<input type="hidden" name="meta_adtracking" value="'.$tag.'" />
		<input type="hidden" name="meta_message" value="1" />
		<input type="hidden" name="meta_required" value="name,email" />';
	// $form.='<input type="hidden" name="listid" class="listid" id="listid" value="'.$listid.'"/>';
	$form.='<input type="hidden" name="listname" class="listname" id="listname" value="'.$listname.'"/>';
	$form.='<input type="hidden" name="redirect" class="redirect" value="'.$rurl.'" />';
	$form.='
		<input class="text" type="text"  onfocus="if (this.value == \''.$content['namedef'].'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.$content['namedef'].'\';}"  id="name" name="name" value="'.$content['namedef'].'"/>
		<input class="text" type="text" onfocus="if (this.value == \''.$content['emaildef'].'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.$content['emaildef'].'\';}" name="email" id="email" value="'.$content['emaildef'].'"/>
		';
	$form.='
		<input type="submit" name="popup_submit" value="'.$content['btntext'].'" class="survsnt_btnsubmit"/>
		';
	$form.='</form>';
	if ( $webinar_also )
		$form.='<input type="checkbox" /> Subscribe me to the webinar ';
	echo $form;
}

function survsnt_replace_placeholder( $str ) {
	return str_replace( array( '[display_survey]', '[/display_survey]' ), array( '<a class="reveal-survey" href="#">', '</a>' ), $str );
}

function survsnt_sidebar_img( $num, $custom ) {
	if ( $num == 19 )
		return $custom;
	else
		return SURVSNT_URL.'/img/front/sidebar/left/img'.$num.'.png';
}


function survsnt_question_html($question, $answers, $survey_id, $type=0, $nosubmit=0, $num_question=0, $embed=0) {
	$str_ret = '';
	$survey_styles = survsnt_get_survey_styles($survey_id);
	$question_styles = survsnt_get_question_styles($question);
	$question_styles_css = survsnt_get_question_styles_css($question);

	/*return array(
		'box' => $box_style_css_str,
		'title' => $title_style_css_str,
		'answer' => $answer_style_css_str,
		'submit_btn' => $submit_btn_style_css_str
	 );
	 */	
?>
	<div class="survsnt_frontend_wrapper" style="<?php echo $question_styles_css['box'];?>; box-sizing:border-box;-moz-box-sizing:border-box;">
	<?php 
		if ($question->type == SURVSNT_QUESTION_TYPE_MULTIPLE) { 
			$question_styles = $question_styles['questions_design'];
			?>
			<?php if (!empty($question->content) && (!$embed)) echo '<span>'.survsnt_process_txt_string($question->content).'</span>';
			 ?>
				<span class="question_fe" style="<?php echo $question_styles_css['title'];?>"><?php if($num_question) echo $num_question.'. '; echo survsnt_process_txt_string($question->text);?></span>
			<?php if (!empty($question->content) && ($embed)) echo '<span>'.survsnt_process_txt_string($question->content).'</span>'; ?>
			<?php
			if ($answers) {
				$str_ret .= '<ul class="survsnt_question_list" style="list-style:none">';
				$i=1;
				foreach ($answers as $answer) {
					$str_ret .= '<li style="'.$question_styles_css['answer'].'">
						 
						<input style="width:auto;" type="radio" id="survey_answer_'.$answer->id.'" name="survey_answer_'.$question->id.'" value="'.$answer->id.'" '.checked($i++, 1, false).' /> 
						<label for="survey_answer_'.$answer->id.'">'.survsnt_process_txt_string($answer->text).'
						</label>
					</li>';
				}
				$str_ret .= '</ul>';
			}
		}
		else if ($question->type == SURVSNT_QUESTION_TYPE_OPEN) {
			$question_styles = $question_styles['open_q_design'];
			if (!empty($question->content) && (!$embed))
				$str_ret .= '<span>'.survsnt_process_txt_string($question->content).'</span>';
			if (!empty($question->text))
				$str_ret .= '<span class="question_fe" style="'.$question_styles_css['title'].'">'.($num_question ? ($num_question.'. ') : '').survsnt_process_txt_string($question->text).'</span>';
			if (!empty($question->content) && ($embed))
				$str_ret .= '<span>'.survsnt_process_txt_string($question->content).'</span>';
			$str_ret .= '<div class="survsnt_html_answer">';
			$str_ret .= '<textarea name="open_question_val" id="open_question_val" class="open_question_val" style="'.$question_styles_css['reply_box'].'"></textarea>';
			$str_ret .= '</div>';
		}
		// else if ($question->type == SURVSNT_QUESTION_TYPE_HTML) {
		// 	$question_styles = $question_styles['html_design'];

		// 	$str_ret .= '<span class="question_fe" style="'.$question_styles_css['title'].'">'.$question->text.'</span>';
		// 	$str_ret .= '<div class="survsnt_html_answer" style="'.$question_styles_css['content'].'">';
		// 	$str_ret .= survsnt_process_txt_string(($question->content);
		// 	$str_ret .= '</div>';
		// }		
		else if ($question->type == SURVSNT_QUESTION_TYPE_ENDPOINT && !$nosubmit) {
			$question_styles = $question_styles['optin_design'];
			$visitor_cookie = survsnt_get_visitor_cookie();

			// case 1: we come from the cookie, so we just show the thank you text
			if ($visitor_cookie && ($visitor_cookie['question_id'] == $question->id)) {
				// autoresponder magic
				survsnt_process_submit($visitor_cookie['email'], '', $question->id, $auto_process=1);
				$str_ret .= '<div class="survsnt_html_answer" style="'.$question_styles_css['content'].'">';
				$str_ret .= survsnt_process_txt_string($question_styles['optin_form_settings']['thankyou_page']);
				$str_ret .= '</div>';

			}
			else {
				// case 2: any other
				$str_ret .= '<div class="survsnt_html_answer" style="'.$question_styles_css['content'].'">';
				if (!empty($question->content))
					$str_ret .= '<div style="padding:0;margin:0">'.survsnt_process_txt_string($question->content).'</div>';
				$str_ret .= '</div>';
				
				$str_ret .= '<div class="optin_elements" style="'.$question_styles_css['optin_labels_box'].'">';


				if ($question_styles['optin_form_content']['use_name'])
					$str_ret .= '<div class="optin_field">
									<label style="'.$question_styles_css['optin_labels'].'">'.$question_styles['optin_form_content']['name_placeholder'].'</label>
									<input type="text" id="survsnt_name" value="" />
								</div>';

				$str_ret .= '<div class="optin_field">
								<label style="'.$question_styles_css['optin_labels'].'">'.$question_styles['optin_form_content']['email_placeholder'].'</label>
								<input type="email" id="survsnt_email" value="">
							</div>';

				if ($embed) $submit_id = 'survey-finish-button-embed';
				else $submit_id = 'survey-finish-button';
					if (!empty( $question_styles['submit_btn_design']['bg_image'])) {
						$str_ret .= '<div class="optin_cta"><p><div style="'.$question_styles_css['submit_btn'].';cursor:pointer" id="'.$submit_id.'">  <img class="survsnt_submit_img" src="'.$question_styles['submit_btn_design']['bg_image'].'" /></div><div style="clear:both"></div></p></div>';
					}
					else if (!empty( $question_styles['submit_btn_design']['text'])) {
						$str_ret .= '<div class="optin_cta"><p><input style="'.$question_styles_css['submit_btn'].'" type="button" id="'.$submit_id.'" value="'.$question_styles['submit_btn_design']['text'].'" /> <div style="clear:both"></div></p></div>';
					}
				// $str_ret .= '<div class="optin_cta"><p><input style="'.$question_styles_css['submit_btn'].'" type="button" id="survey-finish-button" value="'.$question_styles['submit_btn_design']['text'].'" /> <div style="clear:both"></div></p>';

				if ($question_styles['optin_form_settings']['fb_connect'] == '1') {		
					include(SURVSNT_DIR.'/lib/social/fbaccess.php');			
					$str_ret .= '<div class="optin_field" style="text-align:center;width:206px">
								OR
								<div class="optin_field" style="padding-top:15px">
									<a href="'. ($user ? $already_logged_in_url :  $loginUrl).'"><img src="'.SURVSNT_URL.'/img/fb_signup.png" /></a>
								</div>
								</div>';
							}


					$str_ret .=	'<div style="clear:both"></div>';
					
				if ($question_styles['optin_form_content']['use_spamnotice'])
					$str_ret .=	'<div class="nospam">
									'.$question_styles['optin_form_content']['spam_notice'].'
								</div>
								<div style="clear:both"></div>';
					
					if ($embed)
						$str_ret .=	'<input type="hidden" name="survsnt_optin_question_id_embed" id="survsnt_optin_question_id_embed" value="'.$question->id.'" />';
					else
						$str_ret .=	'<input type="hidden" name="survsnt_optin_question_id" id="survsnt_optin_question_id" value="'.$question->id.'" />';


				if ($question_styles['optin_form_settings']['social_share'] == '1') {
					$str_ret .= survsnt_social_media_div($question_styles['optin_form_settings']);
				}

				$str_ret .= '</div>';
			}
		}

		if (!$nosubmit) {
			if ($embed) $submit_id = 'survey-next-button-embed';
			else $submit_id = 'survey-next-button';
			if ($question->type != SURVSNT_QUESTION_TYPE_ENDPOINT) {
				if (!empty( $question_styles['submit_btn_design']['bg_image'])) {
					$str_ret .= '<span><div style="'.$question_styles_css['submit_btn'].';cursor:pointer" id="'.$submit_id.'">  <img class="survsnt_submit_img" src="'.$question_styles['submit_btn_design']['bg_image'].'" /></div><div style="clear:both"></div></span>';
				}
				else if (!empty( $question_styles['submit_btn_design']['text'])) {
					$str_ret .= '<span><input style="'.$question_styles_css['submit_btn'].'" type="button" id="'.$submit_id.'" value="'.$question_styles['submit_btn_design']['text'].'" /> <div style="clear:both"></div></span>';
				}
			}
		}
		echo $str_ret;
	?>
	<input type="hidden" class="survsnt_question_id" name="survsnt_question_id_<?php echo $survey_id;?>" id="survsnt_question_id_<?php echo $survey_id;?>" value="<?php echo $question->id;?>">
	<input type="hidden" name="survsnt_question_type" class="survsnt_question_type" value="<?php echo $question->type;?>">

	</div> <!-- wrapper -->
<?php
}

function survsnt_social_media_div($settings) {
	return '<div class="survsnt_social_media">
		<a target="_blank" href="http://www.facebook.com/sharer/sharer.php?s=100&amp;p[url]='.site_url().'&amp;p[images][0]=&amp;p[title]='.$settings['fb_share_title'].'&amp;p[summary]='.$settings['fb_share_txt'].'">
		<img src="'.SURVSNT_URL.'/img/social/facebook.png" /></a>&nbsp;&nbsp;&nbsp;
		<a target="_blank" href="https://twitter.com/intent/tweet?url='.survsnt_get_current_url().'&amp;text='.$settings['twitter_share_txt'].'">
		<img src="'.SURVSNT_URL.'/img/social/twitter.png" /></a> &nbsp;&nbsp;&nbsp;
		<a target="_blank" href="https://plus.google.com/share?url='.site_url().'"><img src="'.SURVSNT_URL.'/img/social/google.png" /> </a>
	</div>';	
}

function survsnt_signup_customer_autoresponder ($ar_system, $list_id, $email, $name='', $tag='', $tag_value='') {
	switch($ar_system) {
		case 1:
		case '1':
			// aweber
			return survsnt_ar_aweber_subscribe_user($list_id, $email, $name, $tag, $tag_value);
			break;
		case 2:
		case '2':
			// getresponse
			return survsnt_ar_getresponse_subscribe_user($list_id, $email, $name, $tag, $tag_value);
			break;
		case 3:
		case '3':
			// mailchimp
			return survsnt_ar_mailchimp_subscribe_user($list_id, $email, $name, $tag, $tag_value);
			break;
		case 4:
		case '4':
			// icontact
		return survsnt_ar_icontact_subscribe_user($list_id, $email, $name, $tag, $tag_value);
			break;
		case 5:
		case '5':
			// constant contact
			return survsnt_ar_constcontact_subscribe_user($list_id, $email, $name, $tag, $tag_value);
			break;
		default:
			break;
	}		
}


function survsnt_signup_customer_autoresponder_auto ($ar_system, $list_to, $list_from, $email, $delete=0) {
	switch($ar_system) {
		case 1:
		case '1':
			// aweber
			return survsnt_ar_aweber_move_subscriber($list_from, $list_to, $email, $delete);
			break;
		case 2:
		case '2':
			// getresponse
			return survsnt_ar_getresponse_move_subscriber($list_from, $list_to, $email, $delete);
			break;
		case 3:
		case '3':
			// mailchimp
		return survsnt_ar_mailchimp_move_subscriber($list_from, $list_to, $email, $delete);
		
			break;
		case 4:
		case '4':
			// icontact
		return survsnt_ar_icontact_move_subscriber($list_from, $list_to, $email, $delete);
			break;
		case 5:
		case '5':
			// constant contact
			return survsnt_ar_constcontact_move_subscriber($list_from, $list_to, $email, $delete);
			break;
		default:
			break;
	}		
}


function survsnt_signup_customer_webinar ($webinar_system, $webinar_id, $email, $name='') {
	switch($webinar_system) {
		case 1:
			// gotowebinar
			return survsnt_gtw_subscribe_user($webinar_id, $email, $name);
			break;
		case 2:
			// hangouts plugin
			return survsnt_hangouts_subscribe_user($webinar_id, $email, $name);
			break;
		case 3:
			// webinar express
			return survsnt_webexpr_subscribe_user($webinar_id, $email, $name);
			break;
		default:
			break;
	}		
}
?>