<?php

function survsnt_adminmenu()
{
		if (!is_survsnt_activated()) {
			$page1 = add_menu_page('Survey Snatcher', 'Survey Snatcher', 'manage_options', 'survey-snatcher-activate', 'survsnt_main_panel_activate', SURVSNT_URL . '/img/loguito.png');
			add_action( "admin_print_scripts-$page1", 'survsnt_admin_scripts' );
			add_action( "admin_print_styles-$page1", 'survsnt_admin_style' );
			return;
		}
		$is_locked = get_option('is_survsnt_locked', 0);
		if ($is_locked) {
			$current_user = wp_get_current_user();
			if ($is_locked != $current_user->ID) return;
		}
		
		// if (update_option('is_survsnt_locked')
		$page1 = add_menu_page('Survey Snatcher', 'Survey Snatcher', 'manage_options', 'survey-snatcher', 'survsnt_main_panel', SURVSNT_URL . '/img/loguito.png');

		$page2 = add_submenu_page('survey-snatcher', 'Surveys', 'Surveys', 'manage_options', 'survey-snatcher', 'survsnt_main_panel');
		$page3 = add_submenu_page('survey-snatcher', 'New Survey', 'New Survey', 'manage_options', 'survey-snatcher-add', 'survsnt_panel_add_survey');
		// $page4 = add_submenu_page('survey-snatcher', 'Competition', 'Competition', 'manage_options', 'survey-snatcher-competition', 'survsnt_panel_competition');
		$page5 = add_submenu_page('survey-snatcher', 'SEO', 'SEO', 'manage_options', 'survey-snatcher-seo', 'survsnt_panel_seo');
		$page6 = add_submenu_page('survey-snatcher', 'Split testing', 'Split testing', 'manage_options', 'survey-snatcher-split-testing', 'survsnt_panel_split_testing');
		$page7 = add_submenu_page('survey-snatcher', 'Settings', 'Settings', 'manage_options', 'survey-snatcher-settings', 'survsnt_panel_settings');

		add_action( "admin_print_scripts-$page1", 'survsnt_admin_scripts' );
		add_action( "admin_print_scripts-$page2", 'survsnt_admin_scripts' );
		add_action( "admin_print_scripts-$page3", 'survsnt_admin_scripts' );
		// add_action( "admin_print_scripts-$page4", 'survsnt_admin_scripts' );
		add_action( "admin_print_scripts-$page5", 'survsnt_admin_scripts' );
		add_action( "admin_print_scripts-$page6", 'survsnt_admin_scripts' );
		add_action( "admin_print_scripts-$page7", 'survsnt_admin_scripts' );

		add_action( "admin_print_styles-$page1", 'survsnt_admin_style' );
		add_action( "admin_print_styles-$page2", 'survsnt_admin_style' );
		add_action( "admin_print_styles-$page3", 'survsnt_admin_style' );
		// add_action( "admin_print_styles-$page4", 'survsnt_admin_style' );
		add_action( "admin_print_styles-$page5", 'survsnt_admin_style' );
		add_action( "admin_print_styles-$page6", 'survsnt_admin_style' );
		add_action( "admin_print_styles-$page7", 'survsnt_admin_style' );
}

add_action('admin_menu', 'survsnt_adminmenu');

function survsnt_admin_scripts() {
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script( 'jquery-ui-sortable');
	wp_enqueue_script( 'jquery-ui-slider');
	wp_enqueue_script( 'jquery-ui-spinner');
	if ( ! did_action( 'wp_enqueue_media' ) )
    	wp_enqueue_media();
	// wp_enqueue_script('media-upload');
	// wp_enqueue_script('thickbox');

	wp_register_script( 'survsnt-backend-general', SURVSNT_URL . '/js/survey-backend.js', array('jquery'), SURVSNT_VERSION);	
	wp_enqueue_script( 'survsnt-backend-general');

	wp_register_script( 'survsnt-backend-edit-survey', SURVSNT_URL . '/js/survey-backend-edit.js', array('jquery'), SURVSNT_VERSION);	
	wp_enqueue_script( 'survsnt-backend-edit-survey');

	wp_register_script( 'survsnt-bootstrap', SURVSNT_URL . '/ui/bootstrap/js/bootstrap.js', array(), SURVSNT_VERSION);	
	wp_enqueue_script( 'survsnt-bootstrap');

	wp_register_script( 'bootstrap-switch', SURVSNT_URL . '/ui/assets/bootstrap-switch.js', array('survsnt-bootstrap'), SURVSNT_VERSION);	
	wp_enqueue_script( 'bootstrap-switch');

	wp_register_script( 'bootstrap-colorpicker', SURVSNT_URL . '/ui/assets/bootstrap-colorpicker.js', array('survsnt-bootstrap'), SURVSNT_VERSION);	
	wp_enqueue_script( 'bootstrap-colorpicker');

	wp_register_script( 'google-js-api', "https://www.google.com/jsapi", array(), SURVSNT_VERSION);	
	wp_enqueue_script( 'google-js-api');

	$aweber_lists = survsnt_get_aweber_mailing_lists();
	$getresponse_lists = survsnt_get_getresponse_mailing_lists();
	$icontact_lists = survsnt_get_icontact_mailing_lists();
	$mailchimp_lists = survsnt_get_mailchimp_mailing_lists();
	$ccontact_lists = survsnt_get_constantcontact_mailing_lists();


	$hangouts_list = survsnt_get_hangouts_webinars();
	$wexpr_list = survsnt_get_webinarexpress_webinars();
	$gotowebinar_list = survsnt_get_gotowebinar_webinars();
	$script_vars = array( 
		'aweber_lists' => $aweber_lists, 
		'getresponse_lists' => $getresponse_lists, 
		'icontact_lists' => $icontact_lists, 
		'mailchimp_lists' => $mailchimp_lists, 
		'ccontact_lists' => $ccontact_lists, 
		'gotowebinar_webinars' => $gotowebinar_list, 
		'hangout_webinars' => $hangouts_list,
		'webinarexpress_webinars' => $wexpr_list,
		'plugin_url' => SURVSNT_URL,
		'admin_url' => admin_url()
		 );

	wp_localize_script( 'survsnt-backend-general', 'survsnt_vars', $script_vars );	
}


function survsnt_admin_style() {

  	// wp_enqueue_style('wp-jquery-ui-core');
  	// wp_enqueue_style('jquery-ui-core');
  	// wp_enqueue_style('wp-jquery-ui-slider');

	wp_register_style('survsnt-jquery-core-ui-css', 'http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/themes/smoothness/jquery-ui.min.css');
   	wp_enqueue_style('survsnt-jquery-core-ui-css' );
	wp_enqueue_style('thickbox');


	$style_url = SURVSNT_URL . '/css/admin-style.css';
	wp_register_style('survsnt_admin_style', $style_url, false, SURVSNT_VERSION);
  	wp_enqueue_style('survsnt_admin_style');

	$style_url = SURVSNT_URL . '/ui/bootstrap/css/bootstrap-survsnt.css';
	wp_register_style('bootstrap-admin', $style_url, false, SURVSNT_VERSION);
  	wp_enqueue_style('bootstrap-admin');

	$style_url = SURVSNT_URL . '/ui/assets/styles.css';
	wp_register_style('bootstrap-admin-extra', $style_url, false, SURVSNT_VERSION);
  	wp_enqueue_style('bootstrap-admin-extra');

	$style_url = SURVSNT_URL . '/ui/assets/bootstrap-switch.css';
	wp_register_style('bootstrap-switch', $style_url, false, SURVSNT_VERSION);
  	wp_enqueue_style('bootstrap-switch');

	$style_url = SURVSNT_URL . '/ui/assets/bootstrap-colorpicker.css';
	wp_register_style('bootstrap-colorpicker', $style_url, false, SURVSNT_VERSION);
  	wp_enqueue_style('bootstrap-colorpicker');
}


?>