<?php

function survsnt_get_surveys($onlyactive = 0) {
    global $wpdb;
    if ($onlyactive)
        return $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}survsnt_surveys WHERE active = 1" );
    else
        return $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}survsnt_surveys" );
}

function survsnt_get_survey($survey_id = 0) {
	if (!$survey_id) return 0;
    global $wpdb;
    return $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_surveys WHERE id = %d", $survey_id ) );
}

function survsnt_get_survey_style_db($survey_id = 0) {
    if (!$survey_id) return 0;
    global $wpdb;
    return $wpdb->get_var( $wpdb->prepare("SELECT survey_styles FROM {$wpdb->prefix}survsnt_surveys WHERE id = %d", $survey_id ) );
}

function survsnt_get_survey_questions($survey_id = 0) {
    if (!$survey_id) return 0;
    global $wpdb;
    return $wpdb->get_results( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_questions WHERE survey_id = %d ORDER BY position", $survey_id ) );
}

function survsnt_get_question_answers($question_id = 0, $num = 0) {
    if (!$question_id) return 0;
    global $wpdb;
    return $wpdb->get_results( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_answers WHERE question_id = %d ORDER BY position", $question_id ) );
}

function survsnt_get_question($question_id = 0) {
    if (!$question_id) return 0;
    global $wpdb;
    return $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_questions WHERE id = %d", $question_id ) );
}

function survsnt_get_answer($answer_id = 0) {
    if (!$answer_id) return 0;
    global $wpdb;
    return $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_answers WHERE id = %d", $answer_id ) );
}

function survsnt_get_all_surveys() {
    global $wpdb;
    return $wpdb->get_results( "SELECT id, display_option, show_everywhere, where_to_show, exit_popup, cookie, survey_type FROM {$wpdb->prefix}survsnt_surveys WHERE active = 1 ORDER BY id ASC" );
}

// gets all replies for current question
function survsnt_get_question_replies_stats($question_id) {
    global $wpdb;
    return $wpdb->get_results( $wpdb->prepare(
        "SELECT answer_id, count(*) as total_replies 
        FROM {$wpdb->prefix}survsnt_replies r
        WHERE question_id = %d 
        GROUP BY answer_id
        ORDER BY total_replies DESC", 
     $question_id) );
}

function survsnt_clear_survey_stats ( $survey_id ) {
    if (!$survey_id) return;
    global $wpdb;

    $surveys_taken = survsnt_get_surveys_taken($survey_id);
    if ($surveys_taken) {
        foreach ($surveys_taken as $survey_taken) {
            $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_replies WHERE survey_taken_id = %d", $survey_taken->id ) );
        }
    }
    // delete surveys_taken
    $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_surveys_taken WHERE survey_id = %d", $survey_id ) );
    $wpdb->query( $wpdb->prepare( "UPDATE {$wpdb->prefix}survsnt_surveys SET times_shown=0 WHERE id = %d", $survey_id ) );
}

function survsnt_add_survey( $name, $description, $active, $display_option, $type = 1, $cookie = 0, $delay = 0, $show_everywhere = 0, $where_to_show = '', 
        $redirect_url = '', $autoresponder = 1, $webinar = 1, $exit_popup = 0, $survey_styles = '' ) {

	global $wpdb;
    $res = $wpdb->insert(
        $wpdb->prefix.'survsnt_surveys',
        array(
            'name' => $name,
            'description' => $description,
            'created' => current_time( 'mysql', 1 ),
            'active' => $active,
            'display_option' => $display_option,
            'survey_type' => $type,
            'cookie' => $cookie,
            'delay' => $delay,
            'exit_popup' => $exit_popup,
            'show_everywhere' => $show_everywhere,
            'where_to_show' => $where_to_show,
            'redirect_url' => $redirect_url,
            'autoresponder' => $autoresponder,
            'webinar' => $webinar,
            'survey_styles' => $survey_styles
        ),
        array(
            '%s',
            '%s',
            '%s',
            '%d',
            '%d',
            '%d',
            '%d',
            '%d',
            '%d',
            '%d',
            '%s',
            '%s',
            '%s',
            '%s'
        )
    );
    if ( $res )
        return $wpdb->insert_id;
    else
    	return 0;
}

function survsnt_update_survey( $survey_id, $name='', $description='', $active = 1, $display_option, $type = 1, $cookie = 0, $delay = 0, $show_everywhere = 0, $where_to_show = '', 
        $redirect_url = '', $autoresponder = 1, $webinar = 1, $exit_popup = 0, $survey_styles = '' ) {

    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_surveys',
        array( 
            'name' => $name,
            'description' => $description,
            'active' => $active,
            'display_option' => $display_option,
            'survey_type' => $type,
            'cookie' => $cookie,
            'delay' => $delay,
            'exit_popup' => $exit_popup,
            'show_everywhere' => $show_everywhere,
            'where_to_show' => $where_to_show,
            'redirect_url' => $redirect_url,
            'autoresponder' => $autoresponder,
            'webinar' => $webinar,
            'survey_styles' => $survey_styles
        ), 
        array( 'id' => $survey_id ), 
        array( 
            '%s',
            '%s',
            '%d',
            '%d',
            '%d',
            '%d',
            '%d',
            '%d',
            '%d',
            '%s',
            '%s',
            '%s',
            '%s'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}

function survsnt_update_survey_active ( $survey_id, $active ) {
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_surveys',
        array( 
            'active' => $active
        ), 
        array( 'id' => $survey_id ), 
        array( 
            '%d'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}

function survsnt_update_survey_style ( $survey_id, $style ) {
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_surveys',
        array( 
            'survey_styles' => $style
        ), 
        array( 'id' => $survey_id ), 
        array( 
            '%s'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}

function survsnt_delete_survey($survey_id) {
    if (!$survey_id) return;
    global $wpdb;

    $questions = survsnt_get_survey_questions($survey_id);
    foreach ($questions as $question) {
        // delete answers
        $answers = survsnt_get_question_answers($question->id);
        if ($answers) {
            foreach ($answers as $answer) {
                survsnt_delete_answer($answer->id);
            }
        }
        survsnt_delete_question($question->id);
    }

    $surveys_taken = survsnt_get_surveys_taken($survey_id);
    if ($surveys_taken) {
        foreach ($surveys_taken as $survey_taken) {
            $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_replies WHERE survey_taken_id = %d", $survey_taken->id ) );
        }
    }
    // delete surveys_taken
    $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_surveys_taken WHERE survey_id = %d", $survey_id ) );

    // to-do: seo, split-test, etc.
    return $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_surveys WHERE id = %d", $survey_id ) );
}

function survsnt_duplicate_survey($old_survey_id, $new_name) {
    if (!$old_survey_id) return;
    global $wpdb;
    $old_survey = survsnt_get_survey($old_survey_id);
    $new_survey_id = survsnt_add_survey( $new_name, $old_survey->description, $old_survey->active, $old_survey->display_option, $old_survey->survey_type, $old_survey->cookie, $old_survey->delay, $old_survey->show_everywhere, $old_survey->where_to_show, 
        $old_survey->redirect_url, $old_survey->autoresponder, $old_survey->webinar, $old_survey->exit_popup, $old_survey->survey_styles );
    $old_survey_questions = survsnt_get_survey_questions($old_survey_id);
    foreach ($old_survey_questions as $old_question) {
        $new_question = survsnt_add_question( $new_survey_id, $old_question->type, $old_question->text, $old_question->title, $old_question->position, $old_question->content, $old_question->next_question, $old_question->design_style, $old_question->redirect_url );        
        $old_answers = survsnt_get_question_answers($old_question->id);
        foreach ($old_answers as $old_answer) {
            $new_answer =  survsnt_add_answer( $new_question, $old_answer->text, $old_answer->position, $old_answer->next_question, $old_answer->ar_list, $old_answer->ar_tag, $old_answer->tag_value, $old_answer->webinar );
        }
    }
    return $new_survey_id;
}

function survsnt_add_question( $survey_id, $type=1, $text='', $title='', $position=0, $content='', $next_question = 0, $question_style ='', $redirect_url = '' ) {
    global $wpdb;
    $res = $wpdb->insert(
        $wpdb->prefix.'survsnt_questions',
        array(
            'survey_id' => $survey_id,
            'type' => $type,
            'text' => $text,
            'title' => $title,
            'content' => $content,
            'position' => $position,
            'next_question' => $next_question,
            'design_style' => $question_style,
            'redirect_url' => $redirect_url
        ),
        array(
            '%d',
            '%d',
            '%s',
            '%s',
            '%s',
            '%d',
            '%d',
            '%s',
            '%s'
        )
    );
    if ( $res )
        return $wpdb->insert_id;
    else
        return 0;
}

function survsnt_update_question($question_id, $survey_id, $text, $title, $position, $content='', $next_question = 0, $question_style ='', $redirect_url = '' ) {
    // _log($question_id);
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_questions',
        array( 
            /*'survey_id' => $survey_id,*/
            'title' => $title,
            'text' => $text,
            'content' => $content,
            'position' => $position,
            'next_question' => $next_question,
            'design_style' => $question_style,
            'redirect_url' => $redirect_url
        ), 
        array( 'id' => $question_id ), 
        array( 
            '%s',
            '%s',
            '%s',
            '%d',
            '%d',
            '%s',
            '%s'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}


function survsnt_delete_question($question_id = 0) {
    global $wpdb;
    $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_replies WHERE question_id = %d", $question_id ) );
    $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_answers WHERE question_id = %d", $question_id ) );
    return $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_questions WHERE id = %d", $question_id ) );
}

function survsnt_delete_answer($answer_id = 0) {
    global $wpdb;
    $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_replies WHERE answer_id = %d", $answer_id ) );
    return $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_answers WHERE id = %d", $answer_id ) );
}


function survsnt_add_answer( $question_id, $text='', $position, $next_question = '', $ar_list='', $ar_tag='', $tag_value='', $webinar='' ) {
    if (!$question_id) return;
    global $wpdb;
    $res = $wpdb->insert(
        $wpdb->prefix.'survsnt_answers',
        array(
            'question_id' => $question_id,
            'text' => $text,
            'position' => $position,
            'next_question' => $next_question,
            'ar_list' => $ar_list,
            'ar_tag' => $ar_tag,
            'tag_value' => $tag_value,
            'webinar' => $webinar
        ),
        array(
            '%d',
            '%s',
            '%d',
            '%d',
            '%s',
            '%s',
            '%s',
            '%s'
        )
    );
    if ( $res )
        return $wpdb->insert_id;
    else
        return 0;
}

function survsnt_update_answer($answer_id, $text='', $position, $next_question,  $ar_list='', $ar_tag='', $tag_value='', $webinar='' ) {
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_answers',
        array( 
            'text' => $text,
            'position' => $position,
            'next_question' => $next_question,
            'ar_list' => $ar_list,
            'ar_tag' => $ar_tag,
            'tag_value' => $tag_value,
            'webinar' => $webinar            
        ), 
        array( 'id' => $answer_id ), 
        array( 
            '%s',
            '%d',
            '%d',
            '%s',
            '%s',
            '%s',
            '%s'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}


function survsnt_new_survey_view( $survey_id ) {
    global $wpdb;
    $res = $wpdb->query( $wpdb->prepare( "UPDATE {$wpdb->prefix}survsnt_surveys SET times_shown = (times_shown + 1) WHERE id = %d", $survey_id ) );
    $do_once = 1;
    return $res;
}

function survsnt_store_answer($survey_taken_id, $question_id, $answer_id=0, $answer_txt='') {
    global $wpdb;
    $res = $wpdb->insert(
        $wpdb->prefix.'survsnt_replies',
        array(
            'survey_taken_id' => $survey_taken_id,
            'question_id' => $question_id,
            'answer_id' => $answer_id,
            'answer_text' => $answer_txt
        ),
        array(
            '%d',
            '%d',
            '%d',
            '%s'
        )
    );
    return $res;
}

function survsnt_survey_get_total_taken( $survey_id, $only_conversions=0 ) {
    global $wpdb;
    if ($only_conversions)
        $total = $wpdb->get_var( $wpdb->prepare( "SELECT count(*) FROM {$wpdb->prefix}survsnt_surveys_taken WHERE survey_id = %d AND is_conversion = 1", $survey_id ) );
    else
        $total = $wpdb->get_var( $wpdb->prepare( "SELECT count(*) FROM {$wpdb->prefix}survsnt_surveys_taken WHERE survey_id = %d", $survey_id ) );
    return $total;
}


function survsnt_get_next_question($survey_id, $question_id, $answer_id) {
    global $wpdb;
    if ($answer_id != 0) {
        $answer = survsnt_get_answer($answer_id);
        $question_ret = $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_questions WHERE survey_id = %d AND position = %d", $survey_id, $answer->next_question ) );
        if (!$question_ret) {
            $question = survsnt_get_question($question_id);
            $question_ret = $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_questions WHERE survey_id = %d AND position = %d", $survey_id, $question->next_question ) );            
        }
    }
    else {
        $question = survsnt_get_question($question_id);
        $question_ret = $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_questions WHERE survey_id = %d AND position = %d", $survey_id, $question->next_question ) );        
    }
    return $question_ret;
}

function survsnt_store_survey_taken($survey_id, $ip, $email='', $is_conversion = 0) {
    global $wpdb;
    $res = $wpdb->insert(
        $wpdb->prefix.'survsnt_surveys_taken',
        array(
            'survey_id' => $survey_id,
            'timestamp' => current_time( 'mysql', 1 ),
            'user_email' => $email,
            'is_conversion' => $is_conversion,
            'user_ip' => $ip
        ),
        array(
            '%d',
            '%s',
            '%s',
            '%d',
            '%s'
        )
    );
    // var_dump( $ip );
    if ( $res )
        return $wpdb->insert_id;
    else
        return 0;    
}

function survsnt_update_survey_taken($survey_taken_id, $user_email='', $is_conversion=0 ) {
    if (!$survey_taken_id) return;
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_surveys_taken',
        array( 
            'user_email' => $user_email,
            'is_conversion' => $is_conversion     
        ), 
        array( 'id' => $survey_taken_id ), 
        array( 
            '%s',
            '%d'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}



function survsnt_get_surveys_taken($survey_id) {
    global $wpdb;
    return $wpdb->get_results( $wpdb->prepare ("SELECT * FROM {$wpdb->prefix}survsnt_surveys_taken WHERE survey_id = %d", $survey_id ) );
}

function survsnt_get_replies_for_survey_taken($survey_taken_id) {
    global $wpdb;
    return $wpdb->get_results( $wpdb->prepare ("SELECT * FROM {$wpdb->prefix}survsnt_replies WHERE survey_taken_id = %d", $survey_taken_id ) );
}

/*
function cpaaop_update_offer_web ( $offer_id, $web ) {
    global $wpdb;
    $wpdb->query($wpdb->prepare("UPDATE {$wpdb->prefix}cpaaop_offers SET web = %d WHERE id = %d", $web, $offer_id));
    return;
    $wpdb->update( 
        $wpdb->prefix.'cpaaop_offers',
        array( 
            'web' => $web
        ), 
        array( 'id' => $offer_id ), 
        array( 
            '%d'
        ), 
        array( '%d' ) 
    );
}
*/

function survsnt_update_survey_questions($survey_id, $questions) {
    if (!$survey_id) return;
    foreach ($questions as $question) {
        if ($question->delete_question  == '1') {
            survsnt_delete_question( $question->question_id );
        }
        
        else if ($question->is_new) {
            // add question
            $question->question_id = survsnt_add_question( $survey_id, $question->question_type, $question->text, $question->title, $question->position, $question->content, $question->next_q, serialize($question->question_design), $question->redirect_url);
        }
        else {
            // update question
            survsnt_update_question($question->question_id, $survey_id, $question->text, $question->title, $question->position, $question->content, $question->next_q, serialize($question->question_design), $question->redirect_url );
        }

        // add answers
        foreach ($question->answers as $answer) {
            if ($answer->delete_answer == '1') {
                survsnt_delete_answer( $answer->answer_id );
            }
            else if ($answer->is_new) {
                             // var_dump($answer);
                survsnt_add_answer( $question->question_id, $answer->text, $answer->position, $answer->next_question, $answer->ar_list, $answer->ar_tag, $answer->tag_value, $answer->webinar );
            }
            else {
                survsnt_update_answer($answer->answer_id, $answer->text, $answer->position, $answer->next_question, $answer->ar_list, $answer->ar_tag, $answer->tag_value, $answer->webinar );
            }
        }
    }
}

function survsnt_get_trigger_kws($survey_id) {
    global $wpdb;
    $rules = $wpdb->get_var( $wpdb->prepare ("SELECT incoming_rules FROM {$wpdb->prefix}survsnt_surveys WHERE $survey_id = %d", $survey_id ) );
    if (empty($rules))
        return 0;
    // $rules_ret = array();

    $rules_array = explode('||', $rules);
    return $rules_array;
    // if ($rules_array && is_array($rules_array)) {  
    //     $rules_ret[] = array($rule->id, $rules_array);
    // }  
    // return $rules_ret;
}

function survsnt_get_seo_items() {
    global $wpdb;
    return $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}survsnt_seo_items" );
}

function survsnt_get_seo_item($item_id = 0) {
    if (!$item_id) return 0;
    global $wpdb;
    return $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_seo_items WHERE id = %d", $item_id ) );
}

function survsnt_get_seo_keywords_from_item($item_id = 0) {
    if (!$item_id) return 0;
    global $wpdb;
    return $wpdb->get_results( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_seo_keywords WHERE item_id = %d", $item_id ) );
}



function survsnt_add_seo_item( $name, $survey_id) {
    global $wpdb;
    $res = $wpdb->insert(
        $wpdb->prefix.'survsnt_seo_items',
        array(
            'survey_id' => $survey_id,
            'name' => $name
        ),
        array(
            '%d',
            '%s'
        )
    );
    if ( $res )
        return $wpdb->insert_id;
    else
        return 0;
}

function survsnt_update_seo_item($item_id, $name, $survey_id) {
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_seo_items',
        array( 
            'survey_id' => $survey_id,
            'name' => $name
        ), 
        array( 'id' => $item_id ), 
        array( 
            '%d',
            '%s'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}


function survsnt_delete_seo_item($item_id = 0) {
    global $wpdb;
    $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_seo_keywords WHERE item_id = %d", $item_id ) );
    return $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_seo_items WHERE id = %d", $item_id ) );
}



function survsnt_add_seo_keyword( $keyword, $item_id) {
    global $wpdb;
    $res = $wpdb->insert(
        $wpdb->prefix.'survsnt_seo_keywords',
        array(
            'keyword' => $keyword,
            'shown' => 0,
            'converted' => 0,
            'item_id' => $item_id
        ),
        array(
            '%s',
            '%d',
            '%d',
            '%d'
        )
    );
    if ( $res )
        return $wpdb->insert_id;
    else
        return 0;
}

function survsnt_update_seo_keyword($keyword_id, $keyword, $item_id) {
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_seo_keywords',
        array( 
            'keyword' => $keyword,
            'item_id' => $item_id
        ), 
        array( 'id' => $keyword_id ), 
        array( 
            '%s',
            '%d'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}

function survsnt_delete_seo_keyword($keyword_id = 0) {
    global $wpdb;
    return $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_seo_keywords WHERE id = %d", $keyword_id ) );
}

function survsnt_reset_seo_stats() {
    global $wpdb;
    return $wpdb->query( "TRUNCATE TABLE {$wpdb->prefix}survsnt_keyword_visit");
}

function survsnt_get_seo_keywords_info() {
    global $wpdb;
    $sql = "SELECT *, (google+yahoo+bing) as total_visits FROM {$wpdb->prefix}survsnt_keyword_visit ORDER BY total_visits DESC";
    return $wpdb->get_results($sql);
}
/*****************************************************************
    Function: kcs_insert_visit()
        Stores info about SE visit (keyword, landing page, etc.)
    Parameters:
        $search_engine (string) : SE name (google / yahoo / bing)
        $key : searched query
    Return:
        0: error
        1: ok
*****************************************************************/
function survsnt_insert_visit($search_engine, $key) {
    global $wpdb;
    $key_md5 = md5($key);
    $page = mysql_real_escape_string($_SERVER['REQUEST_URI']);
    $sql = "INSERT INTO {$wpdb->prefix}survsnt_keyword_visit(id, keyword, landingpage, $search_engine) VALUES('$key_md5', '".mysql_escape_string($key)."', '".$page."', 1) ON DUPLICATE KEY UPDATE $search_engine = $search_engine + 1";

    $wpdb->query($sql);
    return 1;
}


/* Split testing */
function survsnt_get_splittests($onlyactive=0) {
    global $wpdb;
    if ($onlyactive)
        return $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}survsnt_split_tests WHERE active=1" );
    else
        return $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}survsnt_split_tests" );
}

function survsnt_get_splittest($splittest_id = 0) {
    if (!$splittest_id) return 0;
    global $wpdb;
    return $wpdb->get_row( $wpdb->prepare("SELECT * FROM {$wpdb->prefix}survsnt_split_tests WHERE id = %d", $splittest_id ) );
}

function survsnt_add_splittest( $name ) {
    global $wpdb;
    $res = $wpdb->insert(
        $wpdb->prefix.'survsnt_split_tests',
        array(
            'name' => $name
        ),
        array(
            '%s'
        )
    );
    if ( $res )
        return $wpdb->insert_id;
    else
        return 0;
}

function survsnt_delete_splittest($splittest_id = 0) {
    global $wpdb;
    $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_split_test_items WHERE split_test_id = %d", $splittest_id ) );
    return $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_split_tests WHERE id = %d", $splittest_id ) );
}

function survsnt_update_splittest_active ( $splittest_id, $active ) {
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_split_tests',
        array( 
            'active' => $active
        ), 
        array( 'id' => $splittest_id ), 
        array( 
            '%d'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}

function survsnt_update_splittest ( $splittest_id, $name ) {
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_split_tests',
        array( 
            'name' => $name
        ), 
        array( 'id' => $splittest_id ), 
        array( 
            '%s'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}

function survsnt_increment_splittest_views($item_id = 0) {
    global $wpdb;
    return $wpdb->query( $wpdb->prepare( "UPDATE {$wpdb->prefix}survsnt_split_test_items SET views = views+1 WHERE id = %d", $item_id ) );
}

function survsnt_increment_splittest_conversions($item_id = 0) {
    global $wpdb;
    return $wpdb->query( $wpdb->prepare( "UPDATE {$wpdb->prefix}survsnt_split_test_items SET conversions = conversions+1 WHERE id = %d", $item_id ) );
}

function survsnt_add_splittest_item( $splittest_id, $survey_id) {
    global $wpdb;
    $res = $wpdb->insert(
        $wpdb->prefix.'survsnt_split_test_items',
        array(
            'survey_id' => $survey_id,
            'split_test_id' => $splittest_id
        ),
        array(
            '%d',
            '%d'
        )
    );
    if ( $res )
        return $wpdb->insert_id;
    else
        return 0;
}

function survsnt_update_splittest_item($item_id, $survey_id) {
    global $wpdb;
    $res = $wpdb->update(
        $wpdb->prefix.'survsnt_split_test_items',
        array( 
            'survey_id' => $survey_id
        ), 
        array( 'id' => $item_id ), 
        array( 
            '%d'
        ), 
        array( '%d' ) 
    );
    if ( !$res )
        return 0;
}

function survsnt_get_splittest_items($splittest_id) {
    global $wpdb;
    return $wpdb->get_results( $wpdb->prepare( "SELECT * FROM {$wpdb->prefix}survsnt_split_test_items WHERE split_test_id = %d", $splittest_id ) );
}

function survsnt_delete_splittest_item($item_id = 0) {
    global $wpdb;
    return $wpdb->query( $wpdb->prepare( "DELETE FROM {$wpdb->prefix}survsnt_split_test_items WHERE id = %d", $item_id ) );
}

function survsnt_clear_splittest_stats($splittest_id) {
    global $wpdb;
    return $wpdb->query( $wpdb->prepare( "UPDATE {$wpdb->prefix}survsnt_split_test_items SET views = 0, conversions = 0 WHERE split_test_id = %d", $splittest_id ) );   
}
?>