<?php

global $do_once;
$do_once = 1;

global $survey_matched;
$survey_matched = 0;

function survsnt_scripts_basic()
{
	wp_register_script( 'survsnt-frontend', SURVSNT_URL.'/js/survey-frontend.js', array('jquery'), SURVSNT_VERSION);
	wp_register_script( 'survsnt-reveal', SURVSNT_URL.'/js/jquery.reveal.js', array('jquery'), SURVSNT_VERSION);
	wp_register_script( 'jquery-meerkat', SURVSNT_URL.'/js/jquery.meerkat.1.3.min.js', array('jquery'), SURVSNT_VERSION);

	wp_localize_script( 'survsnt-frontend', 'survsnt_vars', array( 'plugin_url' => SURVSNT_URL, 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );
	
	wp_enqueue_script( 'jquery-ui-core' );
	wp_enqueue_script( 'jquery-effects-bounce' );

	wp_enqueue_script( 'survsnt-frontend' );
	wp_enqueue_script( 'survsnt-reveal' );
	wp_enqueue_script( 'jquery-meerkat' );
}

add_action( 'wp_enqueue_scripts', 'survsnt_scripts_basic' );


function survsnt_frontend_styles()
{
	wp_register_style( 'survsnt-frontend-style', SURVSNT_URL.'/css/frontend-style.css', array(), SURVSNT_VERSION );
	wp_enqueue_style( 'survsnt-frontend-style' );
}
add_action( 'wp_enqueue_scripts', 'survsnt_frontend_styles' );


function survsnt_decide_current_survey() {
	if (is_admin()) return array(0,0,0);
	return survsnt_get_active_survey();
}


/* 
return
survey_id
show inmediatly
exit popup
*/

function survsnt_get_active_survey() {
	$surveys = survsnt_get_all_surveys();

	if (!$surveys) return array(0,0,0);
	$survey_id = 0;

	global $wp_query;
	$post_obj = $wp_query->get_queried_object();
	if ($post_obj)
		$current_post = $post_obj->ID;
	else
		$current_post = 0;

	// $current_post = get_the_ID();
	$current_cats_o = get_the_terms($current_post, 'category');
	$current_cats = array();
	$posts_shown = array();
	$cats_shown = array();
	if ($current_cats_o) {
		foreach ($current_cats_o as $cat) {
			$current_cats[] = $cat->term_id;
	}}

	// 1) If there is a SEO rule that applies
	$keyword = survsnt_is_search_engine_result(0);
	// var_dump($keyword);
	if ($keyword) {
		survsnt_set_session_var('survsnt_incoming_keyword', $keyword[1]);
		$survey_id = survsnt_check_seo_matches($surveys, $keyword[1]);
	}

	if ($survey_id) return array($survey_id, 1, 0);
	
	// 2) Is there a split-test?
	$surveys_splittests = survsnt_get_splittest_surveys();
	$survey_display = survsnt_check_must_display($surveys_splittests, 1, $current_post, $current_cats, $posts_shown, $cats_shown);

	if ($survey_display)
		return array($survey_display, 1, 0);

	// 3) We go through all the survey, in reverse order
	$survey_display = survsnt_check_must_display($surveys, 0, $current_post, $current_cats, $posts_shown, $cats_shown);
	// var_dump($survey_display);
	if ($survey_display)
		return array($survey_display, 1, 0);

	return array(0, 0, 0); // rmi353, fix
}

function survsnt_check_seo_matches($surveys, $keyword) {
	if (!$surveys) return 0;

	$seo_items = survsnt_get_seo_items();
	foreach ($seo_items as $seo_item) {
		$seo_keywords = survsnt_get_seo_keywords_from_item($seo_item->id);
		if (!$seo_keywords) continue;
		foreach ($seo_keywords as $seo_keyword) {
			// var_dump($seo_keyword);
			if (survsnt_keyword_match(stripslashes($keyword), $seo_keyword->keyword))
				return $seo_item->survey_id;
		}
	}
	return 0;
}

function survsnt_get_splittest_surveys() {
	$array_main = array();
	// $array_surveys = array();
	$split_tests = survsnt_get_splittests(1);
	if (!$split_tests) return;
	foreach ($split_tests as $split_test) {
		$items = survsnt_get_splittest_items($split_test->id);
		if (!$items) continue;
		// $spt_array = array();
		$i=0;
		foreach ($items as $item) {
			if ($i++ == 0) {
				$array_main[] = array($item->survey_id, $split_test->id);
				// $array_surveys[] = $item->survey_id;
			}
		}
	}
	return $array_main;
}

function survsnt_check_must_display($surveys, $is_split_test, $current_post, $current_cats, $posts_shown, $cats_shown) {
	if (!$surveys) return 0;

	foreach ($surveys as $survey) {
		if (!$survey) return;

		$split_test_id = 0;
		if ($is_split_test) {
			// var_dump($survey);
			$split_test_id = $survey[1];
			$survey = survsnt_get_survey($survey[0]);
		}
		else {
			// var_dump($survey);
			if ($survey->survey_type == 2) continue;		
		}
		// 1) If this survey has been shown, ignore
		if ($cookie_val = $survey->cookie) {
			if (survsnt_get_survey_shown_cookie($survey->id))
				continue;
		}
// var_dump($survey);
		if ($survey->show_everywhere)
			return survey_or_split_test($is_split_test, $survey->id, $split_test_id);

		if (!empty($survey->where_to_show)) {
			$current_shown = explode('|', $survey->where_to_show);
			if ($current_shown[0])
				$posts_shown = explode(',', $current_shown[0]);
			if ($current_shown[1])
				$cats_shown = explode(',', $current_shown[1]);
			if (in_array($current_post, $posts_shown))		
				return survey_or_split_test($is_split_test, $survey->id, $split_test_id);
			if (is_array($cats_shown) && array_intersect($current_cats, $cats_shown))		
				return survey_or_split_test($is_split_test, $survey->id, $split_test_id);
			if ($current_shown[2] && is_front_page())
				return survey_or_split_test($is_split_test, $survey->id, $split_test_id);
			if ($current_shown[3] && is_category())
				return survey_or_split_test($is_split_test, $survey->id, $split_test_id);				
			if ($current_shown[4] && is_archive())
				return survey_or_split_test($is_split_test, $survey->id, $split_test_id);				
		}

		if ($survey_id) return $survey_id;
	}
	return 0;
}

/*
	type: 0 = survey, 1= split test
*/
function survey_or_split_test($type, $survey_id, $split_test_id=0) {
	if (!$type) return $survey_id;
	
	$split_test = survsnt_get_splittest($split_test_id);
	if (!$split_test) return 0;
	$items = survsnt_get_splittest_items($split_test->id);
	if (!$items) return 0;
	$num_items = count($items);
	$pos = rand(0,($num_items-1));
	$to_return = $items[$pos];
	if (!$to_return) return 0;
	if (!$to_return->survey_id) return 0;

	survsnt_increment_splittest_views($to_return->id);
	survsnt_set_session_var('splittest_item_id', $to_return->id);
	return $to_return->survey_id;
}

/*
function survsnt_question_html_topbar($question, $answers, $survey_id) {
	$str_ret = '';
	$survey_styles = survsnt_get_survey_styles($survey_id);

?>
	<span class="question_fe"><?php echo $question->text;?></span>
	<?php 
		if ($question->type == 1) {
			if ($answers) {
				$i=1;
				$str_ret .= '<ul class="survsnt_question_list">';
				foreach ($answers as $answer) {
					$str_ret .= '<li><input type="radio" name="survey_answer" value="'.$answer->id.'" '.checked($i++, 1, false).' /> <label for="">'.$answer->text.'</label>
					<input type="hidden" id="feedback_'.$answer->id.'" value="'.($answer->feedback_text).'"/></li>';
				}
				$str_ret .= '</ul>';

			}
		}
		else {
			$str_ret .= '<div class="survsnt_question_list">';
			$str_ret .= $question->content;
			$str_ret .= '</div>';
		}

		echo $str_ret;
	?>
	<input type="hidden" name="survsnt_question_id" id="survsnt_question_id" value="<?php echo $question->id;?>">
	<?php if (!empty( $survey_styles['submit_button']['text'])) { ?>
		<p><br/><input type="button" id="survey-front-top-next-button" value="<?php echo $survey_styles['submit_button']['text']; ?>" /></p>
	<?php } ?>
<?php
}
*/


/* rmi353, deprecated */
function print_survsnt_aweber_form($survey_id, $webinar_also = 0) {
	$listname = survsnt_get_session_var('surv_last_list');
	$tag = survsnt_get_session_var('surv_last_tag');
	$rurl = site_url();
	$form = '';
	$content = array();
	$content['namedef'] = 'Enter your name';
	$content['emaildef'] = 'Enter your email';
	$content['btntext'] = 'Submit';


	$form.='<form name="survsnt_form" id="popup_form" class="survsnt-upform" method="post" action="http://www.aweber.com/scripts/addlead.pl">';
	$form.='<input type="hidden" name="meta_adtracking" value="'.$tag.'" />
		<input type="hidden" name="meta_message" value="1" />
		<input type="hidden" name="meta_required" value="name,email" />';
	// $form.='<input type="hidden" name="listid" class="listid" id="listid" value="'.$listid.'"/>';
	$form.='<input type="hidden" name="listname" class="listname" id="listname" value="'.$listname.'"/>';
	$form.='<input type="hidden" name="redirect" class="redirect" value="'.$rurl.'" />';
	$form.='
		<input class="text" type="text"  onfocus="if (this.value == \''.$content['namedef'].'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.$content['namedef'].'\';}"  id="name" name="name" value="'.$content['namedef'].'"/>
		<input class="text" type="text" onfocus="if (this.value == \''.$content['emaildef'].'\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \''.$content['emaildef'].'\';}" name="email" id="email" value="'.$content['emaildef'].'"/>
		';
		$form.='
		<input type="submit" name="popup_submit" value="'.$content['btntext'].'" class="survsnt_btnsubmit"/>	
		';	
		$form.='</form>';
	if ($webinar_also)
		$form.='<input type="checkbox" /> Subscribe me to the webinar ';
	echo $form;
}


/* Only for shortcode */
function survsnt_print_question_frontend($question, $survey_id, $num_question) {
	// $str_ret = '';
	// echo $num_question.'. '.$question->text.'<br/>';
	$answers = survsnt_get_question_answers($question->id);
	survsnt_question_html($question, $answers, $survey_id, $question->type, 1, $num_question, 1);
}

function survsnt_print_answer_frontend($answer, $survey_id, $num_question) {
	$str_ret = ' <input type="radio" name="answer_'.$num_question.'[]" />'.$answer->text.'<br/>';
	return $str_ret;
}


// shortcode
function survsnt_print_questions_quiz($survey_id) {
	$questions = survsnt_get_survey_questions($survey_id);
	if (!$questions) return '';
	$str_ret = '';
	$i= 1;
	foreach ($questions as $question) {
		$str_ret .= survsnt_print_question_frontend($question, $survey_id, $i++);
	}
	return $str_ret;
}


function survsnt_question_html_shortcode($question, $answers, $survey_id) {
	return survsnt_question_html($question, $answers, $survey_id, $question->type, 0, 0, 1);
}

function survsnt_text_block_html ($id) { 
	ob_start();
?>
	<div id="survsnt_survey_content_embed">
<?php
	$survey_data = survsnt_get_survey($id);
	if (!$survey_data) return;
	survsnt_new_survey_view($id);
	if ($survey_data->display_option != 8) return 'This survey is not embeddable';
	if ($survey_data->active != 1) return '';
	$survey_questions = survsnt_get_survey_questions ($id);
	if (!$survey_questions) return;

	if ($survey_data->survey_type == 1) {
		$first_question = $survey_questions[0];
		?>
		<script>var survsnt_front_survey_id = "<?php echo $id;?>";survsnt_front_question_id = "<?php echo $first_question->id;?>";</script>
		<?php
		$survey_answers = survsnt_get_question_answers ($first_question->id);
		// if ($survey_answers) 
		/*$txt_str .=*/ survsnt_question_html_shortcode($first_question, $survey_answers, $id);
	}
	else {
		// Quiz
		?>
		<script>var survsnt_front_survey_id = "<?php echo $id;?>";</script>
		<?php
			survsnt_print_questions_quiz($id);
		?>
			<p><input style="" type="button" id="survey-quiz-next-button" value="Submit" /> <div style="clear:both"></div></p>
		<?php

	}

	// $txt_str .= '<p><br/><a href="#" id="survey-front-finish-button">Send Quiz >> </a></p>';
?>
	</div>
<?php
    return ob_get_clean();
} 

// [survey-snatcher id="3"]
function survsnt_shortcode_fn( $atts ) {
    extract( shortcode_atts( array(
        'id' => 0
    ), $atts ) );
    return survsnt_text_block_html($id);
}

add_shortcode( 'survey-snatcher', 'survsnt_shortcode_fn' );


function survsnt_shortcode_keyword_fn( $atts ) {
    extract( shortcode_atts( array(
        'default' => ''
    ), $atts ) );
    if (!$default)
    	$default = '';
    if (survsnt_get_session_var('survsnt_incoming_keyword'))
    	return survsnt_get_session_var('survsnt_incoming_keyword');
    else
    	return $default;
}

add_shortcode( 'incoming-keyword', 'survsnt_shortcode_keyword_fn' );


/* Search Engine Results Begin */

/*****************************************************************
	Function: is_search_engine_result()
		Checks in Wordpress if we just arrived from a Search Engine
	Parameters:
	Return:
		0: not SE visit
		array($search_engine, $key) : SE visit (se, query)
*****************************************************************/
function survsnt_is_search_engine_result($dbwrite=0) {
	$testing_purpose = 1;
	$search_engine = 0;
	
  if (isset($_SERVER['HTTP_REFERER']) || ($testing_purpose && isset($_GET['test']) )) {
    /*if (!isset($_SERVER['HTTP_REFERER'])) return 0;*/
    if (isset($_SERVER['HTTP_REFERER']))
    	$referer = parse_url($_SERVER['HTTP_REFERER']);
    else {
    	$referer = array('host' => 'google.com', 'query' => 'q='.$_GET['q']);
    }

	// is it a Google visit?
    if (strpos($referer['host'], 'google.') !== FALSE) {
      $primary_domain = mysql_escape_string($referer['host']);
      $keys = (strpos($referer['query'], 'q=') !== FALSE ? $referer['query'] : $referer['fragment']);
      parse_str($keys, $variables);
      $key = htmlentities(survsnt_trim_quotes($variables['q']));
      $search_engine = 'google';
    }
    // is it a Bing visit?
    else if (strpos($referer['host'], 'bing.') !== FALSE) {
      $primary_domain = mysql_escape_string($referer['host']);
      $keys = (strpos($referer['query'], 'q=') !== FALSE ? $referer['query'] : $referer['fragment']);
      parse_str($keys, $variables);
      $key = htmlentities(survsnt_trim_quotes($variables['q']));
      $search_engine = 'bing';
    }
    // is it a Yahoo visit?
    else if (strpos($referer['host'], 'yahoo.') !== FALSE) {
      $primary_domain = mysql_escape_string($referer['host']);
      $keys = (strpos($referer['query'], 'p=') !== FALSE ? $referer['query'] : $referer['fragment']);
      parse_str($keys, $variables);
      $key = htmlentities(survsnt_trim_quotes($variables['p']));
      $search_engine = 'yahoo';
    }
    else {
    	//maybe other search engine, do nothing for now
    }
  }
  
  if ($search_engine) {
		if (empty($key)) {
	  		return 0;   
		}
		// trim quotes if needed
		else {
			$key = survsnt_trim_quotes($key);
			if ($dbwrite)
				survsnt_insert_visit($search_engine, $key);
		 }
  	return array($search_engine, $key); // it is a SE visit
  }
  return 0; // it is not a SE visit
}


function survsnt_trim_quotes($key) {
	if (strlen($key) < 3) return $key;
	// is it a quoted string?
	if ( ($key[0] == substr($key,-1)) && ($key[0] == '"') ) {
		return substr($key, 1, -1);
	}
	$pattern = '/^%22(.*)%22$/';
	
	$pattern = '/^\\\"(.*)\\\"$/';
	preg_match($pattern, $key, $matches);
	if ($matches) return $matches[1];

	return $key;
}

/*****************************************************************
	Function: survsnt_keyword_match()
		Checks if SE query matches any kw-post match
	Parameters:
		$searched_keyword (string) : searched query
	Return:
		0: no match
		!=0: database match id
*****************************************************************/
function survsnt_keyword_match($searched_keyword, $kwtocompare = '') {
	if (!$kwtocompare) return 0;

	// if (preg_match('/^'.$kwtocompare.'$/i', $searched_keyword, $rdo))
	if (preg_match('/^'.$searched_keyword.'$/i', $kwtocompare, $rdo))
		return 1; // returns the survey id

	return 0;																
}

/*
function survsnt_check_is_se_visit() {
	if (is_admin()) return 0;
	if ($search_result = is_search_engine_result()) {
		if (empty($search_result[1])) return 0;
		global $survey_matched;
		survsnt_set_session_var('survsnt_match_triggered', 0);
		survsnt_set_session_var('survsnt_incoming_search', $search_result[1]);	
		

		$survey_match = survsnt_keyword_match($search_result[1]);
		if ($survey_match) {
			// this is the id of the survey that matches
			$survey_matched = $survey_match;
				add_action('wp_footer', 'launch_survey_fe_kw_match');
			?>

			<?php
		}
	}

	return 1;
}
*/

function launch_survey_fe_kw_match() {
	?>
				<script>
				jQuery(document).ready(function( $ ) {
					survsnt_display_survey_fe();
				});
				</script>	
	<?php
}


/* Search Engine Results End */
add_action('init', 'survsnt_check_seo_visitor');

function survsnt_check_seo_visitor() {
	if (get_option('survsnt_save_seo_data', 0))
		survsnt_is_search_engine_result(1);
}




/* Autoresponder Magic URL */

add_action('init', 'survsnt_check_incoming_visitor');

function survsnt_check_incoming_visitor() {
	if (is_admin()) return;
	if (isset($_GET['sid']) && isset($_GET['e'])) {
		// set cookie and session var
		$question_id = intval($_GET['sid']);
		if (!$question_id) return;
		$question = survsnt_get_question($question_id);
		$question_styles = survsnt_get_question_styles($question);
		$survey = survsnt_get_survey($question->survey_id);

		$visitor_email = $_GET['e'];
		$autoresponder = $survey->autoresponder;
		if (!$autoresponder || (intval($autoresponder) > 6)) return;
		$list_from = 1;
		$action = 1;

		survsnt_set_session_var('survsnt_visitor_email', $visitor_email);
		survsnt_set_session_var('survsnt_autoresponder', $autoresponder); // aweber
		survsnt_set_session_var('survsnt_list_from', $list_from);
		survsnt_set_session_var('survsnt_action', $action);
		survsnt_set_session_var('question_id', $question_id);

		survsnt_set_visitor_cookie($visitor_email, $autoresponder, $list_from, $action, $question_id);
	}
}


add_action('init', 'survsnt_check_facebook_signup');

function survsnt_check_facebook_signup() {
		  // survsnt_delete_visitor_cookie();

	if (is_admin()) return;
	if ((isset($_GET['fbsv']) && isset($_GET['code']) && isset($_GET['state'])) ||
		(isset($_GET['fbsv']) && isset($_GET['a']) && ($_GET['a'] == 1)))
	 {
		include(SURVSNT_DIR.'/lib/social/fbaccess.php');
		global $user_info;
		$question_id = intval($_GET['fbsv']);
		if (!$question_id) return;
		$question = survsnt_get_question($question_id);

		$survey_taken_id = survsnt_get_session_var( 'survey_taken' );
		$user_ip = survsnt_get_vistor_ip();
// var_dump($question);
 // var_dump($user_info);
		if ( $survey_taken_id ) {
			survsnt_update_survey_taken($survey_taken_id, $user_info['email'], 1 );
			// var_dump($survey_taken_id);
		}
		else {
			$survey_taken_id = survsnt_store_survey_taken( $question->survey_id, $user_ip, $user_info['email'], 1 );
			survsnt_set_session_var( 'survey_taken', $survey_taken_id );
			// var_dump($survey_taken_id);

		}

		survsnt_process_submit($user_info['email'], $user_info['name'], $question_id, $auto_process=0);
		if (!empty($question->redirect_url)) wp_redirect($question->redirect_url);
	}
}

?>