<?php


function survsnt_check_upgrade_db() { 
	$current_v = get_option('survsnt_version', 0);
	if ($current_v != SURVSNT_VERSION){
		update_option('survsnt_version', SURVSNT_VERSION);
	} 
//survsnt_unauthorize_aweber_api();
}
add_action('admin_init', 'survsnt_check_upgrade_db'); 


function survsnt_activate()
{
	/** create MySQL tables **/
	global $wpdb;
	
	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_surveys (
  id int(11) NOT NULL AUTO_INCREMENT,
  name varchar(128) NOT NULL,
  active tinyint(1) NOT NULL DEFAULT '1',
  cookie smallint(6) NOT NULL DEFAULT '0',
  created datetime NOT NULL,
  description varchar(512) NOT NULL,
  times_shown int(11) NOT NULL DEFAULT '0',
  display_option int(11) NOT NULL DEFAULT '0',
  redirect_url varchar(256) DEFAULT NULL,
  survey_type smallint(6) NOT NULL DEFAULT '1',
  where_to_show text NOT NULL,
  show_everywhere tinyint(4) NOT NULL DEFAULT '0',
  autoresponder smallint(6) NOT NULL,
  webinar smallint(6) NOT NULL,
  delay smallint(6) NOT NULL DEFAULT '0',
  exit_popup tinyint(4) NOT NULL DEFAULT '0',
  incoming_rules varchar(256) NOT NULL,
  survey_styles text NOT NULL,
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_questions (
  id int(11) NOT NULL AUTO_INCREMENT,
  title varchar(256) NOT NULL,
  survey_id int(11) NOT NULL,
  type smallint(6) NOT NULL DEFAULT '1',
  text varchar(256) NOT NULL,
  position smallint(6) NOT NULL,
  content text NOT NULL,
  next_question int(11) NOT NULL,
  design_style text NOT NULL,
  redirect_url varchar(256) NOT NULL,  
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_answers (
  id int(11) NOT NULL AUTO_INCREMENT,
  text varchar(256) NOT NULL,
  question_id int(11) NOT NULL,
  next_question int(11) NOT NULL,
  ar_list text,
  ar_tag varchar(128) DEFAULT NULL,
  webinar varchar(128) DEFAULT NULL,
  position tinyint(4) NOT NULL,
  image_url varchar(256) NOT NULL,
  tag_value varchar(64) NOT NULL,
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_surveys_taken (
	  id int(11) NOT NULL AUTO_INCREMENT,
  	survey_id int(11) NOT NULL,
  	timestamp datetime NOT NULL,
  	user_ip varchar(15) DEFAULT NULL,
    user_email varchar(128) NOT NULL,
  	is_conversion tinyint(1) NOT NULL DEFAULT '0',
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_replies (
  id int(11) NOT NULL AUTO_INCREMENT,
  survey_taken_id int(11) NOT NULL,
  question_id int(11) NOT NULL,
  answer_id int(11) NOT NULL,
  answer_text text NOT NULL,
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_seo_items (
  id int(11) NOT NULL AUTO_INCREMENT,
  name varchar(64) NOT NULL,
  survey_id int(11) NOT NULL,
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_seo_keywords (
  id int(11) NOT NULL AUTO_INCREMENT,
  keyword varchar(256) NOT NULL,
  shown int(11) NOT NULL DEFAULT '0',
  converted int(11) NOT NULL DEFAULT '0',
  item_id int(11) NOT NULL,
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_split_tests (
  id int(11) NOT NULL AUTO_INCREMENT,
  name varchar(64) NOT NULL,
  active tinyint(4) NOT NULL DEFAULT '1',
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_split_test_items (
  id int(11) NOT NULL AUTO_INCREMENT,
  split_test_id int(11) NOT NULL,
  survey_id int(11) NOT NULL,
  views int(11) NOT NULL,
  conversions int(11) NOT NULL,
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	$sql = "CREATE TABLE {$wpdb->prefix}survsnt_keyword_visit (
  id varchar(32) NOT NULL,
  keyword varchar(300) NOT NULL,
  landingpage varchar(300) NOT NULL,
  google int(11) NOT NULL DEFAULT '0',
  yahoo int(11) NOT NULL DEFAULT '0',
  bing int(11) NOT NULL DEFAULT '0',
  others int(11) NOT NULL DEFAULT '0',
	  PRIMARY KEY (id)
		) ENGINE=InnoDB  DEFAULT CHARSET=utf8;";
	$wpdb->query($sql);

	return 1;
}

function survsnt_deactivate() {
	return;
}


// session & cookies functions
/*****************************************************************
	Function: survsnt_set_session_var()
		Sets a PHP session variable
	Parameters:
		$name
		$value
	Return:
		1: ok
*****************************************************************/
function survsnt_set_session_var($name, $value){
	$_SESSION[$name] = $value;
	return 1;
}   


/*****************************************************************
	Function: survsnt_get_session_var()
		Gets the value of a PHP session variable
	Parameters:
		$name
	Return:
		Var value
*****************************************************************/
function survsnt_get_session_var($name) {
	if (isset($_SESSION[$name]))
		return $_SESSION[$name];
	return 0;
}

function survsnt_delete_session_var($name) {
	if (isset($_SESSION[$name]))
		unset($_SESSION[$name]);
}

/* enable sessions */
if (!function_exists('survsnt_session_enable')) {
	function survsnt_session_enable(){
	 	if(!session_id()){
	    	session_start();
    	}
    }
}
add_action( 'init','survsnt_session_enable',1);

function survsnt_get_vistor_ip() {
	if (!empty($_SERVER['HTTP_CLIENT_IP']))
	  $ip=$_SERVER['HTTP_CLIENT_IP'];
	//Is it a proxy address
	else if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
	  $ip=$_SERVER['HTTP_X_FORWARDED_FOR'];
	else
	  $ip=$_SERVER['REMOTE_ADDR'];
	return $ip;
}


if(!function_exists('_log')){
  function _log( $message ) {
    if( WP_DEBUG === true ){
      if( is_array( $message ) || is_object( $message ) ){
        error_log( print_r( $message, true ) );
      } else {
        error_log( $message );
      }
    }
  }
}


/*
function survsnt_set_aweber_transient($key, $data, $expiration) {  
    // Time when transient expires  
    $expire = time() + $expiration;  
    set_transient( $key, array( $expire, $data ) );  
}   

function survsnt_retrieve_aweber_lists() {  
  return survsnt_get_mailing_lists(1);
}  

function survsnt_get_aweber_lists_cache() {  
    // Build request URL  
    $args = array();
    
    // $request_url = 'http://api.twitter.com/1/statuses/user_timeline.json';  
    // $request_url = add_query_arg($args,$request_url);  
  
    // Generate key  
    $key = 'survsnt_aweber_lists';
     // delete_transient($key);
    // expires every hour  
    $expiration = 60*60;  
    // $expiration = 1;  
  //echo "pido";
    $transient = get_transient( $key ); 
    if ( false === $transient ) {  
        // Hard expiration  
        $data = survsnt_retrieve_aweber_lists( 1 );  
  		if (!$data) return 0;
        if ( !is_wp_error($data) ) {  
            // Update transient  
            survsnt_set_aweber_transient($key, $data, $expiration);  
        }  
        return $data;  
  
    }  
    else {  
        // Soft expiration. $transient = array( expiration time, data)  
        if ( $transient[0] !== 0 && $transient[0] <= time() ) {  
  
            // Expiration time passed, attempt to get new data  
            $new_data = survsnt_retrieve_aweber_lists( 1 );  
            if (!$new_data) return 0;
  
            if ( !is_wp_error($new_data) ) {  
                // If successful return update transient and new data  
                survsnt_set_aweber_transient($key, $new_data,  $expiration);  
                $transient[1] = $new_data;  
            }  
        }  
        return $transient[1];  
    }  
}

*/
function survsnt_js_array($ar_lists) {
	$ret_object = array();
	if ($ar_lists) {
		foreach ($ar_lists as $key => $value) {
			$ret_object[] = array(key($value), $value[key($value)]);
		}
	}
	return $ret_object;
}

function survsnt_posts_to_string($post_array, $cat_array, $show_in_home=0, $show_in_cat=0, $show_in_archive=0) {
	// if (!$post_array) return '||'.$show_in_home.'|'.$show_in_cat.'|'.$show_in_archive;
	$posts = array();
	$cats = array();
	if ($post_array) {
		foreach ($post_array as $post) {
			if (is_numeric($post)) $posts[] = $post;
			// else $cats[] = str_replace('cat_', '', $post);
		}
	}

	if ($cat_array) {
		foreach ($cat_array as $cat) {
			// if (is_numeric($post)) $posts[] = $post;
			$cats[] = str_replace('cat_', '', $cat);
		}
	}

	return implode(',', $posts).'|'.implode(',', $cats).'|'.$show_in_home.'|'.$show_in_cat.'|'.$show_in_archive;;
}

// get google hangouts, post tipo: ghangout // opciones: hangout_timezone_start_date

function survsnt_get_plugin_options($option = 0) {
	$plugin_options = get_option('survsnt_options');
	if ($option)
		return $plugin_options->{$option};
	else
		return $plugin_options;
}

function survsnt_update_plugin_options($options, $option = 0) {
	return update_option('survsnt_options', $options);
}


// Exports to CSV Excel File
function survsnt_export_results() {
	if (isset($_POST['survsnt_export_search'])) {
		header("Content-Transfer-Encoding: binary");
		header('Content-Encoding: UTF-8');
		header("Content-type: application/x-msdownload",true,200);
		header("Pragma: no-cache");
		header("Expires: 0");
		header('Content-Disposition: attachment; filename="survey_snatcher_'.date('Ymd').'.csv"');
		print "\xEF\xBB\xBF";
		// $post_object = stripslashes_deep($_POST['survsnt_export_search_data']);
		// $json_object = json_decode($post_object);
		if (!$_POST['survsnt_survey_id'])
			return;
		$survey_id = $_POST['survsnt_survey_id'];
		$survey_details = survsnt_get_survey($survey_id);

		print "Report Date : ;".date('d/m/Y')."\n";
		print "Survey : ;".stripslashes($survey_details->name)."\n\r";

		if (isset($_POST['survsnt_export_search_summary']) && $_POST['survsnt_export_search_summary']) {
			$questions = survsnt_get_survey_questions($survey_id);
			$num_q = 1;
			if ($questions) {
				foreach($questions as $question) {
					if ($question->type == SURVSNT_QUESTION_TYPE_MULTIPLE) { // multiple choice 
						print($num_q++.'.;'.stripslashes($question->text)."\n");
						$answers = survsnt_get_question_answers($question->id);
						$replies = survsnt_get_question_replies_stats($question->id);
						$total_replies = survsnt_get_total_replies($replies);

						// var_dump($replies);
						foreach ($answers as $answer) {
							$num_replies = survsnt_get_answer_replies($answer->id, $replies);
							if ($total_replies)
								$percentage = round(($num_replies*100)/$total_replies);
							else
								$percentage = 0;
							print(';;   '.stripslashes($answer->text).';'.$num_replies.';'.$percentage."% \n");
						}
					}
					else if ($question->type == SURVSNT_QUESTION_TYPE_MULTIPLE) {
						print($num_q++.'.;'.stripslashes($question->text).';  (Open Question)'."\n");
					}
					else if ($question->type == SURVSNT_QUESTION_TYPE_ENDPOINT) {
						print($num_q++.'.;'.stripslashes($question->text).';  (End Point)'."\n");
					}
				}
			}
		 }

		else if (isset($_POST['survsnt_export_search_detailed']) && $_POST['survsnt_export_search_detailed']) {
			//$questions = survsnt_get_survey_questions($survey_id);
			$surveys_taken = survsnt_get_surveys_taken($survey_id);

			$num_q = 1;
			if ($surveys_taken) {
				$i=1;
				foreach($surveys_taken as $survey_taken) {
					$replies = survsnt_get_replies_for_survey_taken($survey_taken->id);
					$j=1;
					print( $i++.') User e-mail: '.$survey_taken->user_email."\n");
					print( 'Date: '.date('j F, Y, g:i a',strtotime($survey_taken->timestamp))."\n");

					if ($replies) {
						foreach ($replies as $reply) {
							// tengo question_id y answer_id
							$question = survsnt_get_question($reply->question_id);
							if (!$question) continue;
							if ($question->type == SURVSNT_QUESTION_TYPE_MULTIPLE) {
								if ($reply->answer_id) {
									$answer = survsnt_get_answer($reply->answer_id);
									if ($answer)
										$answer_content = $answer->text;
									else
										$answer_content = '';
								}
								else
									$answer_content = '';						
							}
							else if ($question->type == SURVSNT_QUESTION_TYPE_OPEN) {
								$answer_content = $reply->answer_text;
							}
							else
								continue;

							print( $j++.'. '.$question->text.';'.$answer_content."\n");
							// print(';;   '.stripslashes($answer->text).';'.$num_replies.';'.$percentage."% \n");

						}
					}
				}
			}
		}	
		print "\n\r";
		exit();
			 
		}

	// }

}
add_action('admin_init','survsnt_export_results');

add_action('admin_init','survsnt_export_seo_results');

function survsnt_export_seo_results() {
	if (isset($_POST['survsnt_download_seo_stats'])) {
	  	global $wpdb;
		header("Content-Transfer-Encoding: binary");
		header('Content-Encoding: UTF-8');
		header("Content-type: application/x-msdownload",true,200);
		header("Pragma: no-cache");
		header("Expires: 0");
		header('Content-Disposition: attachment; filename="survey_snatcher_keywords_'.date('Ymd').'.csv"');
		print "\xEF\xBB\xBF";
	  	$keys = survsnt_get_seo_keywords_info();
	  	print "Keyword;Landing Page;Google;Bing;Yahoo;Total"."\n\r";
	  	foreach($keys as $key) {
	    	print implode(';', array(str_replace('\\"', '', html_entity_decode($key->keyword)), $key->landingpage, $key->google, $key->bing, $key->yahoo, $key->total_visits))."\n";
	  	}  
	  	exit();  
	}
	return;
}



function survsnt_get_answer_replies($answer_id, $replies) {
	foreach ($replies as $reply) {
		if ($reply->answer_id == $answer_id)
			return $reply->total_replies;
	}
	return 0;
}

function survsnt_get_total_replies($replies) {
	$num_replies = 0;
	if ($replies) {
		foreach ($replies as $reply) {
			$num_replies += intval($reply->total_replies);
		}
	}
	return $num_replies;
}


/*
kcs
add_action('admin_init','kcs_template_redirect');
function kcs_template_redirect() {
	if (isset($_GET['kcs_excel_export'])) {
	  	global $wpdb;
	    header("Content-type: application/x-msdownload",true,200);
	    header("Pragma: no-cache");
	    header("Expires: 0");
		header('Content-Disposition: attachment; filename="kcs_keywords.csv"');
	  	$sql = "SELECT *, (google+yahoo+bing) as total_visits FROM {$wpdb->prefix}kcs_keyword_visit ORDER BY total_visits DESC";
	  	$keys = $wpdb->get_results($sql);
	  	print "Keyword;Landing Page;Google;Bing;Yahoo;Total"."\n\r";
	  	foreach($keys as $key) {
	    	print implode(';', array(str_replace('\\"', '', html_entity_decode($key->keyword)), $key->landingpage, $key->google, $key->bing, $key->yahoo, $key->total_visits))."\n";
	  	}  
	  	exit();  
	}
	return;
}
*/

// function survsnt_check_email_origin() {
// 	if (is_admin()) return;
// 	if (isset($_GET['survey_email'])) {
// 		survsnt_set_visitor_cookie($_GET['survey_email']);
// 	}
// }
// add_action('init','survsnt_check_email_origin');

function survsnt_set_visitor_cookie($email, $autoresponder, $list_from, $action, $question_id) {
	$extra_time = 3600 * 24 *30; // 30 days
	$info_array = array('email' => $email, 'autoresponder' => $autoresponder, 'list_from' => $list_from, 'action' => $action, 'question_id' => $question_id);
	setcookie('survsnt_visitor', serialize($info_array), time()+$extra_time, COOKIEPATH, COOKIE_DOMAIN, false);
	survsnt_set_session_var('ar_magic_cookie', $info_array);
}

function survsnt_get_visitor_cookie() {
	$session_var = survsnt_get_session_var('ar_magic_cookie');
	if ($session_var)
		return $session_var;
	if (isset($_COOKIE['survsnt_visitor']) && $_COOKIE['survsnt_visitor']) {
		$cookie_val = trim($_COOKIE['survsnt_visitor']);
		return unserialize(stripslashes($cookie_val));
	}
	return 0;
}

function survsnt_delete_visitor_cookie() {
	$cookie_name = 'survsnt_visitor';
	if(isset($_COOKIE[$cookie_name])) {
	  unset($_COOKIE[$cookie_name]);
	  setcookie($cookie_name, '', time() - 3600); // empty value and old timestamp
	}	
	survsnt_delete_session_var('ar_magic_cookie');
	return 0;
}


/* enable sessions */
function survsnt_check_visitor_cookie(){
	if ($session_cookie = survsnt_get_session_var('survey_shown_cookie')) {
		survsnt_set_survey_shown_cookie($session_cookie[0], $session_cookie[1]);
		survsnt_set_session_var('survey_shown_cookie', 0);
		survsnt_delete_session_var('survey_shown_cookie');
	}
}

add_action( 'init','survsnt_check_visitor_cookie',1);

function survsnt_schedule_survey_shown_cookie($survey_id, $days) {
	survsnt_set_session_var('survey_shown_cookie', array($survey_id, $days));
	return;
}

function survsnt_set_survey_shown_cookie($survey_id, $days) {
	$cookie_name = 'survsnt_surv_shown_'.$survey_id;
	if (isset($_COOKIE[$cookie_name]))
		return;
	$extra_time = $days * 24 * 3600;
	setcookie($cookie_name, 1, time()+$extra_time, COOKIEPATH, COOKIE_DOMAIN, false);
}

function survsnt_get_survey_shown_cookie($survey_id) {
	$cookie_name = 'survsnt_surv_shown_'.$survey_id;
	if (isset($_COOKIE[$cookie_name]))
		return $_COOKIE[$cookie_name];
	return 0;
}

function survsnt_delete_survey_shown_cookie($survey_id) {
	$cookie_name = 'survsnt_surv_shown_'.$survey_id;
	if(isset($_COOKIE[$cookie_name])) {
	  unset($_COOKIE[$cookie_name]);
	  setcookie($cookie_name, '', time() - 3600); // empty value and old timestamp
	}	
	return 0;
}

function survsnt_editor_fontsize_filter( $options ) {
	array_shift( $options );
	array_unshift( $options, 'fontsizeselect');
	array_unshift( $options, 'fontselect');
	array_unshift( $options, 'formatselect');
	return $options;
}
add_filter('mce_buttons_2', 'survsnt_editor_fontsize_filter');

add_filter('tiny_mce_before_init', 'survsnt_editor_font_choices' );

function survsnt_editor_font_choices( $init ) {
    $init['theme_advanced_fonts'] = 
                'Andale Mono=andale mono,times;'.
                'Arial=arial,helvetica,sans-serif;'.
                'Arial Black=arial black,avant garde;'.
                'Book Antiqua=book antiqua,palatino;'.
                'Comic Sans MS=comic sans ms,sans-serif;'.
                'Courier New=courier new,courier;'.
                'Georgia=georgia,palatino;'.
                'Helvetica=helvetica;'.
                'Impact=impact,chicago;'.
                'Symbol=symbol;'.
                'Tahoma=tahoma,arial,helvetica,sans-serif;'.
                'Terminal=terminal,monaco;'.
                'Times New Roman=times new roman,times;'.
                'Trebuchet MS=trebuchet ms,geneva;'.
                'Verdana=verdana,geneva;'.
                'Webdings=webdings;'.
                'Wingdings=wingdings,zapf dingbats'.
                '';

	$init['theme_advanced_font_sizes'] = "10px,11px,12px,13px,14px,15px,16px,17px,18px,19px,20px,21px,22px,23px,24px,25px,26px,27px,28px,29px,30px,32px,48px,54px,60px,72px";

    return $init;
}

function survsnt_process_txt_string($str, $remove_empty_p=1) {
	// $str = do_shortcode($str);
	return str_replace("<p></p>","",stripslashes(do_shortcode($str)));
}

// to-do: if auto_process, maybe list_from / mover sólamente
function survsnt_process_submit($email, $name, $question_id, $auto_process=0) {
	$question = survsnt_get_question($question_id);
	$question_styles = survsnt_get_question_styles($question);
	$question_styles = $question_styles['optin_design'];
	
	$survey_info = survsnt_get_survey($question->survey_id);

	$question_info = survsnt_get_question($question->id);

	$autoresponder = $survey_info->autoresponder;
	$webinar = $survey_info->webinar;

	$question_styles = survsnt_get_question_styles( $question_info ); 
	$question_styles = $question_styles['optin_design'];

	if (!empty($question_styles['optin_form_settings']['ar_list']) && $question_styles['optin_form_settings']['ar_list'])
		$list_id = $question_styles['optin_form_settings']['ar_list'];
	else
		$list_id = survsnt_get_session_var('surv_last_list');

	if (!empty($question_styles['optin_form_settings']['ar_tag']) && $question_styles['optin_form_settings']['ar_tag']) {
		$ar_tag = $question_styles['optin_form_settings']['ar_tag'];
		$tag_value = $question_styles['optin_form_settings']['tag_value'];
	}
	else {
		$ar_tag = survsnt_get_session_var('surv_last_tag');
		$tag_value = survsnt_get_session_var('surv_last_tag_value');
	}

	if (!empty($question_styles['optin_form_settings']['webinar']) && $question_styles['optin_form_settings']['webinar'])
		$webinar_id = $question_styles['optin_form_settings']['webinar'];
	else
		$webinar_id = survsnt_get_session_var('surv_last_webinar');

	if ( $autoresponder && $list_id) {
		if ($auto_process) {
			$list_from = $question_styles['optin_form_settings']['list_from'];
			if ($action==2)
				$delete = 1;
			else
				$delete = 0;
			survsnt_signup_customer_autoresponder_auto( $autoresponder, $list_id, $list_from, $email, $delete );
		}
		else
			survsnt_signup_customer_autoresponder( $autoresponder, $list_id, $email, $name, $ar_tag, $tag_value );
	}
	
	if ( $webinar && $webinar_id)
		survsnt_signup_customer_webinar ( $webinar, $webinar_id, $email, $name );
}

function survsnt_get_current_url() {
	global $wp;
	$current_url = add_query_arg( $wp->query_string, '', home_url( $wp->request ) );	
	return $current_url;
}

function survsnt_clear_session_vars() {
	$session_vars = array('surv_last_list', 'surv_last_tag', 'surv_last_tag_value', 'surv_last_webinar', 'survey_taken', 'splittest_item_id' );
	foreach ($session_vars as $session_var)
		survsnt_delete_session_var($session_var);
}

function survsnt_add_plugin_action_links( $links ) {
	return array_merge(
		$links,
		array(
			'Support' => '<a target="_blank" href="http://www.imtoolshq.com/support">Support</a>'
		)
	);
}

function is_survsnt_activated() {
	return get_option('is_survsnt_activated', 0);
}


/* enable sessions */
function survsnt_check_activation(){
	if (isset($_POST['survsnt_activate_plugin']) && !empty($_POST['email_activate'])) {
		update_option('is_survsnt_activated', $_POST['email_activate']);
		wp_redirect(admin_url( '/admin.php?page=survey-snatcher' )); 
	}
}

add_action( 'admin_init','survsnt_check_activation',1);

/* enable sessions */
function survsnt_check_lock(){
	if (isset($_POST['survsnt_lock_user']) && !empty($_POST['admin_users'])) {
		update_option('is_survsnt_locked', $_POST['admin_users']);
		wp_redirect(admin_url( )); 
	}
}

add_action( 'admin_init','survsnt_check_lock',1);

?>