<?php 
 /* 
    Plugin Name: Survey Snatcher Developers License
    Plugin URI: http://www.surveysnatcher.com/
    Description: Sell more by engaging your audience on your website using intelligent surveys & quizzes. Includes advanced list-segmentation, Webinar support, full SEO integration, split-testing functionality and full reporting.
    Author: Veit Schenk & Raul Mellado
    Version: 1.0 
    Author URI: http://www.surveysnatcher.com/ 
 */  

// Constants
define( 'SURVSNT_VERSION', '1.0' );
define( 'SURVSNT_PLUGIN_NAME', dirname(plugin_basename(__FILE__) ));
define( 'SURVSNT_DIR', plugin_dir_path( __FILE__ ) );
define( 'SURVSNT_URL', plugins_url( SURVSNT_PLUGIN_NAME ) );

define( 'SURVSNT_QUESTION_TYPE_MULTIPLE', '1' );
define( 'SURVSNT_QUESTION_TYPE_OPEN', '2' );
define( 'SURVSNT_QUESTION_TYPE_HTML', '3' );
define( 'SURVSNT_QUESTION_TYPE_ENDPOINT', '4' );

/* Automatic Updates */
include_once SURVSNT_DIR.'lib/upgrademe.php';
/********************/

include_once SURVSNT_DIR.'lib/data_fns.php';
include_once SURVSNT_DIR.'lib/utils.php';

if (is_admin()) {
	include_once SURVSNT_DIR.'lib/ui.php';
    include_once SURVSNT_DIR.'lib/ui_fns.php';
	include_once SURVSNT_DIR.'lib/dashboard.php';

    // Backend
    add_action( 'wp_ajax_survsnt_activate_survey', 'survsnt_activate_survey_ajax' );
    add_action( 'wp_ajax_survsnt_clear_survey_stats', 'survsnt_clear_survey_stats_ajax' );
    add_action( 'wp_ajax_survsnt_clear_splittest_stats', 'survsnt_clear_splittest_stats_ajax' );
    add_action( 'wp_ajax_survsnt_reset_seo_stats', 'survsnt_reset_seo_stats_ajax' );

    add_action( 'wp_ajax_survsnt_delete_survey', 'survsnt_delete_survey_ajax' );
    add_action( 'wp_ajax_survsnt_duplicate_survey', 'survsnt_duplicate_survey_ajax' );
    add_action( 'wp_ajax_survsnt_get_survey_stats', 'survsnt_get_survey_stats' );
    add_action( 'wp_ajax_survsnt_get_new_question', 'survsnt_new_question_ajax' );
    add_action( 'wp_ajax_survsnt_get_new_answer', 'survsnt_new_answer_ajax' );
    add_action( 'wp_ajax_survsnt_download_image_pack', 'survsnt_download_image_pack' );


    add_action( 'wp_ajax_survsnt_activate_splittest', 'survsnt_activate_splittest_ajax' );
    add_action( 'wp_ajax_survsnt_delete_splittest', 'survsnt_delete_splittest_ajax' );
}
else {
	include_once SURVSNT_DIR.'lib/frontend.php';
	include_once SURVSNT_DIR.'lib/frontend_fns.php';
}

// Frontend
add_action( 'wp_ajax_survsnt_send_vote', 'survsnt_send_vote' );
add_action( 'wp_ajax_nopriv_survsnt_send_vote', 'survsnt_send_vote' );
add_action( 'wp_ajax_survsnt_send_votes', 'survsnt_send_votes' );
add_action( 'wp_ajax_nopriv_survsnt_send_votes', 'survsnt_send_votes' );

add_action( 'wp_ajax_survsnt_send_email_submit', 'survsnt_submit_signup_details' );
add_action( 'wp_ajax_nopriv_survsnt_send_email_submit', 'survsnt_submit_signup_details' );


add_action( 'wp_ajax_survsnt_send_signup_details', 'survsnt_submit_signup_details' );
add_action( 'wp_ajax_nopriv_survsnt_send_signup_details', 'survsnt_submit_signup_details' );   
    
    
include_once SURVSNT_DIR.'lib/autoresponders/autoresponders.php';
include_once SURVSNT_DIR.'lib/autoresponders/webinars.php';
include_once SURVSNT_DIR.'lib/common.php';

/* Activation & Deactivation */
register_activation_hook(  __FILE__, 'survsnt_activate');
register_deactivation_hook(  __FILE__, 'survsnt_deactivate');
/*****************************/

add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'survsnt_add_plugin_action_links' );
?>